/**
 * app路由 2016/11/04.
 */

angular.module('NmHr')
    .config(['$stateProvider', '$urlRouterProvider', 'App',
        function ($stateProvider, $urlRouterProvider, App) {

            //主入口
            $stateProvider.state('main', {
                // url: '',
                template: '<ion-nav-view name="main-view"></ion-nav-view>',
            }).state('main.home', {
                url: '/home',
                cache: false,
                views: {
                    'main-view': {
                        templateUrl: 'tpls/home.html?v=' + App.VERSION,
                        controller: "homeCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/home.js?v=' + App.VERSION]);
                    }]
                }
            }).state('main.login', {
                url: '/login/:enterpriseCode',
                cache: false,
                views: {
                    'main-view': {
                        templateUrl: 'tpls/login.html?v=' + App.VERSION,
                        controller: "loginCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/login.js?v=' + App.VERSION]);
                    }]
                }
            }).state('main.personal', {
                url: '/personal',
                views: {
                    'main-view': {
                        templateUrl: 'tpls/personal/info.html?v=' + App.VERSION,
                        controller: "PersonalInfoCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/personal/info.js?v=' + App.VERSION]);
                    }]
                }
            }).state('main.ssAccount', {
                url: '/ssAccount',
                views: {
                    'main-view': {
                        templateUrl: 'tpls/personal/ss-account.html?v=' + App.VERSION,
                        controller: "SsAccountCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/personal/ss-account.js?v=' + App.VERSION]);
                    }],
                    SsAccountInfo: ['UserInfo', 'Employee', function (UserInfo, Employee) {
                        return Employee.prototype$__get__ssAccount({
                            id: UserInfo.getBase().userId
                        })
                    }]
                }
            }).state('main.enterprise', {
                url: '/enterprise/info',
                views: {
                    'main-view': {
                        templateUrl: 'tpls/enterprise/info.html?v=' + App.VERSION,
                        controller: "EnterpriselInfoCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/enterprise/info.js?v=' + App.VERSION]);
                    }]
                }
            }).state('main.find', {
                url: '/enterprise/find',
                views: {
                    'main-view': {
                        templateUrl: 'tpls/enterprise/find.html?v=' + App.VERSION,
                        controller: "EnterpriseFindCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/enterprise/find.js?v=' + App.VERSION]);
                    }]
                }
            }).state('main.agreement', {
                url: '/agreement',
                views: {
                    'main-view': {
                        templateUrl: 'tpls/agreement.html?v=' + App.VERSION
                    }
                }
            }).state('main.tips', {
                url: '/tips/:title/:route?args',
                views: {
                    'main-view': {
                        templateUrl: 'tpls/tips.html?v=' + App.VERSION,
                        controller: "TipsCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/tips.js?v=' + App.VERSION]);
                    }]
                }
            });


            //资料报备
            $stateProvider.state('report', {
                url: '/report',
                template: '<ion-nav-view name="main-view"></ion-nav-view>',
            }).state('report.category', {
                url: '/category',
                views: {
                    'main-view': {
                        templateUrl: 'tpls/report/category.html?v=' + App.VERSION,
                        controller: "ReportCategoryCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/report/category.js?v=' + App.VERSION]);
                    }]
                }
            }).state('report.certificate', {
                url: '/certificate',
                views: {
                    'main-view': {
                        templateUrl: 'tpls/report/certificate.html?v=' + App.VERSION,
                        controller: "CertificateCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/report/certificate.js?v=' + App.VERSION]);
                    }]
                }
            }).state('report.bank', {
                url: '/bank',
                views: {
                    'main-view': {
                        templateUrl: 'tpls/report/bank.html?v=' + App.VERSION,
                        controller: "BankCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/report/bank.js?v=' + App.VERSION]);
                    }]
                }
            }).state('report.receipt', {
                url: '/receipt',
                views: {
                    'main-view': {
                        templateUrl: 'tpls/report/receipt.html?v=' + App.VERSION,
                        controller: "ReceiptCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/report/receipt.js?v=' + App.VERSION]);
                    }]
                }
            });

            //缴费明细
            $stateProvider.state('payment', {
                url: '/payment',
                template: '<ion-nav-view name="payment-view"></ion-nav-view>',
            }).state('payment.info', {
                url: '/info',
                views: {
                    'payment-view': {
                        templateUrl: 'tpls/payment/info.html?v=' + App.VERSION,
                        controller: "PaymentInfoCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/payment/info.js?v=' + App.VERSION]);
                    }]
                }
            }).state('payment.history', {
                url: '/history',
                views: {
                    'payment-view': {
                        templateUrl: 'tpls/payment/history.html?v=' + App.VERSION,
                        controller: "PaymentHistoryCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/payment/history.js?v=' + App.VERSION]);
                    }]
                }
            }).state('payment.query', {
                url: '/query',
                cache: false,
                views: {
                    'payment-view': {
                        templateUrl: 'tpls/payment/query.html?v=' + App.VERSION,
                        controller: "PaymentQueryCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/payment/query.js?v=' + App.VERSION]);
                    }],
                    HasAccount : ['Employee',function(Employee){
                      return  Employee.prototype$isSsAccountExists({
                          id: global.base.userId
                      }).$promise
                    }]
                }
            });

            //代办模块
            $stateProvider.state('expense', {
                url: '/expense/:type/:subType',
                template: '<ion-nav-view name="expense-view" class="expense"></ion-nav-view>',
                controller: "ExpenseCtrl",
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/expense/expenseCtrl.js?v=' + App.VERSION]);
                    }]
                }
            }).state('expense.guide', {
                url: '/guide',
                views: {
                    'expense-view': {
                        templateUrl: 'tpls/expense/guide.html?v=' + App.VERSION,
                    }
                },

            }).state('expense.select', {
                url: '/select',
                views: {
                    'expense-view': {
                        templateUrl: 'tpls/expense/type-select.html?v=' + App.VERSION,
                    }
                }
            }).state('expense.introduce', {
                url: '/introduce',
                views: {
                    'expense-view': {
                        templateUrl: 'tpls/expense/type-introduce.html?v=' + App.VERSION,
                    }
                }
            }).state('expense.submit', {
                url: '/submit',
                views: {
                    'expense-view': {
                        templateUrl: 'tpls/expense/submit.html?v=' + App.VERSION,
                        controller: "SubmitCtrl as vm",
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/expense/submitCtrl.js?v=' + App.VERSION]);
                    }]
                }
            }).state('expense.resultList', {
                url: '/resultList',
                views: {
                    'expense-view': {
                        templateUrl: 'tpls/expense/result-list.html?v=' + App.VERSION,
                        controller: "MyExpenseCtrl as vm",
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/expense/myExpenseCtrl.js?v=' + App.VERSION]);
                    }]
                }
            }).state('expense.resultDetail', {
                url: '/resultDetail/:id',
                views: {
                    'expense-view': {
                        templateUrl: 'tpls/expense/result-detail.html?v=' + App.VERSION,
                        controller: "MyExpenseDetailCtrl as vm",
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/expense/myExpenseDetailCtrl.js?v=' + App.VERSION]);
                    }]
                }
            });

            $stateProvider
                .state('ssTax', {
                    url: '/ssTax',
                    template: '<ion-nav-view name="ss-tax-view" class="ssTax"></ion-nav-view>',
                })
                .state('ssTax.guide', {
                    url: '/guide',
                    views: {
                        'ss-tax-view': {
                            templateUrl: 'tpls/ssTax/guide.html?v=' + App.VERSION,
                        }
                    },
                })
                .state('ssTax.submit', {
                    url: "/submit",
                    views: {
                        'ss-tax-view': {
                            templateUrl: 'tpls/ssTax/submit.html?v=' + App.VERSION,
                            controller: "SsTaxSubmitCtrl as vm"
                        }
                    },
                    resolve: {
                        appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                            return $ocLazyLoad.load(['js/controller/ssTax/submitCtrl.js?v=' + App.VERSION]);
                        }]
                    }
                })
                .state('ssTax.detail', {
                    url: "/detail",
                    views: {
                        'ss-tax-view': {
                            templateUrl: 'tpls/ssTax/detail.html?v=' + App.VERSION,
                            controller: "SsTaxDetailCtrl as vm"
                        }
                    },
                    resolve: {
                        appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                            return $ocLazyLoad.load(['js/controller/ssTax/detailCtrl.js?v=' + App.VERSION]);
                        }]
                    }
                })

            $urlRouterProvider.otherwise('/home');
        }
    ]);