/**
 * app入口 2016/11/04.
 */
angular.module('NmHr')
    .run(['$rootScope', 'App', 'Util', 'NoAuthList', 'UserInfo', 'Employee', '$ionicPlatform',
        function ($rootScope, App, Util, NoAuthList, UserInfo, Employee, $ionicPlatform) {

            global = $rootScope.global = {
                isAndroid: ionic.Platform.isAndroid(),
                isIos: ionic.Platform.isIOS(),
                imgPath: Util.getImgPath(),
                upPath: Util.getUploadPath(),
                base: null,
                employee: null,
                enterprise: null
            };

            var initInfo = function () {
                global.base = UserInfo.getBase();
                getEmployee();
                getEnterprise();
            }

            //获取员工信息
            var getEmployee = function () {
                Employee.findById({
                    id: global.base.userId,
                    filter: {
                        include: ['ssAccount']
                    }
                }).$promise.then(function (res) {
                    global.employee = res;
                    UserInfo.setEmployee(res);
                });
            };

            //获取公司信息
            var getEnterprise = function () {
                Employee.prototype$__get__enterprise({
                    id: global.base.userId
                }).$promise.then(function (res) {
                    global.enterprise = res;
                    UserInfo.setEnterprise(res);
                });
            };

            //视图即将被打开
            $rootScope.$on('$ionicView.beforeEnter', function (event, data) {
                var noAuth = App.filter('filter')(NoAuthList, function (item) {
                    return item == data.stateName;
                });

                if (!UserInfo.isAuth() && !noAuth.length) {
                    App.state.go("main.find");
                } else if (UserInfo.isAuth() && noAuth.length) {
                    App.state.go("main.home");
                }
            });


            initInfo();

            //绑定员工信息事件
            $rootScope.$on('upEmployee', function (event, data) {
                console.log('upEmployee')
                initInfo();
            });

            //加载动画显示
            $rootScope.$on('loaddingShow', function () {
                App.ionLoading.show();
            });

            //加载动画隐藏
            $rootScope.$on('loaddingHide', function () {
                App.ionLoading.hide();
            });
        }
    ])