/**
 * app常用过滤器 2016/11/04.
 */
angular.module('NmHr')
  .filter('imgPath', ['App', function (App) {
    //统一图片处理
    return function (value, type) {
      if (value) {
        var list = value.split('/');

        if (value.indexOf('http') != '-1') {
          return value;
        } else if (list.length) {
          return global.imgPath + list[list.length - 1];
        } else {
          return global.imgPath + value;
        }
      } else {
        if (type == "person_logo") {
          return 'img/other/person_logo_default.png';
        } else if (type == "enterprise_logo") {
          return 'img/other/company_logo_default.png';
        }
      }
    }
  }])
  .filter('birthday', ['$filter', function ($filter) {
    //年龄处理
    function ages(str) {
      try {
        var r = str.match(/^(\d{1,4})(-|\/)(\d{1,2})\2(\d{1,2})$/);
        if (r == null) return false;
        var d = new Date(r[1], r[3] - 1, r[4]);
        if (d.getFullYear() == r[1] && (d.getMonth() + 1) == r[3] && d.getDate() == r[4]) {
          var Y = new Date().getFullYear();
          return (Y - r[1]);
        }
      } catch (e) {
        return str;
      }
    }

    return function (value) {
      if (value) {
        return ages($filter('date')(value, 'yyyy-MM-dd'));
      }
    }
  }])
  .filter('lastNumber', [function () {
    //尾号处理
    return function (value) {
      if (value) {
        try {
          return "尾号" + value.substr(value.length - 4);
        } catch (e) {
          return "";
        }
      }
    }
  }])
  .filter('getPercent', ['$filter', function ($filter) {
    return function (value) {
      if (!value) return
      var result = value * 100;
      return $filter('number')(result, 1) + "%"
    }
  }])
  .filter('getCityByCode',[function(){
    return function(value){
      var map = {
        sz : "深圳",
        bj : "北京"
      }
      return map[value]
    }
  }])
 