/**
 * 企业查找
 */
angular.module('NmHr')
    .controller('EnterpriseFindCtrl', ['App', '$scope', 'UserInfo', 'Enterprise',
        function(App, $scope, UserInfo, Enterprise) {
            var vm = this;
            vm.formModel = {};
            vm.verify = {
                codeError: false
            };

            //查找企业
            vm.find = function() {
                Enterprise.getEnterpriseLoginInfoByCode({
                    code: vm.formModel.code
                }).$promise.then(function(res) {
                    if (res.info) {
                        UserInfo.setEnterprise({
                            id: res.info.enterpriseId,
                            image: res.info.logo.image
                        });
                        App.state.go("main.login", {
                            enterpriseCode: vm.formModel.code
                        });
                    } else {
                        vm.verify.codeError = true;
                    }
                });
            };

            //重置提交状态
            vm.reset = function() {
                if (vm.verify.codeError) vm.verify.codeError = false;
            };

            //清空字段
            vm.clear = function() {
                vm.formModel.code = "";
            };

            return vm;
        }
    ]);;
