angular.module('NmHr')
  .controller('SubmitCtrl', ['App', 'Employee', 'Expense', '$scope',
    function (App, Employee, Expense, $scope) {
      var vm = this;

      var type = App.stateParams.type;
      var typeValue = App.filter('getTypeValue')(type);
      var subTypeValue = App.filter('getSubTypeValue')(App.stateParams.type, App.stateParams.subType);

      vm.formModel = {
        type: typeValue,
        subtype: subTypeValue,
        enterpriseId: global.enterprise.id,
        submit_at: new Date(),
        happen_at: '',
        status: 1,
        _resources: []
      };
      vm.subTypeArr = []

      var initData = function () {
        switch (type) {
          case "medical":
            vm.subTypeArr = [{
              name: "内地就医的普通门诊费用报销",
              value: 11,
            }, {
              name: "未按规定转诊或登记<br>自行到市外就医的住院费用的报销",
              value: 12,
            }, {
              name: "已办理常住内地就医备案的参保人<br>在备案医院住院费用报销",
              value: 13,
            }, {
              name: "经核准转诊市外医院的报销",
              value: 14,
            }]
            break;
          case "ssTransfer":
            break;
        }
      }

      vm.submit = function () {
        var params = ngCopy(vm.formModel);
        var title = App.filter('getTypeTitle')(App.stateParams.type)

        params.submit_at = App.filter('date')(vm.formModel.submit_at, 'yyyy-MM-dd');
        params.happen_at = App.filter('date')(vm.formModel.happen_at, 'yyyy-MM-dd');

        Employee.prototype$__create__expenses({
          id: global.base.userId
        }, params).$promise.then(function (res) {
          App.state.go('main.tips', {
            title: title,
            route: 'expense.resultList',
            args: JSON.stringify(App.stateParams)
          });
        });
      };

      vm.selectSubType = function () {
        if (vm.typeModal) {
          vm.typeModal.show();
          return
        }
        App.ionModal.fromTemplateUrl('./tpls/modal/expense/subtype.html', {
          scope: $scope,
          animation: 'slide-in-up'
        }).then(function (modal) {
          vm.typeModal = modal;
          modal.show();
        });
      }


      vm.createResource = function (image) {
        vm.formModel._resources.push({
          container: 'default',
          image: image
        });
      };

      initData();

      return vm;
    }
  ])