/**
 * 用户登录
 */
angular.module('NmHr')
    .controller('loginCtrl', ['App', '$rootScope', '$scope', 'UserInfo', 'Employee', 'Enterprise',
        function(App, $rootScope, $scope, UserInfo, Employee, Enterprise) {
            var vm = this;
            vm.enterprise = UserInfo.getEnterprise();
            vm.formModel = {
                enterpriseCode: App.stateParams.enterpriseCode
            };
            vm.verify = {
                phoneNoError: false,
                codeError: false
            };

            //用户登录
            vm.login = function() {
                Employee.phoneLogin(vm.formModel).$promise.then(function(res) {
                    UserInfo.setBase({
                        token: res.id,
                        ttl: res.ttl,
                        created: res.created,
                        userId: res.userId
                    });

                    $rootScope.$broadcast('upEmployee');
                    App.ionHistory.nextViewOptions({
                        historyRoot : true,
                        disableBack : true
                    });
                    App.state.go("main.home");
                });
            };

            //检测手机号
            vm.checkPhone = function() {
                if (!vm.formModel.phoneNo) return;

                Enterprise.prototype$checkPhoneExist({
                    id: vm.enterprise.id,
                    phone: vm.formModel.phoneNo
                }).$promise.then(function(res) {
                    vm.verify.phoneNoError = !res.status;
                });
            };

            //发送验证码
            vm.sendCode = function() {
                vm.smsOpt.isSend = false;
                SmsToken.requestCode({
                    phoneNumber: vm.formModel.phoneNo,
                }).$promise.then(function(res) {
                    if (res.token) {
                        vm.formModel.tokenId = res.token.id;
                        smsTimer();
                        return 
                    } 
                    vm.smsOpt.isSend = true;
                }).catch(function(error) {
                    vm.smsOpt.isSend = true;
                });
            };

            //重置提交状态
            vm.reset = function(key) {
                if (vm.verify[key]) {
                    vm.verify[key] = false;
                }
            };

            //清空字段
            vm.clear = function(key) {
                vm.formModel[key] = "";
            };

            return vm;
        }
    ]);