/**
 * 权益查询
 */
angular.module('NmHr')
    .controller('PaymentQueryCtrl', ['App', '$rootScope', '$scope', 'Employee', 'City', 'UserInfo', 'SsAccount', 'HasAccount',
        function (App, $rootScope, $scope, Employee, City, UserInfo, SsAccount, HasAccount) {
            var vm = this;
            var benefits = [];

            vm.hasAccount = HasAccount.status;
            vm.ssInfo = null;
            vm.loginData = {
                ssid: "",
                password: "",
            };
            //社保登录
            vm.login = function () {
                SsAccount.connectSsAccount({
                    id: UserInfo.getBase().userId,
                    cityCode: vm.cityDetailInfo.code,
                    ssid: vm.loginData.ssid,
                    password: vm.loginData.password
                }).$promise.then(function (res) {
                    vm.ssInfo = res.ssaccount;
                    vm.hasAccount = true
                    $scope.$emit('upEmployee');
                });
            };


            var initData = function () {
                City.findById({
                    id: UserInfo.getEnterprise().cityId,
                    filter: {
                        include: ['benefits']
                    }
                }).$promise.then(function (res) {
                    vm.cityDetailInfo = res;
                    if (vm.hasAccount) {
                        return Employee.prototype$__get__ssAccount({
                            id: global.base.userId
                        })
                    }
                    return App.q.reject();
                }).then(function(res){
                    vm.ssInfo = res
                });
            }

            initData();

            return vm;
        }
    ]);