angular.module('NmHr')
  .controller('SsTaxDetailCtrl', ['App', 'Employee', '$scope', 'UserInfo', 'EmployeeSupplementary',
    function (App, Employee, $scope, UserInfo, EmployeeSupplementary) {
      var vm = this;
      vm.ssTaxInfo = null;
      vm.payMoneyModal = null;
      vm.payInfoModal = null;

      vm.payMoneyInfo = {
        date: null,
        name: "",
        note: "",
        $$date: null
      }
      vm.payInfo = null;

      var init = function () {
        Employee.prototype$__get__employeeSupplementarys({
          id: UserInfo.getBase().userId,
          filter: {
            order: 'applyDate DESC'
          }
        }).$promise.then(function (res) {
          vm.ssTaxInfo = res[0];
          console.log(res[0]);
        });
      }

      var getPayInfo = function () {
        EmployeeSupplementary.prototype$__get__payDetail({
          id: vm.ssTaxInfo.id
        }).$promise.then(function (res) {
          console.log(res);
          vm.payInfo = res;
        });
      }

      vm.showPayMoney = function () {
        if (vm.payMoneyModal) {
          vm.payMoneyModal.show();
          return
        }
        App.ionModal.fromTemplateUrl('./tpls/modal/ssTax/pay-money.html', {
          scope: $scope,
        }).then(function (modal) {
          vm.payMoneyModal = modal;
          modal.show();
        });
      }

      vm.payMoney = function () {
        vm.payMoneyInfo.date = App.filter('date')(vm.payMoneyInfo.$$date, 'yyyy-MM-dd')
        EmployeeSupplementary.prototype$pay({
          id: vm.ssTaxInfo.id
        }, vm.payMoneyInfo).$promise.then(function (res) {
          if (res.status) {
            App.ionPopup.alert({
              cssClass: 'ios-alert',
              title: "付款成功",
              okText: "确定",
              okType: "btn-assertive"
            }).then(function () {
              init();
              vm.payMoneyModal.hide();
            });
          } else {
            App.ionPopup.alert({
              cssClass: 'ios-alert',
              title: "付款失败，你已经付款",
              okText: "确定",
              okType: "btn-assertive"
            })
          }
        });
      }

      vm.showPayInfo = function () {
        if (vm.payInfoModal) {
          vm.payInfoModal.show();
          return
        }
        App.ionModal.fromTemplateUrl('./tpls/modal/ssTax/pay-info.html', {
          scope: $scope,
        }).then(function (modal) {
          getPayInfo();
          vm.payInfoModal = modal;
          modal.show();
        });
      }


      init();

      return vm;
    }
  ])