angular.module('NmHr')
  .controller('SsTaxSubmitCtrl', ['App', 'Employee', '$scope', 'ModalCtrl', 'UserInfo',
    function (App, Employee, $scope, ModalCtrl, UserInfo) {
      var vm = this;

      vm.formData = {
        dates: [],
        base: 0,
        cost: 0,
        $$dates: [],
      }

      var getTaxMonth = function () {
        for (var i = 1; i < 4; i++) {
          var tmp = moment().subtract(i, 'month').startOf('month').format('YYYY-MM-DD');
          vm.formData.$$dates.push({
            value: tmp,
            isSelected: true
          })
        }
      }

      var init = function () {
        getTaxMonth();
        Employee.prototype$__get__socialSetting({
          id: UserInfo.getBase().userId
        }).$promise.then(function (res) {
          vm.formData.base = res.ssBase;
          vm.getCalculate();
        });
      }


      vm.submitTax = function () {
        Employee.prototype$createSupplementary({
          id: UserInfo.getBase().userId,
          dates: vm.formData.dates
        }).$promise.then(function (res) {
          App.state.go('main.tips', {
            title: '社保补缴',
            route: 'ssTax.detail',
          });
        })
      }

      vm.getCalculate = function () {
        vm.formData.dates = App.filter('getDates')(vm.formData.$$dates)
        Employee.prototype$calculateSupplementary({
          id: UserInfo.getBase().userId,
          dates: vm.formData.dates
        }).$promise.then(function (res) {
          vm.formData.cost = res;
        })
      }

      vm.showModal = function (name, url) {
        ModalCtrl.showModal(name, url, {
          scope: $scope
        })
      }

      vm.hideModal = function (name) {
        ModalCtrl.hideModal(name)
      }

      init();

      $scope.$on('$destroy', function () {
        ModalCtrl.removeAll();
      });
      return vm;
    }
  ])
  .factory('ModalCtrl', ['$ionicModal', function ($ionicModal) {
    var formModal = {
      ssBase: null,
      dateMonth: null,
      ssCost: null
    }
    return {
      initModal: function (name, tplUrl, opt) {
        $ionicModal.fromTemplateUrl(tplUrl, {
          name: name,
          scope: opt.scope,
        }).then(function (modal) {
          formModal[name] = modal;
          modal.show();
        });
      },
      getModal: function (name) {
        return formModal[name]
      },
      showModal: function (name, tplUrl, opt) {
        if (!formModal[name]) {
          this.initModal(name, tplUrl, opt)
          return;
        }
        formModal[name].show();
      },
      hideModal: function (name) {
        formModal[name].hide();
      },
      removeAll: function () {
        for (var i in formModal) {
          if (formModal[i]) {
            formModal[i].remove();
            formModal[i] = null;
          }
        }
      },
    }
  }])
  .filter('getDates', [function () {
    return function (value) {
      var result = [];
      for (var i in value) {
        if (!value[i].isSelected) continue
        result.push(value[i].value)
      }
      return result;
    }
  }])