/**
 * shebaoApp 2016/11/04.
 */

angular.module('NmHr', ['ionic', 'oc.lazyLoad', 'schultz', 'nmServices', 'ngCordova', 'LocalStorageModule'])
    .config(['$httpProvider', '$ionicConfigProvider', 'LoopBackResourceProvider','localStorageServiceProvider',
        function($httpProvider, $ionicConfigProvider, LoopBackResourceProvider,localStorageServiceProvider) {

            //设置Cookie的expires为秒数
            $httpProvider.interceptors.push("ErrorInterceptor");

            //配置Android和IOS区别
            $ionicConfigProvider.tabs.position('bottom');
            $ionicConfigProvider.tabs.style('standard');
            $ionicConfigProvider.navBar.alignTitle('center');
            $ionicConfigProvider.views.swipeBackEnabled(false)
            //配置全局IONIC
            $ionicConfigProvider.scrolling.jsScrolling(ionic.Platform.isIOS())
            $ionicConfigProvider.backButton.icon('ion-ios-arrow-left');
            $ionicConfigProvider.backButton.text('返回');
            $ionicConfigProvider.backButton.previousTitleText(false);
            $ionicConfigProvider.form.toggle('large');

            localStorageServiceProvider.setPrefix('schultz');
            
            switch (hostName) {
                case "hr.ningmengbao.cn":
                    LoopBackResourceProvider.setUrlBase('http://hr.ningmengbao.com/api');
                    break;
                default:
                    LoopBackResourceProvider.setUrlBase('http://hr.stg.ningmengbao.com/api');
                    break;
            }
        }
    ])
/**
 * app入口 2016/11/04.
 */
angular.module('NmHr')
  .run(['$ionicPlatform', '$cordovaStatusbar',
    function ($ionicPlatform, $cordovaStatusbar) {
      $ionicPlatform.ready(function () {

        if (window.cordova && window.cordova.plugins.Keyboard) {
          // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
          // for form inputs)
          cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);

          // Don't remove this line unless you know what you are doing. It stops the viewport
          // from snapping when text inputs are focused. Ionic handles this internally for
          // a much nicer keyboard experience.
          cordova.plugins.Keyboard.disableScroll(true);
        }
        if (window.StatusBar) {
           $cordovaStatusbar.style(1);
        }
      });
    }
  ])
/**
 * app内置工具定义 2016/11/04.
 */

angular.module('NmHr')
    .run(['App', '$ionicPlatform', '$rootScope', '$timeout', '$ionicHistory', '$q', '$window', '$ionicModal', '$ionicPopover', '$state', '$stateParams', '$ionicScrollDelegate', '$location', '$ionicPopup', '$filter', '$document', '$interval', '$http', '$ionicLoading', '$ionicTabsDelegate', '$ionicNavBarDelegate', '$ionicActionSheet',
        function(App, $ionicPlatform, $rootScope, $timeout, $ionicHistory, $q, $window, $ionicModal, $ionicPopover, $state, $stateParams, $ionicScrollDelegate, $location, $ionicPopup, $filter, $document, $interval, $http, $ionicLoading, $ionicTabsDelegate, $ionicNavBarDelegate, $ionicActionSheet) {
            //angular工具
            ngJqLite = angular.element;
            ngEach = angular.forEach;
            ngExtend = angular.extend;
            ngCopy = angular.copy;
            ngMerge = angular.merge;

            isEquals = angular.equals;
            isArray = angular.isArray;
            isDate = angular.isDate;
            isEle = angular.isElement;
            isFn = angular.isFunction;
            isNum = angular.isNumber;
            isObj = angular.isObject;
            isStr = angular.isString;
            isUndefined = angular.isUndefined;

            //平常使用
            App.q = $q;
            App.http = $http;
            App.window = $window;
            App.document = $document;
            App.timeout = $timeout;
            App.state = $state;
            App.stateParams = $stateParams;
            App.location = $location;
            App.filter = $filter;
            App.interval = $interval

            //ionic系列
            App.ionLoading = $ionicLoading
            App.ionPopover = $ionicPopover;
            App.ionModal = $ionicModal;
            App.ionHistory = $ionicHistory;
            App.ionPopup = $ionicPopup;
            App.ionScroll = $ionicScrollDelegate;
            App.ionTabs = $ionicTabsDelegate;
            App.ionNavBar = $ionicNavBarDelegate;
            App.ionicPlatform = $ionicPlatform;
            App.ionicActionSheet = $ionicActionSheet;

        }
    ])

/**
 * app路由 2016/11/04.
 */

angular.module('NmHr')
    .config(['$stateProvider', '$urlRouterProvider', 'App',
        function ($stateProvider, $urlRouterProvider, App) {

            //主入口
            $stateProvider.state('main', {
                // url: '',
                template: '<ion-nav-view name="main-view"></ion-nav-view>',
            }).state('main.home', {
                url: '/home',
                cache: false,
                views: {
                    'main-view': {
                        templateUrl: 'tpls/home.html?v=' + App.VERSION,
                        controller: "homeCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/home.js?v=' + App.VERSION]);
                    }]
                }
            }).state('main.login', {
                url: '/login/:enterpriseCode',
                cache: false,
                views: {
                    'main-view': {
                        templateUrl: 'tpls/login.html?v=' + App.VERSION,
                        controller: "loginCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/login.js?v=' + App.VERSION]);
                    }]
                }
            }).state('main.personal', {
                url: '/personal',
                views: {
                    'main-view': {
                        templateUrl: 'tpls/personal/info.html?v=' + App.VERSION,
                        controller: "PersonalInfoCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/personal/info.js?v=' + App.VERSION]);
                    }]
                }
            }).state('main.ssAccount', {
                url: '/ssAccount',
                views: {
                    'main-view': {
                        templateUrl: 'tpls/personal/ss-account.html?v=' + App.VERSION,
                        controller: "SsAccountCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/personal/ss-account.js?v=' + App.VERSION]);
                    }],
                    SsAccountInfo: ['UserInfo', 'Employee', function (UserInfo, Employee) {
                        return Employee.prototype$__get__ssAccount({
                            id: UserInfo.getBase().userId
                        })
                    }]
                }
            }).state('main.enterprise', {
                url: '/enterprise/info',
                views: {
                    'main-view': {
                        templateUrl: 'tpls/enterprise/info.html?v=' + App.VERSION,
                        controller: "EnterpriselInfoCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/enterprise/info.js?v=' + App.VERSION]);
                    }]
                }
            }).state('main.find', {
                url: '/enterprise/find',
                views: {
                    'main-view': {
                        templateUrl: 'tpls/enterprise/find.html?v=' + App.VERSION,
                        controller: "EnterpriseFindCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/enterprise/find.js?v=' + App.VERSION]);
                    }]
                }
            }).state('main.agreement', {
                url: '/agreement',
                views: {
                    'main-view': {
                        templateUrl: 'tpls/agreement.html?v=' + App.VERSION
                    }
                }
            }).state('main.tips', {
                url: '/tips/:title/:route?args',
                views: {
                    'main-view': {
                        templateUrl: 'tpls/tips.html?v=' + App.VERSION,
                        controller: "TipsCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/tips.js?v=' + App.VERSION]);
                    }]
                }
            });


            //资料报备
            $stateProvider.state('report', {
                url: '/report',
                template: '<ion-nav-view name="main-view"></ion-nav-view>',
            }).state('report.category', {
                url: '/category',
                views: {
                    'main-view': {
                        templateUrl: 'tpls/report/category.html?v=' + App.VERSION,
                        controller: "ReportCategoryCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/report/category.js?v=' + App.VERSION]);
                    }]
                }
            }).state('report.certificate', {
                url: '/certificate',
                views: {
                    'main-view': {
                        templateUrl: 'tpls/report/certificate.html?v=' + App.VERSION,
                        controller: "CertificateCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/report/certificate.js?v=' + App.VERSION]);
                    }]
                }
            }).state('report.bank', {
                url: '/bank',
                views: {
                    'main-view': {
                        templateUrl: 'tpls/report/bank.html?v=' + App.VERSION,
                        controller: "BankCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/report/bank.js?v=' + App.VERSION]);
                    }]
                }
            }).state('report.receipt', {
                url: '/receipt',
                views: {
                    'main-view': {
                        templateUrl: 'tpls/report/receipt.html?v=' + App.VERSION,
                        controller: "ReceiptCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/report/receipt.js?v=' + App.VERSION]);
                    }]
                }
            });

            //缴费明细
            $stateProvider.state('payment', {
                url: '/payment',
                template: '<ion-nav-view name="payment-view"></ion-nav-view>',
            }).state('payment.info', {
                url: '/info',
                views: {
                    'payment-view': {
                        templateUrl: 'tpls/payment/info.html?v=' + App.VERSION,
                        controller: "PaymentInfoCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/payment/info.js?v=' + App.VERSION]);
                    }]
                }
            }).state('payment.history', {
                url: '/history',
                views: {
                    'payment-view': {
                        templateUrl: 'tpls/payment/history.html?v=' + App.VERSION,
                        controller: "PaymentHistoryCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/payment/history.js?v=' + App.VERSION]);
                    }]
                }
            }).state('payment.query', {
                url: '/query',
                cache: false,
                views: {
                    'payment-view': {
                        templateUrl: 'tpls/payment/query.html?v=' + App.VERSION,
                        controller: "PaymentQueryCtrl as vm"
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/payment/query.js?v=' + App.VERSION]);
                    }],
                    HasAccount : ['Employee',function(Employee){
                      return  Employee.prototype$isSsAccountExists({
                          id: global.base.userId
                      }).$promise
                    }]
                }
            });

            //代办模块
            $stateProvider.state('expense', {
                url: '/expense/:type/:subType',
                template: '<ion-nav-view name="expense-view" class="expense"></ion-nav-view>',
                controller: "ExpenseCtrl",
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/expense/expenseCtrl.js?v=' + App.VERSION]);
                    }]
                }
            }).state('expense.guide', {
                url: '/guide',
                views: {
                    'expense-view': {
                        templateUrl: 'tpls/expense/guide.html?v=' + App.VERSION,
                    }
                },

            }).state('expense.select', {
                url: '/select',
                views: {
                    'expense-view': {
                        templateUrl: 'tpls/expense/type-select.html?v=' + App.VERSION,
                    }
                }
            }).state('expense.introduce', {
                url: '/introduce',
                views: {
                    'expense-view': {
                        templateUrl: 'tpls/expense/type-introduce.html?v=' + App.VERSION,
                    }
                }
            }).state('expense.submit', {
                url: '/submit',
                views: {
                    'expense-view': {
                        templateUrl: 'tpls/expense/submit.html?v=' + App.VERSION,
                        controller: "SubmitCtrl as vm",
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/expense/submitCtrl.js?v=' + App.VERSION]);
                    }]
                }
            }).state('expense.resultList', {
                url: '/resultList',
                views: {
                    'expense-view': {
                        templateUrl: 'tpls/expense/result-list.html?v=' + App.VERSION,
                        controller: "MyExpenseCtrl as vm",
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/expense/myExpenseCtrl.js?v=' + App.VERSION]);
                    }]
                }
            }).state('expense.resultDetail', {
                url: '/resultDetail/:id',
                views: {
                    'expense-view': {
                        templateUrl: 'tpls/expense/result-detail.html?v=' + App.VERSION,
                        controller: "MyExpenseDetailCtrl as vm",
                    }
                },
                resolve: {
                    appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                        return $ocLazyLoad.load(['js/controller/expense/myExpenseDetailCtrl.js?v=' + App.VERSION]);
                    }]
                }
            });

            $stateProvider
                .state('ssTax', {
                    url: '/ssTax',
                    template: '<ion-nav-view name="ss-tax-view" class="ssTax"></ion-nav-view>',
                })
                .state('ssTax.guide', {
                    url: '/guide',
                    views: {
                        'ss-tax-view': {
                            templateUrl: 'tpls/ssTax/guide.html?v=' + App.VERSION,
                        }
                    },
                })
                .state('ssTax.submit', {
                    url: "/submit",
                    views: {
                        'ss-tax-view': {
                            templateUrl: 'tpls/ssTax/submit.html?v=' + App.VERSION,
                            controller: "SsTaxSubmitCtrl as vm"
                        }
                    },
                    resolve: {
                        appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                            return $ocLazyLoad.load(['js/controller/ssTax/submitCtrl.js?v=' + App.VERSION]);
                        }]
                    }
                })
                .state('ssTax.detail', {
                    url: "/detail",
                    views: {
                        'ss-tax-view': {
                            templateUrl: 'tpls/ssTax/detail.html?v=' + App.VERSION,
                            controller: "SsTaxDetailCtrl as vm"
                        }
                    },
                    resolve: {
                        appLoad: ['$ocLazyLoad', function ($ocLazyLoad) {
                            return $ocLazyLoad.load(['js/controller/ssTax/detailCtrl.js?v=' + App.VERSION]);
                        }]
                    }
                })

            $urlRouterProvider.otherwise('/home');
        }
    ]);
/**
 * app入口 2016/11/04.
 */
angular.module('NmHr')
    .run(['$rootScope', 'App', 'Util', 'NoAuthList', 'UserInfo', 'Employee', '$ionicPlatform',
        function ($rootScope, App, Util, NoAuthList, UserInfo, Employee, $ionicPlatform) {

            global = $rootScope.global = {
                isAndroid: ionic.Platform.isAndroid(),
                isIos: ionic.Platform.isIOS(),
                imgPath: Util.getImgPath(),
                upPath: Util.getUploadPath(),
                base: null,
                employee: null,
                enterprise: null
            };

            var initInfo = function () {
                global.base = UserInfo.getBase();
                getEmployee();
                getEnterprise();
            }

            //获取员工信息
            var getEmployee = function () {
                Employee.findById({
                    id: global.base.userId,
                    filter: {
                        include: ['ssAccount']
                    }
                }).$promise.then(function (res) {
                    global.employee = res;
                    UserInfo.setEmployee(res);
                });
            };

            //获取公司信息
            var getEnterprise = function () {
                Employee.prototype$__get__enterprise({
                    id: global.base.userId
                }).$promise.then(function (res) {
                    global.enterprise = res;
                    UserInfo.setEnterprise(res);
                });
            };

            //视图即将被打开
            $rootScope.$on('$ionicView.beforeEnter', function (event, data) {
                var noAuth = App.filter('filter')(NoAuthList, function (item) {
                    return item == data.stateName;
                });

                if (!UserInfo.isAuth() && !noAuth.length) {
                    App.state.go("main.find");
                } else if (UserInfo.isAuth() && noAuth.length) {
                    App.state.go("main.home");
                }
            });


            initInfo();

            //绑定员工信息事件
            $rootScope.$on('upEmployee', function (event, data) {
                console.log('upEmployee')
                initInfo();
            });

            //加载动画显示
            $rootScope.$on('loaddingShow', function () {
                App.ionLoading.show();
            });

            //加载动画隐藏
            $rootScope.$on('loaddingHide', function () {
                App.ionLoading.hide();
            });
        }
    ])
angular.module('NmHr')
  .directive('myUpload', ['App', '$cordovaFileTransfer', '$cordovaCamera', '$cordovaImagePicker', 'Util',
    function (App, $cordovaFileTransfer, $cordovaCamera, $cordovaImagePicker, Util) {
      return {
        link: function (scope, ele, attr, ctrls) {
          var server = Util.getUploadPath();
          var filePath = "";

          ele.on('click', function () {
            var tmpPromise = null;
            App.ionicActionSheet.show({
              buttons: [{
                name: "camer",
                text: '拍照'
              }, {
                name: "photo",
                text: "从图片中选择"
              }],
              cancelText: '取消',
              cancel: function () {},
              buttonClicked: function (index, obj) {
                switch (obj.name) {
                  case "camer":
                    var camerOptions = {
                      quality: 50,
                      targetWidth: 1024,
                      destinationType: Camera.DestinationType.FILE_URI,
                      sourceType: Camera.PictureSourceType.CAMERA,
                      correctOrientation: true
                    }
                    tmpPromise = $cordovaCamera.getPicture(camerOptions)
                    break;
                  case "photo":
                    var pickerOptions = {
                      maximumImagesCount: 1,
                      width: 1024,
                      quality: 50,
                    };
                    tmpPromise = $cordovaImagePicker.getPictures(pickerOptions)
                    break;
                }

                upload(tmpPromise);
                return true;
              }
            })
          })
          var upload = function (promise) {
            App.q.when(promise).then(function (res) {
              if (!res) App.q.reject();
              filePath = isArray(res) ? encodeURI(res[0]) : res
              return $cordovaFileTransfer.upload(server, filePath)
            }).then(function (res) {

              var data = JSON.parse(res.response)
              scope.vm.createResource(data.result)
            }).catch(function (e) {
              console.log(e);
            })
          }
        }
      }
    }
  ])
  .directive('sms', [function () {
    return {
      template: '<button class="button" ng-disabled="!form.phoneNo.$valid || !smsOpt.isSend || $parent.vm.verify.phoneNoError" ng-click="sendCode()">{{smsOpt.isSend? "获取验证码": "重新发送(" + smsOpt.time +")"}}</button>',
      transclude: true,
      replace: true,
      restrict: 'E',
      controller: ['App', '$scope', '$element', '$attrs', '$sce', 'SmsToken',
        function (App, $scope, ele, attrs, $sce, SmsToken) {
          var $parent = $scope.$parent;
          var sendSmsBtn = ngJqLite(document.querySelector('.send-captcha'));
          $scope.smsOpt = {
            isSend: true,
            time: 30,
            count: 30
          };
          $scope.captchaInfo = {};
          $scope.valid = {
            captchaCode: false
          };

          //发送验证码
          $scope.sendCode = function () {
            $scope.smsOpt.isSend = false;
            SmsToken.requestCode({
              phoneNumber: $parent.vm.formModel.phoneNo,
            }).$promise.then(function (res) {
              if (res.token) {
                $parent.vm.formModel.tokenId = res.token.id;
                smsTimer();
              } else {
                $scope.smsOpt.isSend = true;
                errorAlert();
              }
            }).catch(function (error) {
              $scope.smsOpt.isSend = true;
              if (error.status == 429) {
                errorAlert();
              } else if (error.status == 423) {
                smsConfirm();
              }
            });
          };

          //短信计时器
          var smsTimer = function () {
            var timer = App.interval(function () {
              $scope.smsOpt.time--;
            }, 1000, $scope.smsOpt.count);

            timer.then(function () {
              $scope.smsOpt.time = $scope.smsOpt.count;
              $scope.smsOpt.isSend = true;
              App.interval.cancel(timer);
            });
          };

          //解除发送受限
          var smsConfirm = function () {
            App.ionPopup.confirm({
              cssClass: 'confirm-sms',
              title: '验证码发送超出次数',
              template: '<div class="sms-wrap">' +
                '<form role="form" class="form-horizontal" name="smsForm">' +
                '<div class="sub-title">' +
                '<p>请输入下方验证码后再次尝试</p>' +
                '</div>' +
                '<div class="sms-code">' +
                '<span ng-bind-html="captchaInfo.$$captcha"></span>' +
                '<button  ng-click="getCaptcha()" ng-disabled="valid.captchaCode">换一个</button>' +
                '</div>' +
                '<div class="sms-input">' +
                '<input type="text" name="captchaCode" placeholder="图形码" maxlength="4" ng-model="captchaInfo.captchaCode" ng-change="validateCaptcha()" ng-disabled="valid.captchaCode" ng-pattern="/^[a-zA-Z0-9]{4,6}$/" required>' +
                '<div class="icon-wrap">' +
                '<i class="icon ion-ios-checkmark col-succ" ng-if="smsForm.captchaCode.$valid && valid.captchaCode"></i>' +
                '</div>' +
                '</div>' +
                '</form>' +
                '</div>',
              scope: $scope,
              buttons: [{
                text: '取消',
                onTap: function (e) {
                  $scope.valid.captchaCode = true;
                  $scope.captchaInfo.captchaCode = "";
                }
              }, {
                text: '<b>提交</b>',
                type: 'btn-positive send-captcha',
                onTap: function (e) {
                  $scope.sendCode();
                }
              }]
            });

            App.timeout(function () {
              sendSmsBtn = ngJqLite(document.querySelector('.send-captcha'));
              sendSmsBtn.attr('disabled', ' ');
            }, 300);

            $scope.getCaptcha();
          };

          // 操作频繁提示
          var errorAlert = function () {
            App.ionPopup.alert({
              cssClass: 'ios-alert',
              title: "频繁操作",
              template: '您的操作过于频繁，</br>请休息一下再重新操作',
              okText: "确定",
              okType: "btn-assertive"
            });
          };

          //获取图片验证码
          $scope.getCaptcha = function () {
            SmsToken.requestCaptcha({
              phoneNumber: $parent.vm.formModel.phoneNo
            }).$promise.then(function (res) {
              $scope.captchaInfo.captchaId = res.id;
              $scope.captchaInfo.$$captcha = $sce.trustAsHtml(res.captcha);
            });
          };

          //校验图片验证码
          $scope.validateCaptcha = function () {
            if (!$scope.captchaInfo.captchaCode) return;

            SmsToken.validateCaptcha({
              captchaId: $scope.captchaInfo.captchaId,
              phoneNumber: $parent.vm.formModel.phoneNo,
              captchaCode: $scope.captchaInfo.captchaCode
            }).$promise.then(function (res) {
              $scope.valid.captchaCode = res.status;
              if (res.status) sendSmsBtn.removeAttr('disabled');
            });
          };
        }
      ],
      link: function (scope, ele, attr, ctrls) {}
    }
  }])
  .constant('uibButtonConfig', {
    activeClass: 'uib-active',
    toggleEvent: 'click'
  })
  .controller('UibButtonsController', ['uibButtonConfig', function (buttonConfig) {
    this.activeClass = buttonConfig.activeClass || 'active';
    this.toggleEvent = buttonConfig.toggleEvent || 'click';
  }])
  .directive('uibBtnRadio', ['$parse', function ($parse) {
    return {
      require: ['uibBtnRadio', 'ngModel'],
      controller: 'UibButtonsController',
      controllerAs: 'buttons',
      link: function (scope, element, attrs, ctrls) {
        var buttonsCtrl = ctrls[0],
          ngModelCtrl = ctrls[1];
        var uncheckableExpr = $parse(attrs.uibUncheckable);

        element.find('input').css({
          display: 'none'
        });

        //model -> UI
        ngModelCtrl.$render = function () {
          element.toggleClass(buttonsCtrl.activeClass, angular.equals(ngModelCtrl.$modelValue, scope.$eval(attrs.uibBtnRadio)));
        };

        //ui->model
        element.on(buttonsCtrl.toggleEvent, function () {
          if (attrs.disabled) {
            return;
          }

          var isActive = element.hasClass(buttonsCtrl.activeClass);

          if (!isActive || angular.isDefined(attrs.uncheckable)) {
            scope.$apply(function () {
              ngModelCtrl.$setViewValue(isActive ? null : scope.$eval(attrs.uibBtnRadio));
              ngModelCtrl.$render();
            });
          }
        });

        if (attrs.uibUncheckable) {
          scope.$watch(uncheckableExpr, function (uncheckable) {
            attrs.$set('uncheckable', uncheckable ? '' : undefined);
          });
        }
      }
    };
  }])
  .directive('uibBtnCheckbox', function () {
    return {
      require: ['uibBtnCheckbox', 'ngModel'],
      controller: 'UibButtonsController',
      controllerAs: 'button',
      link: function (scope, element, attrs, ctrls) {
        var buttonsCtrl = ctrls[0],
          ngModelCtrl = ctrls[1];

        element.find('input').css({
          display: 'none'
        });

        function getTrueValue() {
          return getCheckboxValue(attrs.btnCheckboxTrue, true);
        }

        function getFalseValue() {
          return getCheckboxValue(attrs.btnCheckboxFalse, false);
        }

        function getCheckboxValue(attribute, defaultValue) {
          return angular.isDefined(attribute) ? scope.$eval(attribute) : defaultValue;
        }

        //model -> UI
        ngModelCtrl.$render = function () {
          element.toggleClass(buttonsCtrl.activeClass, angular.equals(ngModelCtrl.$modelValue, getTrueValue()));
        };

        //ui->model
        element.on(buttonsCtrl.toggleEvent, function () {
          if (attrs.disabled) {
            return;
          }

          scope.$apply(function () {
            ngModelCtrl.$setViewValue(element.hasClass(buttonsCtrl.activeClass) ? getFalseValue() : getTrueValue());
            ngModelCtrl.$render();
          });
        });
      }
    };
  })
  .directive('imageGroup', [function () {
    return {
      controller: ['$scope', '$ionicModal', function (scope, $ionicModal) {
        var _self = this;
        _self.images = [];
        _self.addImage = function (imgItem) {
          this.images.push(imgItem)
        }
        _self.modal = null;

        $ionicModal.fromTemplateUrl('./tpls/modal/image/zoom.html', {
          scope: scope
        }).then(function (modal) {
          _self.modal = modal;
        })

        scope.$on('$destroy', function () {
          _self.modal = null;
          _self.images = [];
        });
      }]
    }
  }])
  .directive('imageItem', ['$ionicModal', function ($ionicModal) {
    return {
      require: '^imageGroup',
      link: function (scope, ele, attr, ctrl) {
        var imgUrl = scope.$eval(attr.imgUrl);
        scope.allImages = [];

        ele.on('click', function (e) {
          scope.images = ctrl.images;
          ctrl.modal.show();
        })

        ctrl.addImage(imgUrl)

      }
    }
  }])
  .directive('zoomImg', ['$ionicModal', '$ionicSlideBoxDelegate', '$ionicScrollDelegate', '$cacheFactory', function ($ionicModal, $ionicSlideBoxDelegate, $ionicScrollDelegate, $cacheFactory) {
    return {
      scope: {
        imgUrl: "@"
      },
      link: function (scope, ele, attr, ctrl) {
        scope.imgSrc = "";

        $ionicModal.fromTemplateUrl('./tpls/modal/image/zoom.html', {
          scope: scope
        }).then(function (modal) {
          scope.modal = modal;
        })

        scope.hideModal = function () {
          if (global.isIos) {
            scope.modal.hide();
          }
        }

        if (!scope.imgUrl) {
          attr.$observe('src', function (value) {
            scope.imgSrc = value
          })
        }

        ele.on('click', function (modal) {
          scope.modal.show()
        })

        scope.$on('$destroy', function () {
          scope.modal.remove();
        });
      }
    }
  }])
  .directive('openBrower', ['$cordovaInAppBrowser', function ($cordovaInAppBrowser) {
    return {
      scope: {
        options: "=",
        type: "@"
      },
      link: function (scope, ele, attrs, ctrl) {
        var src = ""
        var type = scope.type || "_system"
        ele.on('click', function () {
          src = attrs.href;
          $cordovaInAppBrowser.open(src, type, scope.options)
        })
      }
    }
  }])
/**
 * app常用过滤器 2016/11/04.
 */
angular.module('NmHr')
  .filter('imgPath', ['App', function (App) {
    //统一图片处理
    return function (value, type) {
      if (value) {
        var list = value.split('/');

        if (value.indexOf('http') != '-1') {
          return value;
        } else if (list.length) {
          return global.imgPath + list[list.length - 1];
        } else {
          return global.imgPath + value;
        }
      } else {
        if (type == "person_logo") {
          return 'img/other/person_logo_default.png';
        } else if (type == "enterprise_logo") {
          return 'img/other/company_logo_default.png';
        }
      }
    }
  }])
  .filter('birthday', ['$filter', function ($filter) {
    //年龄处理
    function ages(str) {
      try {
        var r = str.match(/^(\d{1,4})(-|\/)(\d{1,2})\2(\d{1,2})$/);
        if (r == null) return false;
        var d = new Date(r[1], r[3] - 1, r[4]);
        if (d.getFullYear() == r[1] && (d.getMonth() + 1) == r[3] && d.getDate() == r[4]) {
          var Y = new Date().getFullYear();
          return (Y - r[1]);
        }
      } catch (e) {
        return str;
      }
    }

    return function (value) {
      if (value) {
        return ages($filter('date')(value, 'yyyy-MM-dd'));
      }
    }
  }])
  .filter('lastNumber', [function () {
    //尾号处理
    return function (value) {
      if (value) {
        try {
          return "尾号" + value.substr(value.length - 4);
        } catch (e) {
          return "";
        }
      }
    }
  }])
  .filter('getPercent', ['$filter', function ($filter) {
    return function (value) {
      if (!value) return
      var result = value * 100;
      return $filter('number')(result, 1) + "%"
    }
  }])
  .filter('getCityByCode',[function(){
    return function(value){
      var map = {
        sz : "深圳",
        bj : "北京"
      }
      return map[value]
    }
  }])
 
/**
 * app常用服务 2016/11/04.
 */

angular.module('nmServices', [])
    .constant('NoAuthList', ['main.login', 'main.find', 'main.agreement'])
    .constant('App', {
        VERSION : '1482561783772'
    })
    //报错拦截器
    .factory('ErrorInterceptor', ['App', '$rootScope', 'localStorageService',
        function (App, $rootScope, localStorageService) {
            var count = 0
            var isXHR = function (data) {
                return data.url.indexOf('api') >= 0
            }
            return {
                'request': function (config) {
                    if (isXHR(config)) {
                        count++;
                        config.headers.Authorization = localStorageService.get('access_token');
                        App.timeout(function () {
                            if (count > 0) {
                                $rootScope.$broadcast('loaddingShow')
                            }
                        }, 300);
                    }
                    return config;
                },
                'requestError': function (rejection) {
                    if (isXHR(rejection)) {
                        count--
                        $rootScope.$broadcast('loaddingHide')
                    }
                    return App.q.reject(rejection);
                },
                'response': function (response) {
                    if (isXHR(response.config)) {
                        count--;
                        App.timeout(function () {
                            if (count <= 0) {
                                $rootScope.$broadcast('loaddingHide')
                            }
                        }, 200)
                    }
                    return response;
                },
                'responseError': function (rejection) {
                    var error = rejection.data.error;

                    if (!isXHR(rejection.config)) {
                        return App.q.reject(rejection);
                    }

                    count--;
                    $rootScope.$broadcast('loaddingHide');

                    if (error.status == 401) {
                        // localStorageService.remove('access_token');
                        // App.state.go("main.find");
                    } else if (error && error.message && error.status != 423 && error.status != 429) {
                        App.ionPopup.alert({
                            cssClass: 'ios-alert',
                            title: "错误提示",
                            template: error.message,
                            okText: "确定",
                            okType: "btn-assertive"
                        });
                    }


                    return App.q.reject(rejection);
                }
            };
        }
    ])
    .service('UserInfo', ['App', 'Util', function (App, Util) {
        var defer = App.q.defer();
        var base = Util.queryStore('base') || {};
        var employee = Util.queryStore('employee') || {};
        var enterprise = Util.queryStore('enterprise') || {};
        return {
            getEmployee: function () {
                return employee;
            },
            setEmployee: function (item) {
                employee = item;
                Util.saveStore('employee', employee);
            },
            getEnterprise: function () {
                return enterprise;
            },
            setEnterprise: function (item) {
                enterprise = item;
                Util.saveStore('enterprise', enterprise);
            },
            getBase: function () {
                return base;
            },
            setBase: function (item) {
                base = item;
                Util.saveStore('base', base);
                Util.saveStore('access_token', base.token);
            },
            isAuth: function () {
                var access_token = Util.queryStore('access_token');

                if (access_token) {
                    return true;
                } else {
                    return false;
                }
            },
            destroy: function () {
                Util.removeStore('base');
                Util.removeStore('employee');
                Util.removeStore('enterprise');
                Util.removeStore('access_token');
            }
        };
    }])
    .factory('Util', ['App', 'localStorageService', 'LoopBackResource',
        function (App, localStorageService, LoopBackResource) {
            return {
                getHostName: function () {
                    return location.hostname;
                },
                comfirmPopup: function (opt) {
                    App.ionPopup.confirm({
                        cssClass: 'popup-confirm',
                        template: opt.title,
                        buttons: [{
                            text: opt.leftText
                        }, {
                            text: "<b>" + opt.rigthText + "</b>",
                            type: 'btn-assertive',
                            onTap: function (e) {
                                opt.rightTap()
                            }
                        }]
                    });
                },
                comfirmSheet: function (opt) {
                    App.ionicActionSheet.show({
                        cssClass: 'sheet-confirm',
                        buttons: [{
                            text: opt.sureText
                        }],
                        cancelText: opt.cancelText,
                        cancel: function () {},
                        buttonClicked: function () {
                            opt.sureTap();
                            return true;
                        }
                    });
                },
                getImgPath: function () {
                    return LoopBackResource.getUrlBase() + "/osscontainers/default/download/"
                },
                getUploadPath: function () {
                    return LoopBackResource.getUrlBase() + "/osscontainers/default/upload/"
                },
                saveStore: function (key, value) {
                    localStorageService.set(key, value);
                },
                queryStore: function (key) {
                    return localStorageService.get(key);
                },
                removeStore: function (key) {
                    localStorageService.remove(key);
                },
            }
        }
    ])
// CommonJS package manager support
if (typeof module !== 'undefined' && typeof exports !== 'undefined' &&
  module.exports === exports) {
  // Export the *name* of this Angular module
  // Sample usage:
  //
  //   import lbServices from './lb-services';
  //   angular.module('app', [lbServices]);
  //
  module.exports = "schultz";
}

(function(window, angular, undefined) {
  'use strict';

  var urlBase = "/api";
  var authHeader = 'authorization';

  function getHost(url) {
    var m = url.match(/^(?:https?:)?\/\/([^\/]+)/);
    return m ? m[1] : null;
  }

  var urlBaseHost = getHost(urlBase) || location.host;

/**
 * @ngdoc overview
 * @name schultz
 * @module
 * @description
 *
 * The `schultz` module provides services for interacting with
 * the models exposed by the LoopBack server via the REST API.
 *
 */
  var module = angular.module("schultz", ['ngResource']);

/**
 * @ngdoc object
 * @name schultz.Employee
 * @header schultz.Employee
 * @object
 *
 * @description
 *
 * A $resource object for interacting with the `Employee` model.
 *
 * ## Example
 *
 * See
 * {@link http://docs.angularjs.org/api/ngResource.$resource#example $resource}
 * for an example of using this object.
 *
 */
  module.factory(
    "Employee",
    [
      'LoopBackResource', 'LoopBackAuth', '$injector', '$q',
      function(LoopBackResource, LoopBackAuth, $injector, $q) {
        var R = LoopBackResource(
        urlBase + "/employees/:id",
          { 'id': '@id' },
          {

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__get__photoImage
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Fetches hasOne relation photoImage.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
            "prototype$__get__photoImage": {
              url: urlBase + "/employees/:id/photoImage",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__create__photoImage
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Creates a new instance in photoImage of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
            "prototype$__create__photoImage": {
              url: urlBase + "/employees/:id/photoImage",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__update__photoImage
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Update photoImage of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
            "prototype$__update__photoImage": {
              url: urlBase + "/employees/:id/photoImage",
              method: "PUT",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__destroy__photoImage
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Deletes photoImage of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
            "prototype$__destroy__photoImage": {
              url: urlBase + "/employees/:id/photoImage",
              method: "DELETE",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__findById__idCardImages
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Find a related item by id for idCardImages.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `fk` – `{*}` - Foreign key for idCardImages
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
            "prototype$__findById__idCardImages": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/employees/:id/idCardImages/:fk",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__destroyById__idCardImages
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Delete a related item by id for idCardImages.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `fk` – `{*}` - Foreign key for idCardImages
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
            "prototype$__destroyById__idCardImages": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/employees/:id/idCardImages/:fk",
              method: "DELETE",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__updateById__idCardImages
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Update a related item by id for idCardImages.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `fk` – `{*}` - Foreign key for idCardImages
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
            "prototype$__updateById__idCardImages": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/employees/:id/idCardImages/:fk",
              method: "PUT",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__findById__contractImages
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Find a related item by id for contractImages.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `fk` – `{*}` - Foreign key for contractImages
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
            "prototype$__findById__contractImages": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/employees/:id/contractImages/:fk",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__destroyById__contractImages
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Delete a related item by id for contractImages.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `fk` – `{*}` - Foreign key for contractImages
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
            "prototype$__destroyById__contractImages": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/employees/:id/contractImages/:fk",
              method: "DELETE",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__updateById__contractImages
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Update a related item by id for contractImages.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `fk` – `{*}` - Foreign key for contractImages
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
            "prototype$__updateById__contractImages": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/employees/:id/contractImages/:fk",
              method: "PUT",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__get__bankNumberImage
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Fetches hasOne relation bankNumberImage.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
            "prototype$__get__bankNumberImage": {
              url: urlBase + "/employees/:id/bankNumberImage",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__create__bankNumberImage
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Creates a new instance in bankNumberImage of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
            "prototype$__create__bankNumberImage": {
              url: urlBase + "/employees/:id/bankNumberImage",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__update__bankNumberImage
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Update bankNumberImage of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
            "prototype$__update__bankNumberImage": {
              url: urlBase + "/employees/:id/bankNumberImage",
              method: "PUT",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__destroy__bankNumberImage
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Deletes bankNumberImage of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
            "prototype$__destroy__bankNumberImage": {
              url: urlBase + "/employees/:id/bankNumberImage",
              method: "DELETE",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__get__ssReturnReceiptImage
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Fetches hasOne relation ssReturnReceiptImage.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
            "prototype$__get__ssReturnReceiptImage": {
              url: urlBase + "/employees/:id/ssReturnReceiptImage",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__create__ssReturnReceiptImage
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Creates a new instance in ssReturnReceiptImage of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
            "prototype$__create__ssReturnReceiptImage": {
              url: urlBase + "/employees/:id/ssReturnReceiptImage",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__update__ssReturnReceiptImage
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Update ssReturnReceiptImage of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
            "prototype$__update__ssReturnReceiptImage": {
              url: urlBase + "/employees/:id/ssReturnReceiptImage",
              method: "PUT",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__destroy__ssReturnReceiptImage
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Deletes ssReturnReceiptImage of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
            "prototype$__destroy__ssReturnReceiptImage": {
              url: urlBase + "/employees/:id/ssReturnReceiptImage",
              method: "DELETE",
            },

            // INTERNAL. Use Employee.salary() instead.
            "prototype$__get__salary": {
              url: urlBase + "/employees/:id/salary",
              method: "GET",
            },

            // INTERNAL. Use Employee.salary.create() instead.
            "prototype$__create__salary": {
              url: urlBase + "/employees/:id/salary",
              method: "POST",
            },

            // INTERNAL. Use Employee.salary.update() instead.
            "prototype$__update__salary": {
              url: urlBase + "/employees/:id/salary",
              method: "PUT",
            },

            // INTERNAL. Use Employee.salary.destroy() instead.
            "prototype$__destroy__salary": {
              url: urlBase + "/employees/:id/salary",
              method: "DELETE",
            },

            // INTERNAL. Use Employee.expenses.findById() instead.
            "prototype$__findById__expenses": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/employees/:id/expenses/:fk",
              method: "GET",
            },

            // INTERNAL. Use Employee.expenses.destroyById() instead.
            "prototype$__destroyById__expenses": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/employees/:id/expenses/:fk",
              method: "DELETE",
            },

            // INTERNAL. Use Employee.expenses.updateById() instead.
            "prototype$__updateById__expenses": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/employees/:id/expenses/:fk",
              method: "PUT",
            },

            // INTERNAL. Use Employee.enterprise() instead.
            "prototype$__get__enterprise": {
              url: urlBase + "/employees/:id/enterprise",
              method: "GET",
            },

            // INTERNAL. Use Employee.socialSetting() instead.
            "prototype$__get__socialSetting": {
              url: urlBase + "/employees/:id/socialSetting",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__findById__socialStatements
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Find a related item by id for socialStatements.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `fk` – `{*}` - Foreign key for socialStatements
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
            "prototype$__findById__socialStatements": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/employees/:id/socialStatements/:fk",
              method: "GET",
            },

            // INTERNAL. Use Employee.ssAccount() instead.
            "prototype$__get__ssAccount": {
              url: urlBase + "/employees/:id/ssAccount",
              method: "GET",
            },

            // INTERNAL. Use Employee.employeeSupplementarys.findById() instead.
            "prototype$__findById__employeeSupplementarys": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/employees/:id/employeeSupplementarys/:fk",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__get__idCardImages
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Queries idCardImages of employee.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `filter` – `{object=}` -
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
            "prototype$__get__idCardImages": {
              isArray: true,
              url: urlBase + "/employees/:id/idCardImages",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__create__idCardImages
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Creates a new instance in idCardImages of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
            "prototype$__create__idCardImages": {
              url: urlBase + "/employees/:id/idCardImages",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__delete__idCardImages
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Deletes all idCardImages of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
            "prototype$__delete__idCardImages": {
              url: urlBase + "/employees/:id/idCardImages",
              method: "DELETE",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__count__idCardImages
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Counts idCardImages of employee.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `count` – `{number=}` -
             */
            "prototype$__count__idCardImages": {
              url: urlBase + "/employees/:id/idCardImages/count",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__get__contractImages
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Queries contractImages of employee.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `filter` – `{object=}` -
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
            "prototype$__get__contractImages": {
              isArray: true,
              url: urlBase + "/employees/:id/contractImages",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__create__contractImages
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Creates a new instance in contractImages of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
            "prototype$__create__contractImages": {
              url: urlBase + "/employees/:id/contractImages",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__delete__contractImages
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Deletes all contractImages of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
            "prototype$__delete__contractImages": {
              url: urlBase + "/employees/:id/contractImages",
              method: "DELETE",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__count__contractImages
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Counts contractImages of employee.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `count` – `{number=}` -
             */
            "prototype$__count__contractImages": {
              url: urlBase + "/employees/:id/contractImages/count",
              method: "GET",
            },

            // INTERNAL. Use Employee.expenses() instead.
            "prototype$__get__expenses": {
              isArray: true,
              url: urlBase + "/employees/:id/expenses",
              method: "GET",
            },

            // INTERNAL. Use Employee.expenses.create() instead.
            "prototype$__create__expenses": {
              url: urlBase + "/employees/:id/expenses",
              method: "POST",
            },

            // INTERNAL. Use Employee.expenses.destroyAll() instead.
            "prototype$__delete__expenses": {
              url: urlBase + "/employees/:id/expenses",
              method: "DELETE",
            },

            // INTERNAL. Use Employee.expenses.count() instead.
            "prototype$__count__expenses": {
              url: urlBase + "/employees/:id/expenses/count",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$__get__socialStatements
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Queries socialStatements of employee.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `filter` – `{object=}` -
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
            "prototype$__get__socialStatements": {
              isArray: true,
              url: urlBase + "/employees/:id/socialStatements",
              method: "GET",
            },

            // INTERNAL. Use Employee.employeeSupplementarys() instead.
            "prototype$__get__employeeSupplementarys": {
              isArray: true,
              url: urlBase + "/employees/:id/employeeSupplementarys",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#create
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Create a new instance of the model and persist it into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
            "create": {
              url: urlBase + "/employees",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#createMany
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Create a new instance of the model and persist it into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
            "createMany": {
              isArray: true,
              url: urlBase + "/employees",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#findById
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Find a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             *  - `filter` – `{object=}` - Filter defining fields and include
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
            "findById": {
              url: urlBase + "/employees/:id",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#find
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Find all instances of the model matched by filter from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `filter` – `{object=}` - Filter defining fields, where, include, order, offset, and limit
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
            "find": {
              isArray: true,
              url: urlBase + "/employees",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#count
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Count instances of the model matched by where from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `count` – `{number=}` -
             */
            "count": {
              url: urlBase + "/employees/count",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$updateAttributes
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Patch attributes for a model instance and persist it into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
            "prototype$updateAttributes": {
              url: urlBase + "/employees/:id",
              method: "PUT",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#login
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Login a user with username/email and password.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `include` – `{string=}` - Related objects to include in the response. See the description of return value for more details.
             *   Default value: `user`.
             *
             *  - `rememberMe` - `boolean` - Whether the authentication credentials
             *     should be remembered in localStorage across app/browser restarts.
             *     Default: `true`.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * The response body contains properties of the AccessToken created on login.
             * Depending on the value of `include` parameter, the body may contain additional properties:
             *   - `user` - `U+007BUserU+007D` - Data of the currently logged in user. (`include=user`)
             *
             */
            "login": {
              params: {
                include: 'user',
              },
              interceptor: {
                response: function(response) {
                  var accessToken = response.data;
                  LoopBackAuth.setUser(
                    accessToken.id, accessToken.userId, accessToken.user);
                  LoopBackAuth.rememberMe =
                    response.config.params.rememberMe !== false;
                  LoopBackAuth.save();
                  return response.resource;
                },
              },
              url: urlBase + "/employees/login",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#logout
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Logout a user with access token.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             *  - `access_token` – `{string}` - Do not supply this argument, it is automatically extracted from request headers.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
            "logout": {
              interceptor: {
                response: function(response) {
                  LoopBackAuth.clearUser();
                  LoopBackAuth.clearStorage();
                  return response.resource;
                },
                responseError: function(responseError) {
                  LoopBackAuth.clearUser();
                  LoopBackAuth.clearStorage();
                  return responseError.resource;
                },
              },
              url: urlBase + "/employees/logout",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#confirm
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Confirm a user registration with email verification token.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `uid` – `{string}` -
             *
             *  - `token` – `{string}` -
             *
             *  - `redirect` – `{string=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
            "confirm": {
              url: urlBase + "/employees/confirm",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#resetPassword
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Reset password for a user with email.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
            "resetPassword": {
              url: urlBase + "/employees/reset",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$notification
             * @methodOf schultz.Employee
             *
             * @description
             *
             * 通知登陆
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method does not accept any data. Supply an empty object.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `status` – `{boolean=}` - true 表示成功, 其它错误
             */
            "prototype$notification": {
              url: urlBase + "/employees/:id/notification",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#phoneLogin
             * @methodOf schultz.Employee
             *
             * @description
             *
             * 手机登陆
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             *  - `tokenId` – `{string}` -
             *
             *  - `phoneNo` – `{string}` -
             *
             *  - `code` – `{string}` -
             *
             *  - `enterpriseCode` – `{string}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
            "phoneLogin": {
              url: urlBase + "/employees/phoneLogin",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$departure
             * @methodOf schultz.Employee
             *
             * @description
             *
             * 离职操作
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             *  - `userId` – `{*=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `employee` – `{object=}` - 离职操作完成后的员工信息(更新 status 状态以及 leaveDate)
             */
            "prototype$departure": {
              url: urlBase + "/employees/:id/departure",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$calculateSupplementary
             * @methodOf schultz.Employee
             *
             * @description
             *
             * 计算补缴费用
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             *  - `dates` – `{*}` - 补缴月份
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * 补缴费用
             */
            "prototype$calculateSupplementary": {
              url: urlBase + "/employees/:id/calculateSupplementary",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$createSupplementary
             * @methodOf schultz.Employee
             *
             * @description
             *
             * 创建补缴定单
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             *  - `dates` – `{*}` - 补缴月份
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * 补缴费用
             */
            "prototype$createSupplementary": {
              url: urlBase + "/employees/:id/employeeSupplementarys",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#prototype$isSsAccountExists
             * @methodOf schultz.Employee
             *
             * @description
             *
             * 判断ssaccount是否存在
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method does not accept any data. Supply an empty object.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `status` – `{boolean=}` - true 表示存在, 其它表示不存在
             */
            "prototype$isSsAccountExists": {
              url: urlBase + "/employees/:id/isSsAccountExists",
              method: "POST",
            },

            // INTERNAL. Use Salary.employee() instead.
            "::get::Salary::employee": {
              url: urlBase + "/salaries/:id/employee",
              method: "GET",
            },

            // INTERNAL. Use Expense.employee() instead.
            "::get::Expense::employee": {
              url: urlBase + "/expenses/:id/employee",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.employees.findById() instead.
            "::findById::Enterprise::employees": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/enterprises/:id/employees/:fk",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.employees.destroyById() instead.
            "::destroyById::Enterprise::employees": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/enterprises/:id/employees/:fk",
              method: "DELETE",
            },

            // INTERNAL. Use Enterprise.employees.updateById() instead.
            "::updateById::Enterprise::employees": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/enterprises/:id/employees/:fk",
              method: "PUT",
            },

            // INTERNAL. Use Enterprise.employees() instead.
            "::get::Enterprise::employees": {
              isArray: true,
              url: urlBase + "/enterprises/:id/employees",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.employees.create() instead.
            "::create::Enterprise::employees": {
              url: urlBase + "/enterprises/:id/employees",
              method: "POST",
            },

            // INTERNAL. Use Enterprise.employees.createMany() instead.
            "::createMany::Enterprise::employees": {
              isArray: true,
              url: urlBase + "/enterprises/:id/employees",
              method: "POST",
            },

            // INTERNAL. Use Enterprise.employees.destroyAll() instead.
            "::delete::Enterprise::employees": {
              url: urlBase + "/enterprises/:id/employees",
              method: "DELETE",
            },

            // INTERNAL. Use Enterprise.employees.count() instead.
            "::count::Enterprise::employees": {
              url: urlBase + "/enterprises/:id/employees/count",
              method: "GET",
            },

            // INTERNAL. Use SocialSetting.employee() instead.
            "::get::SocialSetting::employee": {
              url: urlBase + "/socialSettings/:id/employee",
              method: "GET",
            },

            // INTERNAL. Use SsAccount.employee() instead.
            "::get::SsAccount::employee": {
              url: urlBase + "/ssAccounts/:id/employee",
              method: "GET",
            },

            // INTERNAL. Use EmployeeSupplementary.employee() instead.
            "::get::EmployeeSupplementary::employee": {
              url: urlBase + "/employeeSupplementaries/:id/employee",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Employee#getCurrent
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Get data of the currently logged user. Fail with HTTP result 401
             * when there is no user logged in.
             *
             * @param {function(Object,Object)=} successCb
             *    Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *    `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             */
            'getCurrent': {
              url: urlBase + "/employees" + '/:id',
              method: 'GET',
              params: {
                id: function() {
                  var id = LoopBackAuth.currentUserId;
                  if (id == null) id = '__anonymous__';
                  return id;
                },
              },
              interceptor: {
                response: function(response) {
                  LoopBackAuth.currentUserData = response.data;
                  return response.resource;
                },
                responseError: function(responseError) {
                  LoopBackAuth.clearUser();
                  LoopBackAuth.clearStorage();
                  return $q.reject(responseError);
                },
              },
              __isGetCurrentUser__: true,
            },
          }
        );



            /**
             * @ngdoc method
             * @name schultz.Employee#patchAttributes
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Patch attributes for a model instance and persist it into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
        R["patchAttributes"] = R["prototype$updateAttributes"];

        /**
         * @ngdoc method
         * @name schultz.Employee#getCachedCurrent
         * @methodOf schultz.Employee
         *
         * @description
         *
         * Get data of the currently logged user that was returned by the last
         * call to {@link schultz.Employee#login} or
         * {@link schultz.Employee#getCurrent}. Return null when there
         * is no user logged in or the data of the current user were not fetched
         * yet.
         *
         * @returns {Object} A Employee instance.
         */
        R.getCachedCurrent = function() {
          var data = LoopBackAuth.currentUserData;
          return data ? new R(data) : null;
        };

        /**
         * @ngdoc method
         * @name schultz.Employee#isAuthenticated
         * @methodOf schultz.Employee
         *
         * @returns {boolean} True if the current user is authenticated (logged in).
         */
        R.isAuthenticated = function() {
          return this.getCurrentId() != null;
        };

        /**
         * @ngdoc method
         * @name schultz.Employee#getCurrentId
         * @methodOf schultz.Employee
         *
         * @returns {Object} Id of the currently logged-in user or null.
         */
        R.getCurrentId = function() {
          return LoopBackAuth.currentUserId;
        };

        /**
        * @ngdoc property
        * @name schultz.Employee#modelName
        * @propertyOf schultz.Employee
        * @description
        * The name of the model represented by this $resource,
        * i.e. `Employee`.
        */
        R.modelName = "Employee";

    /**
     * @ngdoc object
     * @name schultz.Employee.salary
     * @header schultz.Employee.salary
     * @object
     * @description
     *
     * The object `Employee.salary` groups methods
     * manipulating `Salary` instances related to `Employee`.
     *
     * Call {@link schultz.Employee#salary Employee.salary()}
     * to query all related instances.
     */


            /**
             * @ngdoc method
             * @name schultz.Employee#salary
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Fetches hasOne relation salary.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Salary` object.)
             * </em>
             */
        R.salary = function() {
          var TargetResource = $injector.get("Salary");
          var action = TargetResource["::get::Employee::salary"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Employee.salary#create
             * @methodOf schultz.Employee.salary
             *
             * @description
             *
             * Creates a new instance in salary of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Salary` object.)
             * </em>
             */
        R.salary.create = function() {
          var TargetResource = $injector.get("Salary");
          var action = TargetResource["::create::Employee::salary"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Employee.salary#createMany
             * @methodOf schultz.Employee.salary
             *
             * @description
             *
             * Creates a new instance in salary of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Salary` object.)
             * </em>
             */
        R.salary.createMany = function() {
          var TargetResource = $injector.get("Salary");
          var action = TargetResource["::createMany::Employee::salary"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Employee.salary#destroy
             * @methodOf schultz.Employee.salary
             *
             * @description
             *
             * Deletes salary of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
        R.salary.destroy = function() {
          var TargetResource = $injector.get("Salary");
          var action = TargetResource["::destroy::Employee::salary"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Employee.salary#update
             * @methodOf schultz.Employee.salary
             *
             * @description
             *
             * Update salary of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Salary` object.)
             * </em>
             */
        R.salary.update = function() {
          var TargetResource = $injector.get("Salary");
          var action = TargetResource["::update::Employee::salary"];
          return action.apply(R, arguments);
        };
    /**
     * @ngdoc object
     * @name schultz.Employee.expenses
     * @header schultz.Employee.expenses
     * @object
     * @description
     *
     * The object `Employee.expenses` groups methods
     * manipulating `Expense` instances related to `Employee`.
     *
     * Call {@link schultz.Employee#expenses Employee.expenses()}
     * to query all related instances.
     */


            /**
             * @ngdoc method
             * @name schultz.Employee#expenses
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Queries expenses of employee.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `filter` – `{object=}` -
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Expense` object.)
             * </em>
             */
        R.expenses = function() {
          var TargetResource = $injector.get("Expense");
          var action = TargetResource["::get::Employee::expenses"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Employee.expenses#count
             * @methodOf schultz.Employee.expenses
             *
             * @description
             *
             * Counts expenses of employee.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `count` – `{number=}` -
             */
        R.expenses.count = function() {
          var TargetResource = $injector.get("Expense");
          var action = TargetResource["::count::Employee::expenses"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Employee.expenses#create
             * @methodOf schultz.Employee.expenses
             *
             * @description
             *
             * Creates a new instance in expenses of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Expense` object.)
             * </em>
             */
        R.expenses.create = function() {
          var TargetResource = $injector.get("Expense");
          var action = TargetResource["::create::Employee::expenses"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Employee.expenses#createMany
             * @methodOf schultz.Employee.expenses
             *
             * @description
             *
             * Creates a new instance in expenses of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Expense` object.)
             * </em>
             */
        R.expenses.createMany = function() {
          var TargetResource = $injector.get("Expense");
          var action = TargetResource["::createMany::Employee::expenses"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Employee.expenses#destroyAll
             * @methodOf schultz.Employee.expenses
             *
             * @description
             *
             * Deletes all expenses of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
        R.expenses.destroyAll = function() {
          var TargetResource = $injector.get("Expense");
          var action = TargetResource["::delete::Employee::expenses"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Employee.expenses#destroyById
             * @methodOf schultz.Employee.expenses
             *
             * @description
             *
             * Delete a related item by id for expenses.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `fk` – `{*}` - Foreign key for expenses
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
        R.expenses.destroyById = function() {
          var TargetResource = $injector.get("Expense");
          var action = TargetResource["::destroyById::Employee::expenses"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Employee.expenses#findById
             * @methodOf schultz.Employee.expenses
             *
             * @description
             *
             * Find a related item by id for expenses.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `fk` – `{*}` - Foreign key for expenses
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Expense` object.)
             * </em>
             */
        R.expenses.findById = function() {
          var TargetResource = $injector.get("Expense");
          var action = TargetResource["::findById::Employee::expenses"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Employee.expenses#updateById
             * @methodOf schultz.Employee.expenses
             *
             * @description
             *
             * Update a related item by id for expenses.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `fk` – `{*}` - Foreign key for expenses
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Expense` object.)
             * </em>
             */
        R.expenses.updateById = function() {
          var TargetResource = $injector.get("Expense");
          var action = TargetResource["::updateById::Employee::expenses"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Employee#enterprise
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Fetches belongsTo relation enterprise.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
        R.enterprise = function() {
          var TargetResource = $injector.get("Enterprise");
          var action = TargetResource["::get::Employee::enterprise"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Employee#socialSetting
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Fetches hasOne relation socialSetting.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SocialSetting` object.)
             * </em>
             */
        R.socialSetting = function() {
          var TargetResource = $injector.get("SocialSetting");
          var action = TargetResource["::get::Employee::socialSetting"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Employee#ssAccount
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Fetches hasOne relation ssAccount.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsAccount` object.)
             * </em>
             */
        R.ssAccount = function() {
          var TargetResource = $injector.get("SsAccount");
          var action = TargetResource["::get::Employee::ssAccount"];
          return action.apply(R, arguments);
        };
    /**
     * @ngdoc object
     * @name schultz.Employee.employeeSupplementarys
     * @header schultz.Employee.employeeSupplementarys
     * @object
     * @description
     *
     * The object `Employee.employeeSupplementarys` groups methods
     * manipulating `EmployeeSupplementary` instances related to `Employee`.
     *
     * Call {@link schultz.Employee#employeeSupplementarys Employee.employeeSupplementarys()}
     * to query all related instances.
     */


            /**
             * @ngdoc method
             * @name schultz.Employee#employeeSupplementarys
             * @methodOf schultz.Employee
             *
             * @description
             *
             * Queries employeeSupplementarys of employee.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `filter` – `{object=}` -
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `EmployeeSupplementary` object.)
             * </em>
             */
        R.employeeSupplementarys = function() {
          var TargetResource = $injector.get("EmployeeSupplementary");
          var action = TargetResource["::get::Employee::employeeSupplementarys"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Employee.employeeSupplementarys#findById
             * @methodOf schultz.Employee.employeeSupplementarys
             *
             * @description
             *
             * Find a related item by id for employeeSupplementarys.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `fk` – `{*}` - Foreign key for employeeSupplementarys
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `EmployeeSupplementary` object.)
             * </em>
             */
        R.employeeSupplementarys.findById = function() {
          var TargetResource = $injector.get("EmployeeSupplementary");
          var action = TargetResource["::findById::Employee::employeeSupplementarys"];
          return action.apply(R, arguments);
        };


        return R;
      }]);

/**
 * @ngdoc object
 * @name schultz.Salary
 * @header schultz.Salary
 * @object
 *
 * @description
 *
 * A $resource object for interacting with the `Salary` model.
 *
 * ## Example
 *
 * See
 * {@link http://docs.angularjs.org/api/ngResource.$resource#example $resource}
 * for an example of using this object.
 *
 */
  module.factory(
    "Salary",
    [
      'LoopBackResource', 'LoopBackAuth', '$injector', '$q',
      function(LoopBackResource, LoopBackAuth, $injector, $q) {
        var R = LoopBackResource(
        urlBase + "/salaries/:id",
          { 'id': '@id' },
          {

            // INTERNAL. Use Salary.employee() instead.
            "prototype$__get__employee": {
              url: urlBase + "/salaries/:id/employee",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Salary#create
             * @methodOf schultz.Salary
             *
             * @description
             *
             * Create a new instance of the model and persist it into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Salary` object.)
             * </em>
             */
            "create": {
              url: urlBase + "/salaries",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Salary#createMany
             * @methodOf schultz.Salary
             *
             * @description
             *
             * Create a new instance of the model and persist it into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Salary` object.)
             * </em>
             */
            "createMany": {
              isArray: true,
              url: urlBase + "/salaries",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Salary#upsert
             * @methodOf schultz.Salary
             *
             * @description
             *
             * Patch an existing model instance or insert a new one into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Salary` object.)
             * </em>
             */
            "upsert": {
              url: urlBase + "/salaries",
              method: "PUT",
            },

            /**
             * @ngdoc method
             * @name schultz.Salary#replaceOrCreate
             * @methodOf schultz.Salary
             *
             * @description
             *
             * Replace an existing model instance or insert a new one into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Salary` object.)
             * </em>
             */
            "replaceOrCreate": {
              url: urlBase + "/salaries/replaceOrCreate",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Salary#upsertWithWhere
             * @methodOf schultz.Salary
             *
             * @description
             *
             * Update an existing model instance or insert a new one into the data source based on the where criteria.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Salary` object.)
             * </em>
             */
            "upsertWithWhere": {
              url: urlBase + "/salaries/upsertWithWhere",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Salary#exists
             * @methodOf schultz.Salary
             *
             * @description
             *
             * Check whether a model instance exists in the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `exists` – `{boolean=}` -
             */
            "exists": {
              url: urlBase + "/salaries/:id/exists",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Salary#findById
             * @methodOf schultz.Salary
             *
             * @description
             *
             * Find a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             *  - `filter` – `{object=}` - Filter defining fields and include
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Salary` object.)
             * </em>
             */
            "findById": {
              url: urlBase + "/salaries/:id",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Salary#replaceById
             * @methodOf schultz.Salary
             *
             * @description
             *
             * Replace attributes for a model instance and persist it into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Salary` object.)
             * </em>
             */
            "replaceById": {
              url: urlBase + "/salaries/:id/replace",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Salary#find
             * @methodOf schultz.Salary
             *
             * @description
             *
             * Find all instances of the model matched by filter from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `filter` – `{object=}` - Filter defining fields, where, include, order, offset, and limit
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Salary` object.)
             * </em>
             */
            "find": {
              isArray: true,
              url: urlBase + "/salaries",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Salary#findOne
             * @methodOf schultz.Salary
             *
             * @description
             *
             * Find first instance of the model matched by filter from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `filter` – `{object=}` - Filter defining fields, where, include, order, offset, and limit
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Salary` object.)
             * </em>
             */
            "findOne": {
              url: urlBase + "/salaries/findOne",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Salary#updateAll
             * @methodOf schultz.Salary
             *
             * @description
             *
             * Update instances of the model matched by {{where}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Information related to the outcome of the operation
             */
            "updateAll": {
              url: urlBase + "/salaries/update",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Salary#deleteById
             * @methodOf schultz.Salary
             *
             * @description
             *
             * Delete a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Salary` object.)
             * </em>
             */
            "deleteById": {
              url: urlBase + "/salaries/:id",
              method: "DELETE",
            },

            /**
             * @ngdoc method
             * @name schultz.Salary#count
             * @methodOf schultz.Salary
             *
             * @description
             *
             * Count instances of the model matched by where from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `count` – `{number=}` -
             */
            "count": {
              url: urlBase + "/salaries/count",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Salary#prototype$updateAttributes
             * @methodOf schultz.Salary
             *
             * @description
             *
             * Patch attributes for a model instance and persist it into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Salary` object.)
             * </em>
             */
            "prototype$updateAttributes": {
              url: urlBase + "/salaries/:id",
              method: "PUT",
            },

            /**
             * @ngdoc method
             * @name schultz.Salary#createChangeStream
             * @methodOf schultz.Salary
             *
             * @description
             *
             * Create a change stream.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             *  - `options` – `{object=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `changes` – `{ReadableStream=}` -
             */
            "createChangeStream": {
              url: urlBase + "/salaries/change-stream",
              method: "POST",
            },

            // INTERNAL. Use Employee.salary() instead.
            "::get::Employee::salary": {
              url: urlBase + "/employees/:id/salary",
              method: "GET",
            },

            // INTERNAL. Use Employee.salary.create() instead.
            "::create::Employee::salary": {
              url: urlBase + "/employees/:id/salary",
              method: "POST",
            },

            // INTERNAL. Use Employee.salary.createMany() instead.
            "::createMany::Employee::salary": {
              isArray: true,
              url: urlBase + "/employees/:id/salary",
              method: "POST",
            },

            // INTERNAL. Use Employee.salary.update() instead.
            "::update::Employee::salary": {
              url: urlBase + "/employees/:id/salary",
              method: "PUT",
            },

            // INTERNAL. Use Employee.salary.destroy() instead.
            "::destroy::Employee::salary": {
              url: urlBase + "/employees/:id/salary",
              method: "DELETE",
            },
          }
        );



            /**
             * @ngdoc method
             * @name schultz.Salary#patchOrCreate
             * @methodOf schultz.Salary
             *
             * @description
             *
             * Patch an existing model instance or insert a new one into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Salary` object.)
             * </em>
             */
        R["patchOrCreate"] = R["upsert"];

            /**
             * @ngdoc method
             * @name schultz.Salary#updateOrCreate
             * @methodOf schultz.Salary
             *
             * @description
             *
             * Patch an existing model instance or insert a new one into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Salary` object.)
             * </em>
             */
        R["updateOrCreate"] = R["upsert"];

            /**
             * @ngdoc method
             * @name schultz.Salary#patchOrCreateWithWhere
             * @methodOf schultz.Salary
             *
             * @description
             *
             * Update an existing model instance or insert a new one into the data source based on the where criteria.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Salary` object.)
             * </em>
             */
        R["patchOrCreateWithWhere"] = R["upsertWithWhere"];

            /**
             * @ngdoc method
             * @name schultz.Salary#update
             * @methodOf schultz.Salary
             *
             * @description
             *
             * Update instances of the model matched by {{where}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Information related to the outcome of the operation
             */
        R["update"] = R["updateAll"];

            /**
             * @ngdoc method
             * @name schultz.Salary#destroyById
             * @methodOf schultz.Salary
             *
             * @description
             *
             * Delete a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Salary` object.)
             * </em>
             */
        R["destroyById"] = R["deleteById"];

            /**
             * @ngdoc method
             * @name schultz.Salary#removeById
             * @methodOf schultz.Salary
             *
             * @description
             *
             * Delete a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Salary` object.)
             * </em>
             */
        R["removeById"] = R["deleteById"];

            /**
             * @ngdoc method
             * @name schultz.Salary#patchAttributes
             * @methodOf schultz.Salary
             *
             * @description
             *
             * Patch attributes for a model instance and persist it into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Salary` object.)
             * </em>
             */
        R["patchAttributes"] = R["prototype$updateAttributes"];


        /**
        * @ngdoc property
        * @name schultz.Salary#modelName
        * @propertyOf schultz.Salary
        * @description
        * The name of the model represented by this $resource,
        * i.e. `Salary`.
        */
        R.modelName = "Salary";


            /**
             * @ngdoc method
             * @name schultz.Salary#employee
             * @methodOf schultz.Salary
             *
             * @description
             *
             * Fetches belongsTo relation employee.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
        R.employee = function() {
          var TargetResource = $injector.get("Employee");
          var action = TargetResource["::get::Salary::employee"];
          return action.apply(R, arguments);
        };


        return R;
      }]);

/**
 * @ngdoc object
 * @name schultz.HfSolution
 * @header schultz.HfSolution
 * @object
 *
 * @description
 *
 * A $resource object for interacting with the `HfSolution` model.
 *
 * ## Example
 *
 * See
 * {@link http://docs.angularjs.org/api/ngResource.$resource#example $resource}
 * for an example of using this object.
 *
 */
  module.factory(
    "HfSolution",
    [
      'LoopBackResource', 'LoopBackAuth', '$injector', '$q',
      function(LoopBackResource, LoopBackAuth, $injector, $q) {
        var R = LoopBackResource(
        urlBase + "/hfSolutions/:id",
          { 'id': '@id' },
          {

            // INTERNAL. Use HfSolution.city() instead.
            "prototype$__get__city": {
              url: urlBase + "/hfSolutions/:id/city",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.HfSolution#create
             * @methodOf schultz.HfSolution
             *
             * @description
             *
             * Create a new instance of the model and persist it into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `HfSolution` object.)
             * </em>
             */
            "create": {
              url: urlBase + "/hfSolutions",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.HfSolution#createMany
             * @methodOf schultz.HfSolution
             *
             * @description
             *
             * Create a new instance of the model and persist it into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `HfSolution` object.)
             * </em>
             */
            "createMany": {
              isArray: true,
              url: urlBase + "/hfSolutions",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.HfSolution#findById
             * @methodOf schultz.HfSolution
             *
             * @description
             *
             * Find a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             *  - `filter` – `{object=}` - Filter defining fields and include
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `HfSolution` object.)
             * </em>
             */
            "findById": {
              url: urlBase + "/hfSolutions/:id",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.HfSolution#find
             * @methodOf schultz.HfSolution
             *
             * @description
             *
             * Find all instances of the model matched by filter from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `filter` – `{object=}` - Filter defining fields, where, include, order, offset, and limit
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `HfSolution` object.)
             * </em>
             */
            "find": {
              isArray: true,
              url: urlBase + "/hfSolutions",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.HfSolution#deleteById
             * @methodOf schultz.HfSolution
             *
             * @description
             *
             * Delete a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `HfSolution` object.)
             * </em>
             */
            "deleteById": {
              url: urlBase + "/hfSolutions/:id",
              method: "DELETE",
            },

            /**
             * @ngdoc method
             * @name schultz.HfSolution#count
             * @methodOf schultz.HfSolution
             *
             * @description
             *
             * Count instances of the model matched by where from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `count` – `{number=}` -
             */
            "count": {
              url: urlBase + "/hfSolutions/count",
              method: "GET",
            },

            // INTERNAL. Use SocialSetting.hfSolution() instead.
            "::get::SocialSetting::hfSolution": {
              url: urlBase + "/socialSettings/:id/hfSolution",
              method: "GET",
            },

            // INTERNAL. Use City.hfSolutions.findById() instead.
            "::findById::City::hfSolutions": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/cities/:id/hfSolutions/:fk",
              method: "GET",
            },

            // INTERNAL. Use City.hfSolutions.updateById() instead.
            "::updateById::City::hfSolutions": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/cities/:id/hfSolutions/:fk",
              method: "PUT",
            },

            // INTERNAL. Use City.hfSolutions() instead.
            "::get::City::hfSolutions": {
              isArray: true,
              url: urlBase + "/cities/:id/hfSolutions",
              method: "GET",
            },

            // INTERNAL. Use City.hfSolutions.create() instead.
            "::create::City::hfSolutions": {
              url: urlBase + "/cities/:id/hfSolutions",
              method: "POST",
            },

            // INTERNAL. Use City.hfSolutions.createMany() instead.
            "::createMany::City::hfSolutions": {
              isArray: true,
              url: urlBase + "/cities/:id/hfSolutions",
              method: "POST",
            },
          }
        );



            /**
             * @ngdoc method
             * @name schultz.HfSolution#destroyById
             * @methodOf schultz.HfSolution
             *
             * @description
             *
             * Delete a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `HfSolution` object.)
             * </em>
             */
        R["destroyById"] = R["deleteById"];

            /**
             * @ngdoc method
             * @name schultz.HfSolution#removeById
             * @methodOf schultz.HfSolution
             *
             * @description
             *
             * Delete a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `HfSolution` object.)
             * </em>
             */
        R["removeById"] = R["deleteById"];


        /**
        * @ngdoc property
        * @name schultz.HfSolution#modelName
        * @propertyOf schultz.HfSolution
        * @description
        * The name of the model represented by this $resource,
        * i.e. `HfSolution`.
        */
        R.modelName = "HfSolution";


            /**
             * @ngdoc method
             * @name schultz.HfSolution#city
             * @methodOf schultz.HfSolution
             *
             * @description
             *
             * Fetches belongsTo relation city.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `City` object.)
             * </em>
             */
        R.city = function() {
          var TargetResource = $injector.get("City");
          var action = TargetResource["::get::HfSolution::city"];
          return action.apply(R, arguments);
        };


        return R;
      }]);

/**
 * @ngdoc object
 * @name schultz.SsSolution
 * @header schultz.SsSolution
 * @object
 *
 * @description
 *
 * A $resource object for interacting with the `SsSolution` model.
 *
 * ## Example
 *
 * See
 * {@link http://docs.angularjs.org/api/ngResource.$resource#example $resource}
 * for an example of using this object.
 *
 */
  module.factory(
    "SsSolution",
    [
      'LoopBackResource', 'LoopBackAuth', '$injector', '$q',
      function(LoopBackResource, LoopBackAuth, $injector, $q) {
        var R = LoopBackResource(
        urlBase + "/ssSolutions/:id",
          { 'id': '@id' },
          {

            /**
             * @ngdoc method
             * @name schultz.SsSolution#prototype$__get__configurations
             * @methodOf schultz.SsSolution
             *
             * @description
             *
             * Queries configurations of ssSolution.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `filter` – `{object=}` -
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsSolution` object.)
             * </em>
             */
            "prototype$__get__configurations": {
              isArray: true,
              url: urlBase + "/ssSolutions/:id/configurations",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.SsSolution#prototype$__create__configurations
             * @methodOf schultz.SsSolution
             *
             * @description
             *
             * Creates a new instance in configurations of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsSolution` object.)
             * </em>
             */
            "prototype$__create__configurations": {
              url: urlBase + "/ssSolutions/:id/configurations",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.SsSolution#create
             * @methodOf schultz.SsSolution
             *
             * @description
             *
             * Create a new instance of the model and persist it into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsSolution` object.)
             * </em>
             */
            "create": {
              url: urlBase + "/ssSolutions",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.SsSolution#createMany
             * @methodOf schultz.SsSolution
             *
             * @description
             *
             * Create a new instance of the model and persist it into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsSolution` object.)
             * </em>
             */
            "createMany": {
              isArray: true,
              url: urlBase + "/ssSolutions",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.SsSolution#findById
             * @methodOf schultz.SsSolution
             *
             * @description
             *
             * Find a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             *  - `filter` – `{object=}` - Filter defining fields and include
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsSolution` object.)
             * </em>
             */
            "findById": {
              url: urlBase + "/ssSolutions/:id",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.SsSolution#find
             * @methodOf schultz.SsSolution
             *
             * @description
             *
             * Find all instances of the model matched by filter from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `filter` – `{object=}` - Filter defining fields, where, include, order, offset, and limit
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsSolution` object.)
             * </em>
             */
            "find": {
              isArray: true,
              url: urlBase + "/ssSolutions",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.SsSolution#deleteById
             * @methodOf schultz.SsSolution
             *
             * @description
             *
             * Delete a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsSolution` object.)
             * </em>
             */
            "deleteById": {
              url: urlBase + "/ssSolutions/:id",
              method: "DELETE",
            },

            /**
             * @ngdoc method
             * @name schultz.SsSolution#count
             * @methodOf schultz.SsSolution
             *
             * @description
             *
             * Count instances of the model matched by where from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `count` – `{number=}` -
             */
            "count": {
              url: urlBase + "/ssSolutions/count",
              method: "GET",
            },

            // INTERNAL. Use SocialSetting.ssSolution() instead.
            "::get::SocialSetting::ssSolution": {
              url: urlBase + "/socialSettings/:id/ssSolution",
              method: "GET",
            },

            // INTERNAL. Use City.ssSolutions.findById() instead.
            "::findById::City::ssSolutions": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/cities/:id/ssSolutions/:fk",
              method: "GET",
            },

            // INTERNAL. Use City.ssSolutions.updateById() instead.
            "::updateById::City::ssSolutions": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/cities/:id/ssSolutions/:fk",
              method: "PUT",
            },

            // INTERNAL. Use City.ssSolutions() instead.
            "::get::City::ssSolutions": {
              isArray: true,
              url: urlBase + "/cities/:id/ssSolutions",
              method: "GET",
            },

            // INTERNAL. Use City.ssSolutions.create() instead.
            "::create::City::ssSolutions": {
              url: urlBase + "/cities/:id/ssSolutions",
              method: "POST",
            },

            // INTERNAL. Use City.ssSolutions.createMany() instead.
            "::createMany::City::ssSolutions": {
              isArray: true,
              url: urlBase + "/cities/:id/ssSolutions",
              method: "POST",
            },
          }
        );



            /**
             * @ngdoc method
             * @name schultz.SsSolution#destroyById
             * @methodOf schultz.SsSolution
             *
             * @description
             *
             * Delete a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsSolution` object.)
             * </em>
             */
        R["destroyById"] = R["deleteById"];

            /**
             * @ngdoc method
             * @name schultz.SsSolution#removeById
             * @methodOf schultz.SsSolution
             *
             * @description
             *
             * Delete a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsSolution` object.)
             * </em>
             */
        R["removeById"] = R["deleteById"];


        /**
        * @ngdoc property
        * @name schultz.SsSolution#modelName
        * @propertyOf schultz.SsSolution
        * @description
        * The name of the model represented by this $resource,
        * i.e. `SsSolution`.
        */
        R.modelName = "SsSolution";



        return R;
      }]);

/**
 * @ngdoc object
 * @name schultz.Expense
 * @header schultz.Expense
 * @object
 *
 * @description
 *
 * A $resource object for interacting with the `Expense` model.
 *
 * ## Example
 *
 * See
 * {@link http://docs.angularjs.org/api/ngResource.$resource#example $resource}
 * for an example of using this object.
 *
 */
  module.factory(
    "Expense",
    [
      'LoopBackResource', 'LoopBackAuth', '$injector', '$q',
      function(LoopBackResource, LoopBackAuth, $injector, $q) {
        var R = LoopBackResource(
        urlBase + "/expenses/:id",
          { 'id': '@id' },
          {

            // INTERNAL. Use Expense.employee() instead.
            "prototype$__get__employee": {
              url: urlBase + "/expenses/:id/employee",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Expense#prototype$__findById__resources
             * @methodOf schultz.Expense
             *
             * @description
             *
             * Find a related item by id for resources.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `fk` – `{*}` - Foreign key for resources
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Expense` object.)
             * </em>
             */
            "prototype$__findById__resources": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/expenses/:id/resources/:fk",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Expense#prototype$__destroyById__resources
             * @methodOf schultz.Expense
             *
             * @description
             *
             * Delete a related item by id for resources.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `fk` – `{*}` - Foreign key for resources
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
            "prototype$__destroyById__resources": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/expenses/:id/resources/:fk",
              method: "DELETE",
            },

            // INTERNAL. Use Expense.enterprise() instead.
            "prototype$__get__enterprise": {
              url: urlBase + "/expenses/:id/enterprise",
              method: "GET",
            },

            // INTERNAL. Use Expense.monthlyExpense() instead.
            "prototype$__get__monthlyExpense": {
              url: urlBase + "/expenses/:id/monthlyExpense",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Expense#prototype$__get__resources
             * @methodOf schultz.Expense
             *
             * @description
             *
             * Queries resources of expense.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `filter` – `{object=}` -
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Expense` object.)
             * </em>
             */
            "prototype$__get__resources": {
              isArray: true,
              url: urlBase + "/expenses/:id/resources",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Expense#prototype$__create__resources
             * @methodOf schultz.Expense
             *
             * @description
             *
             * Creates a new instance in resources of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Expense` object.)
             * </em>
             */
            "prototype$__create__resources": {
              url: urlBase + "/expenses/:id/resources",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Expense#prototype$__count__resources
             * @methodOf schultz.Expense
             *
             * @description
             *
             * Counts resources of expense.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `count` – `{number=}` -
             */
            "prototype$__count__resources": {
              url: urlBase + "/expenses/:id/resources/count",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Expense#findById
             * @methodOf schultz.Expense
             *
             * @description
             *
             * Find a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             *  - `filter` – `{object=}` - Filter defining fields and include
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Expense` object.)
             * </em>
             */
            "findById": {
              url: urlBase + "/expenses/:id",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Expense#prototype$audit
             * @methodOf schultz.Expense
             *
             * @description
             *
             * 审计
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             * @param {Object} postData Request data.
             *
             * This method does not accept any data. Supply an empty object.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `status` – `{boolean=}` - 更新成功返回true, 其它情况表示失败
             */
            "prototype$audit": {
              url: urlBase + "/expenses/:id/audit",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Expense#prototype$finish
             * @methodOf schultz.Expense
             *
             * @description
             *
             * 结算
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             * @param {Object} postData Request data.
             *
             *  - `isPass` – `{boolean=}` - 是否通过
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `status` – `{boolean=}` - 更新成功返回true, 其它情况表示失败
             */
            "prototype$finish": {
              url: urlBase + "/expenses/:id/finish",
              method: "POST",
            },

            // INTERNAL. Use Employee.expenses.findById() instead.
            "::findById::Employee::expenses": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/employees/:id/expenses/:fk",
              method: "GET",
            },

            // INTERNAL. Use Employee.expenses.destroyById() instead.
            "::destroyById::Employee::expenses": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/employees/:id/expenses/:fk",
              method: "DELETE",
            },

            // INTERNAL. Use Employee.expenses.updateById() instead.
            "::updateById::Employee::expenses": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/employees/:id/expenses/:fk",
              method: "PUT",
            },

            // INTERNAL. Use Employee.expenses() instead.
            "::get::Employee::expenses": {
              isArray: true,
              url: urlBase + "/employees/:id/expenses",
              method: "GET",
            },

            // INTERNAL. Use Employee.expenses.create() instead.
            "::create::Employee::expenses": {
              url: urlBase + "/employees/:id/expenses",
              method: "POST",
            },

            // INTERNAL. Use Employee.expenses.createMany() instead.
            "::createMany::Employee::expenses": {
              isArray: true,
              url: urlBase + "/employees/:id/expenses",
              method: "POST",
            },

            // INTERNAL. Use Employee.expenses.destroyAll() instead.
            "::delete::Employee::expenses": {
              url: urlBase + "/employees/:id/expenses",
              method: "DELETE",
            },

            // INTERNAL. Use Employee.expenses.count() instead.
            "::count::Employee::expenses": {
              url: urlBase + "/employees/:id/expenses/count",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.expenses.findById() instead.
            "::findById::Enterprise::expenses": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/enterprises/:id/expenses/:fk",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.expenses() instead.
            "::get::Enterprise::expenses": {
              isArray: true,
              url: urlBase + "/enterprises/:id/expenses",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.expenses.count() instead.
            "::count::Enterprise::expenses": {
              url: urlBase + "/enterprises/:id/expenses/count",
              method: "GET",
            },

            // INTERNAL. Use MonthlyExpense.expenses() instead.
            "::get::MonthlyExpense::expenses": {
              isArray: true,
              url: urlBase + "/monthlyExpenses/:id/expenses",
              method: "GET",
            },
          }
        );




        /**
        * @ngdoc property
        * @name schultz.Expense#modelName
        * @propertyOf schultz.Expense
        * @description
        * The name of the model represented by this $resource,
        * i.e. `Expense`.
        */
        R.modelName = "Expense";


            /**
             * @ngdoc method
             * @name schultz.Expense#employee
             * @methodOf schultz.Expense
             *
             * @description
             *
             * Fetches belongsTo relation employee.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
        R.employee = function() {
          var TargetResource = $injector.get("Employee");
          var action = TargetResource["::get::Expense::employee"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Expense#enterprise
             * @methodOf schultz.Expense
             *
             * @description
             *
             * Fetches belongsTo relation enterprise.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
        R.enterprise = function() {
          var TargetResource = $injector.get("Enterprise");
          var action = TargetResource["::get::Expense::enterprise"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Expense#monthlyExpense
             * @methodOf schultz.Expense
             *
             * @description
             *
             * Fetches belongsTo relation monthlyExpense.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `MonthlyExpense` object.)
             * </em>
             */
        R.monthlyExpense = function() {
          var TargetResource = $injector.get("MonthlyExpense");
          var action = TargetResource["::get::Expense::monthlyExpense"];
          return action.apply(R, arguments);
        };


        return R;
      }]);

/**
 * @ngdoc object
 * @name schultz.Setting
 * @header schultz.Setting
 * @object
 *
 * @description
 *
 * A $resource object for interacting with the `Setting` model.
 *
 * ## Example
 *
 * See
 * {@link http://docs.angularjs.org/api/ngResource.$resource#example $resource}
 * for an example of using this object.
 *
 */
  module.factory(
    "Setting",
    [
      'LoopBackResource', 'LoopBackAuth', '$injector', '$q',
      function(LoopBackResource, LoopBackAuth, $injector, $q) {
        var R = LoopBackResource(
        urlBase + "/settings/:id",
          { 'id': '@id' },
          {

            /**
             * @ngdoc method
             * @name schultz.Setting#create
             * @methodOf schultz.Setting
             *
             * @description
             *
             * Create a new instance of the model and persist it into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Setting` object.)
             * </em>
             */
            "create": {
              url: urlBase + "/settings",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Setting#createMany
             * @methodOf schultz.Setting
             *
             * @description
             *
             * Create a new instance of the model and persist it into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Setting` object.)
             * </em>
             */
            "createMany": {
              isArray: true,
              url: urlBase + "/settings",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Setting#upsert
             * @methodOf schultz.Setting
             *
             * @description
             *
             * Patch an existing model instance or insert a new one into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Setting` object.)
             * </em>
             */
            "upsert": {
              url: urlBase + "/settings",
              method: "PUT",
            },

            /**
             * @ngdoc method
             * @name schultz.Setting#replaceOrCreate
             * @methodOf schultz.Setting
             *
             * @description
             *
             * Replace an existing model instance or insert a new one into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Setting` object.)
             * </em>
             */
            "replaceOrCreate": {
              url: urlBase + "/settings/replaceOrCreate",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Setting#upsertWithWhere
             * @methodOf schultz.Setting
             *
             * @description
             *
             * Update an existing model instance or insert a new one into the data source based on the where criteria.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Setting` object.)
             * </em>
             */
            "upsertWithWhere": {
              url: urlBase + "/settings/upsertWithWhere",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Setting#exists
             * @methodOf schultz.Setting
             *
             * @description
             *
             * Check whether a model instance exists in the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `exists` – `{boolean=}` -
             */
            "exists": {
              url: urlBase + "/settings/:id/exists",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Setting#findById
             * @methodOf schultz.Setting
             *
             * @description
             *
             * Find a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             *  - `filter` – `{object=}` - Filter defining fields and include
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Setting` object.)
             * </em>
             */
            "findById": {
              url: urlBase + "/settings/:id",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Setting#replaceById
             * @methodOf schultz.Setting
             *
             * @description
             *
             * Replace attributes for a model instance and persist it into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Setting` object.)
             * </em>
             */
            "replaceById": {
              url: urlBase + "/settings/:id/replace",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Setting#find
             * @methodOf schultz.Setting
             *
             * @description
             *
             * Find all instances of the model matched by filter from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `filter` – `{object=}` - Filter defining fields, where, include, order, offset, and limit
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Setting` object.)
             * </em>
             */
            "find": {
              isArray: true,
              url: urlBase + "/settings",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Setting#findOne
             * @methodOf schultz.Setting
             *
             * @description
             *
             * Find first instance of the model matched by filter from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `filter` – `{object=}` - Filter defining fields, where, include, order, offset, and limit
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Setting` object.)
             * </em>
             */
            "findOne": {
              url: urlBase + "/settings/findOne",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Setting#updateAll
             * @methodOf schultz.Setting
             *
             * @description
             *
             * Update instances of the model matched by {{where}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Information related to the outcome of the operation
             */
            "updateAll": {
              url: urlBase + "/settings/update",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Setting#deleteById
             * @methodOf schultz.Setting
             *
             * @description
             *
             * Delete a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Setting` object.)
             * </em>
             */
            "deleteById": {
              url: urlBase + "/settings/:id",
              method: "DELETE",
            },

            /**
             * @ngdoc method
             * @name schultz.Setting#count
             * @methodOf schultz.Setting
             *
             * @description
             *
             * Count instances of the model matched by where from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `count` – `{number=}` -
             */
            "count": {
              url: urlBase + "/settings/count",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Setting#prototype$updateAttributes
             * @methodOf schultz.Setting
             *
             * @description
             *
             * Patch attributes for a model instance and persist it into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Setting` object.)
             * </em>
             */
            "prototype$updateAttributes": {
              url: urlBase + "/settings/:id",
              method: "PUT",
            },

            /**
             * @ngdoc method
             * @name schultz.Setting#createChangeStream
             * @methodOf schultz.Setting
             *
             * @description
             *
             * Create a change stream.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             *  - `options` – `{object=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `changes` – `{ReadableStream=}` -
             */
            "createChangeStream": {
              url: urlBase + "/settings/change-stream",
              method: "POST",
            },
          }
        );



            /**
             * @ngdoc method
             * @name schultz.Setting#patchOrCreate
             * @methodOf schultz.Setting
             *
             * @description
             *
             * Patch an existing model instance or insert a new one into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Setting` object.)
             * </em>
             */
        R["patchOrCreate"] = R["upsert"];

            /**
             * @ngdoc method
             * @name schultz.Setting#updateOrCreate
             * @methodOf schultz.Setting
             *
             * @description
             *
             * Patch an existing model instance or insert a new one into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Setting` object.)
             * </em>
             */
        R["updateOrCreate"] = R["upsert"];

            /**
             * @ngdoc method
             * @name schultz.Setting#patchOrCreateWithWhere
             * @methodOf schultz.Setting
             *
             * @description
             *
             * Update an existing model instance or insert a new one into the data source based on the where criteria.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Setting` object.)
             * </em>
             */
        R["patchOrCreateWithWhere"] = R["upsertWithWhere"];

            /**
             * @ngdoc method
             * @name schultz.Setting#update
             * @methodOf schultz.Setting
             *
             * @description
             *
             * Update instances of the model matched by {{where}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Information related to the outcome of the operation
             */
        R["update"] = R["updateAll"];

            /**
             * @ngdoc method
             * @name schultz.Setting#destroyById
             * @methodOf schultz.Setting
             *
             * @description
             *
             * Delete a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Setting` object.)
             * </em>
             */
        R["destroyById"] = R["deleteById"];

            /**
             * @ngdoc method
             * @name schultz.Setting#removeById
             * @methodOf schultz.Setting
             *
             * @description
             *
             * Delete a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Setting` object.)
             * </em>
             */
        R["removeById"] = R["deleteById"];

            /**
             * @ngdoc method
             * @name schultz.Setting#patchAttributes
             * @methodOf schultz.Setting
             *
             * @description
             *
             * Patch attributes for a model instance and persist it into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Setting` object.)
             * </em>
             */
        R["patchAttributes"] = R["prototype$updateAttributes"];


        /**
        * @ngdoc property
        * @name schultz.Setting#modelName
        * @propertyOf schultz.Setting
        * @description
        * The name of the model represented by this $resource,
        * i.e. `Setting`.
        */
        R.modelName = "Setting";



        return R;
      }]);

/**
 * @ngdoc object
 * @name schultz.Container
 * @header schultz.Container
 * @object
 *
 * @description
 *
 * A $resource object for interacting with the `Container` model.
 *
 * ## Example
 *
 * See
 * {@link http://docs.angularjs.org/api/ngResource.$resource#example $resource}
 * for an example of using this object.
 *
 */
  module.factory(
    "Container",
    [
      'LoopBackResource', 'LoopBackAuth', '$injector', '$q',
      function(LoopBackResource, LoopBackAuth, $injector, $q) {
        var R = LoopBackResource(
        urlBase + "/containers/:id",
          { 'id': '@id' },
          {

            /**
             * @ngdoc method
             * @name schultz.Container#getContainers
             * @methodOf schultz.Container
             *
             * @description
             *
             * <em>
             * (The remote method definition does not provide any description.)
             * </em>
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Container` object.)
             * </em>
             */
            "getContainers": {
              isArray: true,
              url: urlBase + "/containers",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Container#createContainer
             * @methodOf schultz.Container
             *
             * @description
             *
             * <em>
             * (The remote method definition does not provide any description.)
             * </em>
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Container` object.)
             * </em>
             */
            "createContainer": {
              url: urlBase + "/containers",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Container#destroyContainer
             * @methodOf schultz.Container
             *
             * @description
             *
             * <em>
             * (The remote method definition does not provide any description.)
             * </em>
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `container` – `{string=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `` – `{undefined=}` -
             */
            "destroyContainer": {
              url: urlBase + "/containers/:container",
              method: "DELETE",
            },

            /**
             * @ngdoc method
             * @name schultz.Container#getContainer
             * @methodOf schultz.Container
             *
             * @description
             *
             * <em>
             * (The remote method definition does not provide any description.)
             * </em>
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `container` – `{string=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Container` object.)
             * </em>
             */
            "getContainer": {
              url: urlBase + "/containers/:container",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Container#getFiles
             * @methodOf schultz.Container
             *
             * @description
             *
             * <em>
             * (The remote method definition does not provide any description.)
             * </em>
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `container` – `{string=}` -
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Container` object.)
             * </em>
             */
            "getFiles": {
              isArray: true,
              url: urlBase + "/containers/:container/files",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Container#getFile
             * @methodOf schultz.Container
             *
             * @description
             *
             * <em>
             * (The remote method definition does not provide any description.)
             * </em>
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `container` – `{string=}` -
             *
             *  - `file` – `{string=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Container` object.)
             * </em>
             */
            "getFile": {
              url: urlBase + "/containers/:container/files/:file",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Container#removeFile
             * @methodOf schultz.Container
             *
             * @description
             *
             * <em>
             * (The remote method definition does not provide any description.)
             * </em>
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `container` – `{string=}` -
             *
             *  - `file` – `{string=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `` – `{undefined=}` -
             */
            "removeFile": {
              url: urlBase + "/containers/:container/files/:file",
              method: "DELETE",
            },

            /**
             * @ngdoc method
             * @name schultz.Container#upload
             * @methodOf schultz.Container
             *
             * @description
             *
             * <em>
             * (The remote method definition does not provide any description.)
             * </em>
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             *  - `req` – `{object=}` -
             *
             *  - `res` – `{object=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `result` – `{object=}` -
             */
            "upload": {
              url: urlBase + "/containers/:container/upload",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Container#download
             * @methodOf schultz.Container
             *
             * @description
             *
             * <em>
             * (The remote method definition does not provide any description.)
             * </em>
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `container` – `{string=}` -
             *
             *  - `file` – `{string=}` -
             *
             *  - `req` – `{object=}` -
             *
             *  - `res` – `{object=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
            "download": {
              url: urlBase + "/containers/:container/download/:file",
              method: "GET",
            },
          }
        );




        /**
        * @ngdoc property
        * @name schultz.Container#modelName
        * @propertyOf schultz.Container
        * @description
        * The name of the model represented by this $resource,
        * i.e. `Container`.
        */
        R.modelName = "Container";



        return R;
      }]);

/**
 * @ngdoc object
 * @name schultz.Osscontainer
 * @header schultz.Osscontainer
 * @object
 *
 * @description
 *
 * A $resource object for interacting with the `Osscontainer` model.
 *
 * ## Example
 *
 * See
 * {@link http://docs.angularjs.org/api/ngResource.$resource#example $resource}
 * for an example of using this object.
 *
 */
  module.factory(
    "Osscontainer",
    [
      'LoopBackResource', 'LoopBackAuth', '$injector', '$q',
      function(LoopBackResource, LoopBackAuth, $injector, $q) {
        var R = LoopBackResource(
        urlBase + "/osscontainers/:id",
          { 'id': '@id' },
          {

            /**
             * @ngdoc method
             * @name schultz.Osscontainer#upload
             * @methodOf schultz.Osscontainer
             *
             * @description
             *
             * <em>
             * (The remote method definition does not provide any description.)
             * </em>
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             *  - `req` – `{object=}` -
             *
             *  - `res` – `{object=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `result` – `{object=}` -
             */
            "upload": {
              url: urlBase + "/osscontainers/:container/upload",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Osscontainer#download
             * @methodOf schultz.Osscontainer
             *
             * @description
             *
             * <em>
             * (The remote method definition does not provide any description.)
             * </em>
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `container` – `{string}` -
             *
             *  - `file` – `{string}` -
             *
             *  - `req` – `{object=}` -
             *
             *  - `res` – `{object=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
            "download": {
              url: urlBase + "/osscontainers/:container/download/:file",
              method: "GET",
            },
          }
        );




        /**
        * @ngdoc property
        * @name schultz.Osscontainer#modelName
        * @propertyOf schultz.Osscontainer
        * @description
        * The name of the model represented by this $resource,
        * i.e. `Osscontainer`.
        */
        R.modelName = "Osscontainer";



        return R;
      }]);

/**
 * @ngdoc object
 * @name schultz.SmsToken
 * @header schultz.SmsToken
 * @object
 *
 * @description
 *
 * A $resource object for interacting with the `SmsToken` model.
 *
 * ## Example
 *
 * See
 * {@link http://docs.angularjs.org/api/ngResource.$resource#example $resource}
 * for an example of using this object.
 *
 */
  module.factory(
    "SmsToken",
    [
      'LoopBackResource', 'LoopBackAuth', '$injector', '$q',
      function(LoopBackResource, LoopBackAuth, $injector, $q) {
        var R = LoopBackResource(
        urlBase + "/smsTokens/:id",
          { 'id': '@id' },
          {

            /**
             * @ngdoc method
             * @name schultz.SmsToken#findById
             * @methodOf schultz.SmsToken
             *
             * @description
             *
             * Find a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             *  - `filter` – `{object=}` - Filter defining fields and include
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SmsToken` object.)
             * </em>
             */
            "findById": {
              url: urlBase + "/smsTokens/:id",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.SmsToken#prototype$validate
             * @methodOf schultz.SmsToken
             *
             * @description
             *
             * 验证码
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             * @param {Object} postData Request data.
             *
             *  - `phoneNumber` – `{string=}` - 验电话号码
             *
             *  - `code` – `{string=}` - 验证码
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `status` – `{boolean=}` - 判断结果
             */
            "prototype$validate": {
              url: urlBase + "/smsTokens/:id/validate",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.SmsToken#requestCode
             * @methodOf schultz.SmsToken
             *
             * @description
             *
             * 申请手机验证码
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             *  - `phoneNumber` – `{string=}` -
             *
             *  - `type` – `{string=}` - 类别
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `token` – `{object=}` - token
             */
            "requestCode": {
              url: urlBase + "/smsTokens/requestCode",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.SmsToken#validateCaptcha
             * @methodOf schultz.SmsToken
             *
             * @description
             *
             * 验证码
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             *  - `captchaId` – `{string=}` - capchaId
             *
             *  - `phoneNumber` – `{string=}` - 验电话号码
             *
             *  - `captchaCode` – `{string=}` - 验证码
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `status` – `{boolean=}` - 判断结果
             */
            "validateCaptcha": {
              url: urlBase + "/smsTokens/validateCaptcha",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.SmsToken#requestCaptcha
             * @methodOf schultz.SmsToken
             *
             * @description
             *
             * 申请手机验证码
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `phoneNumber` – `{string=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * token id
             */
            "requestCaptcha": {
              url: urlBase + "/smsTokens/requestCaptcha",
              method: "GET",
            },
          }
        );




        /**
        * @ngdoc property
        * @name schultz.SmsToken#modelName
        * @propertyOf schultz.SmsToken
        * @description
        * The name of the model represented by this $resource,
        * i.e. `SmsToken`.
        */
        R.modelName = "SmsToken";



        return R;
      }]);

/**
 * @ngdoc object
 * @name schultz.Enterprise
 * @header schultz.Enterprise
 * @object
 *
 * @description
 *
 * A $resource object for interacting with the `Enterprise` model.
 *
 * ## Example
 *
 * See
 * {@link http://docs.angularjs.org/api/ngResource.$resource#example $resource}
 * for an example of using this object.
 *
 */
  module.factory(
    "Enterprise",
    [
      'LoopBackResource', 'LoopBackAuth', '$injector', '$q',
      function(LoopBackResource, LoopBackAuth, $injector, $q) {
        var R = LoopBackResource(
        urlBase + "/enterprises/:id",
          { 'id': '@id' },
          {

            // INTERNAL. Use Enterprise.employees.findById() instead.
            "prototype$__findById__employees": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/enterprises/:id/employees/:fk",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.employees.destroyById() instead.
            "prototype$__destroyById__employees": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/enterprises/:id/employees/:fk",
              method: "DELETE",
            },

            // INTERNAL. Use Enterprise.employees.updateById() instead.
            "prototype$__updateById__employees": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/enterprises/:id/employees/:fk",
              method: "PUT",
            },

            // INTERNAL. Use Enterprise.expenses.findById() instead.
            "prototype$__findById__expenses": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/enterprises/:id/expenses/:fk",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#prototype$__get__logoImage
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Fetches hasOne relation logoImage.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
            "prototype$__get__logoImage": {
              url: urlBase + "/enterprises/:id/logoImage",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#prototype$__create__logoImage
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Creates a new instance in logoImage of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
            "prototype$__create__logoImage": {
              url: urlBase + "/enterprises/:id/logoImage",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#prototype$__update__logoImage
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Update logoImage of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
            "prototype$__update__logoImage": {
              url: urlBase + "/enterprises/:id/logoImage",
              method: "PUT",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#prototype$__destroy__logoImage
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Deletes logoImage of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
            "prototype$__destroy__logoImage": {
              url: urlBase + "/enterprises/:id/logoImage",
              method: "DELETE",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#prototype$__get__businessLicenseImage
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Fetches hasOne relation businessLicenseImage.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
            "prototype$__get__businessLicenseImage": {
              url: urlBase + "/enterprises/:id/businessLicenseImage",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#prototype$__create__businessLicenseImage
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Creates a new instance in businessLicenseImage of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
            "prototype$__create__businessLicenseImage": {
              url: urlBase + "/enterprises/:id/businessLicenseImage",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#prototype$__update__businessLicenseImage
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Update businessLicenseImage of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
            "prototype$__update__businessLicenseImage": {
              url: urlBase + "/enterprises/:id/businessLicenseImage",
              method: "PUT",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#prototype$__destroy__businessLicenseImage
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Deletes businessLicenseImage of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
            "prototype$__destroy__businessLicenseImage": {
              url: urlBase + "/enterprises/:id/businessLicenseImage",
              method: "DELETE",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#prototype$__findById__cooperationAgreements
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Find a related item by id for cooperationAgreements.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `fk` – `{*}` - Foreign key for cooperationAgreements
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
            "prototype$__findById__cooperationAgreements": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/enterprises/:id/cooperationAgreements/:fk",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#prototype$__destroyById__cooperationAgreements
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Delete a related item by id for cooperationAgreements.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `fk` – `{*}` - Foreign key for cooperationAgreements
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
            "prototype$__destroyById__cooperationAgreements": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/enterprises/:id/cooperationAgreements/:fk",
              method: "DELETE",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#prototype$__updateById__cooperationAgreements
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Update a related item by id for cooperationAgreements.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `fk` – `{*}` - Foreign key for cooperationAgreements
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
            "prototype$__updateById__cooperationAgreements": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/enterprises/:id/cooperationAgreements/:fk",
              method: "PUT",
            },

            // INTERNAL. Use Enterprise.jobs.findById() instead.
            "prototype$__findById__jobs": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/enterprises/:id/jobs/:fk",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.jobs.destroyById() instead.
            "prototype$__destroyById__jobs": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/enterprises/:id/jobs/:fk",
              method: "DELETE",
            },

            // INTERNAL. Use Enterprise.monthlyExpenses.findById() instead.
            "prototype$__findById__monthlyExpenses": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/enterprises/:id/monthlyExpenses/:fk",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.socialSettings.findById() instead.
            "prototype$__findById__socialSettings": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/enterprises/:id/socialSettings/:fk",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.socialSettings.destroyById() instead.
            "prototype$__destroyById__socialSettings": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/enterprises/:id/socialSettings/:fk",
              method: "DELETE",
            },

            // INTERNAL. Use Enterprise.vendor() instead.
            "prototype$__get__vendor": {
              url: urlBase + "/enterprises/:id/vendor",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.city() instead.
            "prototype$__get__city": {
              url: urlBase + "/enterprises/:id/city",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#prototype$__findById__monthlySupplementarys
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Find a related item by id for monthlySupplementarys.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `fk` – `{*}` - Foreign key for monthlySupplementarys
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
            "prototype$__findById__monthlySupplementarys": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/enterprises/:id/monthlySupplementarys/:fk",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.employees() instead.
            "prototype$__get__employees": {
              isArray: true,
              url: urlBase + "/enterprises/:id/employees",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.employees.create() instead.
            "prototype$__create__employees": {
              url: urlBase + "/enterprises/:id/employees",
              method: "POST",
            },

            // INTERNAL. Use Enterprise.employees.destroyAll() instead.
            "prototype$__delete__employees": {
              url: urlBase + "/enterprises/:id/employees",
              method: "DELETE",
            },

            // INTERNAL. Use Enterprise.employees.count() instead.
            "prototype$__count__employees": {
              url: urlBase + "/enterprises/:id/employees/count",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.expenses() instead.
            "prototype$__get__expenses": {
              isArray: true,
              url: urlBase + "/enterprises/:id/expenses",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.expenses.count() instead.
            "prototype$__count__expenses": {
              url: urlBase + "/enterprises/:id/expenses/count",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#prototype$__get__cooperationAgreements
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Queries cooperationAgreements of enterprise.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `filter` – `{object=}` -
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
            "prototype$__get__cooperationAgreements": {
              isArray: true,
              url: urlBase + "/enterprises/:id/cooperationAgreements",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#prototype$__create__cooperationAgreements
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Creates a new instance in cooperationAgreements of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
            "prototype$__create__cooperationAgreements": {
              url: urlBase + "/enterprises/:id/cooperationAgreements",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#prototype$__delete__cooperationAgreements
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Deletes all cooperationAgreements of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
            "prototype$__delete__cooperationAgreements": {
              url: urlBase + "/enterprises/:id/cooperationAgreements",
              method: "DELETE",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#prototype$__count__cooperationAgreements
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Counts cooperationAgreements of enterprise.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `count` – `{number=}` -
             */
            "prototype$__count__cooperationAgreements": {
              url: urlBase + "/enterprises/:id/cooperationAgreements/count",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.jobs() instead.
            "prototype$__get__jobs": {
              isArray: true,
              url: urlBase + "/enterprises/:id/jobs",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.jobs.create() instead.
            "prototype$__create__jobs": {
              url: urlBase + "/enterprises/:id/jobs",
              method: "POST",
            },

            // INTERNAL. Use Enterprise.jobs.count() instead.
            "prototype$__count__jobs": {
              url: urlBase + "/enterprises/:id/jobs/count",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.monthlyExpenses() instead.
            "prototype$__get__monthlyExpenses": {
              isArray: true,
              url: urlBase + "/enterprises/:id/monthlyExpenses",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.monthlyExpenses.count() instead.
            "prototype$__count__monthlyExpenses": {
              url: urlBase + "/enterprises/:id/monthlyExpenses/count",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.socialSettings() instead.
            "prototype$__get__socialSettings": {
              isArray: true,
              url: urlBase + "/enterprises/:id/socialSettings",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.socialSettings.count() instead.
            "prototype$__count__socialSettings": {
              url: urlBase + "/enterprises/:id/socialSettings/count",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#prototype$__get__monthlySupplementarys
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Queries monthlySupplementarys of enterprise.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `filter` – `{object=}` -
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
            "prototype$__get__monthlySupplementarys": {
              isArray: true,
              url: urlBase + "/enterprises/:id/monthlySupplementarys",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#prototype$__count__monthlySupplementarys
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Counts monthlySupplementarys of enterprise.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `count` – `{number=}` -
             */
            "prototype$__count__monthlySupplementarys": {
              url: urlBase + "/enterprises/:id/monthlySupplementarys/count",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#findById
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Find a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             *  - `filter` – `{object=}` - Filter defining fields and include
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
            "findById": {
              url: urlBase + "/enterprises/:id",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#find
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Find all instances of the model matched by filter from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `filter` – `{object=}` - Filter defining fields, where, include, order, offset, and limit
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
            "find": {
              isArray: true,
              url: urlBase + "/enterprises",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#count
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Count instances of the model matched by where from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `count` – `{number=}` -
             */
            "count": {
              url: urlBase + "/enterprises/count",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#prototype$updateAttributes
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Patch attributes for a model instance and persist it into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
            "prototype$updateAttributes": {
              url: urlBase + "/enterprises/:id",
              method: "PUT",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#login
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Login a user with username/email and password.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `include` – `{string=}` - Related objects to include in the response. See the description of return value for more details.
             *   Default value: `user`.
             *
             *  - `rememberMe` - `boolean` - Whether the authentication credentials
             *     should be remembered in localStorage across app/browser restarts.
             *     Default: `true`.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * The response body contains properties of the AccessToken created on login.
             * Depending on the value of `include` parameter, the body may contain additional properties:
             *   - `user` - `U+007BUserU+007D` - Data of the currently logged in user. (`include=user`)
             *
             */
            "login": {
              params: {
                include: 'user',
              },
              interceptor: {
                response: function(response) {
                  var accessToken = response.data;
                  LoopBackAuth.setUser(
                    accessToken.id, accessToken.userId, accessToken.user);
                  LoopBackAuth.rememberMe =
                    response.config.params.rememberMe !== false;
                  LoopBackAuth.save();
                  return response.resource;
                },
              },
              url: urlBase + "/enterprises/login",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#confirm
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Confirm a user registration with email verification token.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `uid` – `{string}` -
             *
             *  - `token` – `{string}` -
             *
             *  - `redirect` – `{string=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
            "confirm": {
              url: urlBase + "/enterprises/confirm",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#resetPassword
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Reset password for a user with email.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
            "resetPassword": {
              url: urlBase + "/enterprises/reset",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#prototype$import
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * 导入excel
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `options` – `{object=}` -
             *
             * @param {Object} postData Request data.
             *
             *  - `ctx` – `{object=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `data` – `{*=}` -
             */
            "prototype$import": {
              url: urlBase + "/enterprises/:id/employees/import",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#prototype$setBase
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * 设置基数
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             *  - `base` – `{number=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `status` – `{boolean=}` -
             */
            "prototype$setBase": {
              url: urlBase + "/enterprises/:id/setBase",
              method: "PUT",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#prototype$checkPhoneExist
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * 检查phone是否可被使用
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             *  - `phone` – `{string=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `status` – `{boolean=}` -
             */
            "prototype$checkPhoneExist": {
              url: urlBase + "/enterprises/:id/checkPhoneExist",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#getEnterpriseLoginInfoByCode
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * 根据 code 找 enterprise logo, 用于登陆显示企业 logo
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `code` – `{string=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `info` – `{object=}` -
             */
            "getEnterpriseLoginInfoByCode": {
              url: urlBase + "/enterprises/getEnterpriseLoginInfoByCode",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#prototype$getSsSolutions
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * 列出公司所选社保方案
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
            "prototype$getSsSolutions": {
              isArray: true,
              url: urlBase + "/enterprises/:id/ssSolutions",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#prototype$getHfSolutions
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * 列出公司所选公积金方案
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
            "prototype$getHfSolutions": {
              isArray: true,
              url: urlBase + "/enterprises/:id/hfSolutions",
              method: "GET",
            },

            // INTERNAL. Use Employee.enterprise() instead.
            "::get::Employee::enterprise": {
              url: urlBase + "/employees/:id/enterprise",
              method: "GET",
            },

            // INTERNAL. Use Expense.enterprise() instead.
            "::get::Expense::enterprise": {
              url: urlBase + "/expenses/:id/enterprise",
              method: "GET",
            },

            // INTERNAL. Use Job.enterprise() instead.
            "::get::Job::enterprise": {
              url: urlBase + "/jobs/:id/enterprise",
              method: "GET",
            },

            // INTERNAL. Use MonthlyExpense.enterprise() instead.
            "::get::MonthlyExpense::enterprise": {
              url: urlBase + "/monthlyExpenses/:id/enterprise",
              method: "GET",
            },

            // INTERNAL. Use SocialSetting.enterprise() instead.
            "::get::SocialSetting::enterprise": {
              url: urlBase + "/socialSettings/:id/enterprise",
              method: "GET",
            },

            // INTERNAL. Use Vendor.enterprise.findById() instead.
            "::findById::Vendor::enterprise": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/vendors/:id/enterprise/:fk",
              method: "GET",
            },

            // INTERNAL. Use Vendor.enterprise() instead.
            "::get::Vendor::enterprise": {
              isArray: true,
              url: urlBase + "/vendors/:id/enterprise",
              method: "GET",
            },

            // INTERNAL. Use Vendor.enterprise.create() instead.
            "::create::Vendor::enterprise": {
              url: urlBase + "/vendors/:id/enterprise",
              method: "POST",
            },

            // INTERNAL. Use Vendor.enterprise.createMany() instead.
            "::createMany::Vendor::enterprise": {
              isArray: true,
              url: urlBase + "/vendors/:id/enterprise",
              method: "POST",
            },

            // INTERNAL. Use EmployeeSupplementary.enterprise() instead.
            "::get::EmployeeSupplementary::enterprise": {
              url: urlBase + "/employeeSupplementaries/:id/enterprise",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Enterprise#getCurrent
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Get data of the currently logged user. Fail with HTTP result 401
             * when there is no user logged in.
             *
             * @param {function(Object,Object)=} successCb
             *    Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *    `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             */
            'getCurrent': {
              url: urlBase + "/enterprises" + '/:id',
              method: 'GET',
              params: {
                id: function() {
                  var id = LoopBackAuth.currentUserId;
                  if (id == null) id = '__anonymous__';
                  return id;
                },
              },
              interceptor: {
                response: function(response) {
                  LoopBackAuth.currentUserData = response.data;
                  return response.resource;
                },
                responseError: function(responseError) {
                  LoopBackAuth.clearUser();
                  LoopBackAuth.clearStorage();
                  return $q.reject(responseError);
                },
              },
              __isGetCurrentUser__: true,
            },
          }
        );



            /**
             * @ngdoc method
             * @name schultz.Enterprise#patchAttributes
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Patch attributes for a model instance and persist it into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
        R["patchAttributes"] = R["prototype$updateAttributes"];

        /**
         * @ngdoc method
         * @name schultz.Enterprise#getCachedCurrent
         * @methodOf schultz.Enterprise
         *
         * @description
         *
         * Get data of the currently logged user that was returned by the last
         * call to {@link schultz.Enterprise#login} or
         * {@link schultz.Enterprise#getCurrent}. Return null when there
         * is no user logged in or the data of the current user were not fetched
         * yet.
         *
         * @returns {Object} A Enterprise instance.
         */
        R.getCachedCurrent = function() {
          var data = LoopBackAuth.currentUserData;
          return data ? new R(data) : null;
        };

        /**
         * @ngdoc method
         * @name schultz.Enterprise#isAuthenticated
         * @methodOf schultz.Enterprise
         *
         * @returns {boolean} True if the current user is authenticated (logged in).
         */
        R.isAuthenticated = function() {
          return this.getCurrentId() != null;
        };

        /**
         * @ngdoc method
         * @name schultz.Enterprise#getCurrentId
         * @methodOf schultz.Enterprise
         *
         * @returns {Object} Id of the currently logged-in user or null.
         */
        R.getCurrentId = function() {
          return LoopBackAuth.currentUserId;
        };

        /**
        * @ngdoc property
        * @name schultz.Enterprise#modelName
        * @propertyOf schultz.Enterprise
        * @description
        * The name of the model represented by this $resource,
        * i.e. `Enterprise`.
        */
        R.modelName = "Enterprise";

    /**
     * @ngdoc object
     * @name schultz.Enterprise.employees
     * @header schultz.Enterprise.employees
     * @object
     * @description
     *
     * The object `Enterprise.employees` groups methods
     * manipulating `Employee` instances related to `Enterprise`.
     *
     * Call {@link schultz.Enterprise#employees Enterprise.employees()}
     * to query all related instances.
     */


            /**
             * @ngdoc method
             * @name schultz.Enterprise#employees
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Queries employees of enterprise.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `filter` – `{object=}` -
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
        R.employees = function() {
          var TargetResource = $injector.get("Employee");
          var action = TargetResource["::get::Enterprise::employees"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Enterprise.employees#count
             * @methodOf schultz.Enterprise.employees
             *
             * @description
             *
             * Counts employees of enterprise.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `count` – `{number=}` -
             */
        R.employees.count = function() {
          var TargetResource = $injector.get("Employee");
          var action = TargetResource["::count::Enterprise::employees"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Enterprise.employees#create
             * @methodOf schultz.Enterprise.employees
             *
             * @description
             *
             * Creates a new instance in employees of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
        R.employees.create = function() {
          var TargetResource = $injector.get("Employee");
          var action = TargetResource["::create::Enterprise::employees"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Enterprise.employees#createMany
             * @methodOf schultz.Enterprise.employees
             *
             * @description
             *
             * Creates a new instance in employees of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
        R.employees.createMany = function() {
          var TargetResource = $injector.get("Employee");
          var action = TargetResource["::createMany::Enterprise::employees"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Enterprise.employees#destroyAll
             * @methodOf schultz.Enterprise.employees
             *
             * @description
             *
             * Deletes all employees of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
        R.employees.destroyAll = function() {
          var TargetResource = $injector.get("Employee");
          var action = TargetResource["::delete::Enterprise::employees"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Enterprise.employees#destroyById
             * @methodOf schultz.Enterprise.employees
             *
             * @description
             *
             * Delete a related item by id for employees.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `fk` – `{*}` - Foreign key for employees
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
        R.employees.destroyById = function() {
          var TargetResource = $injector.get("Employee");
          var action = TargetResource["::destroyById::Enterprise::employees"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Enterprise.employees#findById
             * @methodOf schultz.Enterprise.employees
             *
             * @description
             *
             * Find a related item by id for employees.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `fk` – `{*}` - Foreign key for employees
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
        R.employees.findById = function() {
          var TargetResource = $injector.get("Employee");
          var action = TargetResource["::findById::Enterprise::employees"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Enterprise.employees#updateById
             * @methodOf schultz.Enterprise.employees
             *
             * @description
             *
             * Update a related item by id for employees.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `fk` – `{*}` - Foreign key for employees
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
        R.employees.updateById = function() {
          var TargetResource = $injector.get("Employee");
          var action = TargetResource["::updateById::Enterprise::employees"];
          return action.apply(R, arguments);
        };
    /**
     * @ngdoc object
     * @name schultz.Enterprise.expenses
     * @header schultz.Enterprise.expenses
     * @object
     * @description
     *
     * The object `Enterprise.expenses` groups methods
     * manipulating `Expense` instances related to `Enterprise`.
     *
     * Call {@link schultz.Enterprise#expenses Enterprise.expenses()}
     * to query all related instances.
     */


            /**
             * @ngdoc method
             * @name schultz.Enterprise#expenses
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Queries expenses of enterprise.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `filter` – `{object=}` -
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Expense` object.)
             * </em>
             */
        R.expenses = function() {
          var TargetResource = $injector.get("Expense");
          var action = TargetResource["::get::Enterprise::expenses"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Enterprise.expenses#count
             * @methodOf schultz.Enterprise.expenses
             *
             * @description
             *
             * Counts expenses of enterprise.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `count` – `{number=}` -
             */
        R.expenses.count = function() {
          var TargetResource = $injector.get("Expense");
          var action = TargetResource["::count::Enterprise::expenses"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Enterprise.expenses#findById
             * @methodOf schultz.Enterprise.expenses
             *
             * @description
             *
             * Find a related item by id for expenses.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `fk` – `{*}` - Foreign key for expenses
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Expense` object.)
             * </em>
             */
        R.expenses.findById = function() {
          var TargetResource = $injector.get("Expense");
          var action = TargetResource["::findById::Enterprise::expenses"];
          return action.apply(R, arguments);
        };
    /**
     * @ngdoc object
     * @name schultz.Enterprise.jobs
     * @header schultz.Enterprise.jobs
     * @object
     * @description
     *
     * The object `Enterprise.jobs` groups methods
     * manipulating `Job` instances related to `Enterprise`.
     *
     * Call {@link schultz.Enterprise#jobs Enterprise.jobs()}
     * to query all related instances.
     */


            /**
             * @ngdoc method
             * @name schultz.Enterprise#jobs
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Queries jobs of enterprise.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `filter` – `{object=}` -
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Job` object.)
             * </em>
             */
        R.jobs = function() {
          var TargetResource = $injector.get("Job");
          var action = TargetResource["::get::Enterprise::jobs"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Enterprise.jobs#count
             * @methodOf schultz.Enterprise.jobs
             *
             * @description
             *
             * Counts jobs of enterprise.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `count` – `{number=}` -
             */
        R.jobs.count = function() {
          var TargetResource = $injector.get("Job");
          var action = TargetResource["::count::Enterprise::jobs"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Enterprise.jobs#create
             * @methodOf schultz.Enterprise.jobs
             *
             * @description
             *
             * Creates a new instance in jobs of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Job` object.)
             * </em>
             */
        R.jobs.create = function() {
          var TargetResource = $injector.get("Job");
          var action = TargetResource["::create::Enterprise::jobs"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Enterprise.jobs#createMany
             * @methodOf schultz.Enterprise.jobs
             *
             * @description
             *
             * Creates a new instance in jobs of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Job` object.)
             * </em>
             */
        R.jobs.createMany = function() {
          var TargetResource = $injector.get("Job");
          var action = TargetResource["::createMany::Enterprise::jobs"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Enterprise.jobs#destroyById
             * @methodOf schultz.Enterprise.jobs
             *
             * @description
             *
             * Delete a related item by id for jobs.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `fk` – `{*}` - Foreign key for jobs
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
        R.jobs.destroyById = function() {
          var TargetResource = $injector.get("Job");
          var action = TargetResource["::destroyById::Enterprise::jobs"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Enterprise.jobs#findById
             * @methodOf schultz.Enterprise.jobs
             *
             * @description
             *
             * Find a related item by id for jobs.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `fk` – `{*}` - Foreign key for jobs
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Job` object.)
             * </em>
             */
        R.jobs.findById = function() {
          var TargetResource = $injector.get("Job");
          var action = TargetResource["::findById::Enterprise::jobs"];
          return action.apply(R, arguments);
        };
    /**
     * @ngdoc object
     * @name schultz.Enterprise.monthlyExpenses
     * @header schultz.Enterprise.monthlyExpenses
     * @object
     * @description
     *
     * The object `Enterprise.monthlyExpenses` groups methods
     * manipulating `MonthlyExpense` instances related to `Enterprise`.
     *
     * Call {@link schultz.Enterprise#monthlyExpenses Enterprise.monthlyExpenses()}
     * to query all related instances.
     */


            /**
             * @ngdoc method
             * @name schultz.Enterprise#monthlyExpenses
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Queries monthlyExpenses of enterprise.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `filter` – `{object=}` -
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `MonthlyExpense` object.)
             * </em>
             */
        R.monthlyExpenses = function() {
          var TargetResource = $injector.get("MonthlyExpense");
          var action = TargetResource["::get::Enterprise::monthlyExpenses"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Enterprise.monthlyExpenses#count
             * @methodOf schultz.Enterprise.monthlyExpenses
             *
             * @description
             *
             * Counts monthlyExpenses of enterprise.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `count` – `{number=}` -
             */
        R.monthlyExpenses.count = function() {
          var TargetResource = $injector.get("MonthlyExpense");
          var action = TargetResource["::count::Enterprise::monthlyExpenses"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Enterprise.monthlyExpenses#findById
             * @methodOf schultz.Enterprise.monthlyExpenses
             *
             * @description
             *
             * Find a related item by id for monthlyExpenses.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `fk` – `{*}` - Foreign key for monthlyExpenses
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `MonthlyExpense` object.)
             * </em>
             */
        R.monthlyExpenses.findById = function() {
          var TargetResource = $injector.get("MonthlyExpense");
          var action = TargetResource["::findById::Enterprise::monthlyExpenses"];
          return action.apply(R, arguments);
        };
    /**
     * @ngdoc object
     * @name schultz.Enterprise.socialSettings
     * @header schultz.Enterprise.socialSettings
     * @object
     * @description
     *
     * The object `Enterprise.socialSettings` groups methods
     * manipulating `SocialSetting` instances related to `Enterprise`.
     *
     * Call {@link schultz.Enterprise#socialSettings Enterprise.socialSettings()}
     * to query all related instances.
     */


            /**
             * @ngdoc method
             * @name schultz.Enterprise#socialSettings
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Queries socialSettings of enterprise.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `filter` – `{object=}` -
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SocialSetting` object.)
             * </em>
             */
        R.socialSettings = function() {
          var TargetResource = $injector.get("SocialSetting");
          var action = TargetResource["::get::Enterprise::socialSettings"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Enterprise.socialSettings#count
             * @methodOf schultz.Enterprise.socialSettings
             *
             * @description
             *
             * Counts socialSettings of enterprise.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `count` – `{number=}` -
             */
        R.socialSettings.count = function() {
          var TargetResource = $injector.get("SocialSetting");
          var action = TargetResource["::count::Enterprise::socialSettings"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Enterprise.socialSettings#destroyById
             * @methodOf schultz.Enterprise.socialSettings
             *
             * @description
             *
             * Delete a related item by id for socialSettings.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `fk` – `{*}` - Foreign key for socialSettings
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
        R.socialSettings.destroyById = function() {
          var TargetResource = $injector.get("SocialSetting");
          var action = TargetResource["::destroyById::Enterprise::socialSettings"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Enterprise.socialSettings#findById
             * @methodOf schultz.Enterprise.socialSettings
             *
             * @description
             *
             * Find a related item by id for socialSettings.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `fk` – `{*}` - Foreign key for socialSettings
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SocialSetting` object.)
             * </em>
             */
        R.socialSettings.findById = function() {
          var TargetResource = $injector.get("SocialSetting");
          var action = TargetResource["::findById::Enterprise::socialSettings"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Enterprise#vendor
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Fetches belongsTo relation vendor.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Vendor` object.)
             * </em>
             */
        R.vendor = function() {
          var TargetResource = $injector.get("Vendor");
          var action = TargetResource["::get::Enterprise::vendor"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Enterprise#city
             * @methodOf schultz.Enterprise
             *
             * @description
             *
             * Fetches belongsTo relation city.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `City` object.)
             * </em>
             */
        R.city = function() {
          var TargetResource = $injector.get("City");
          var action = TargetResource["::get::Enterprise::city"];
          return action.apply(R, arguments);
        };


        return R;
      }]);

/**
 * @ngdoc object
 * @name schultz.Job
 * @header schultz.Job
 * @object
 *
 * @description
 *
 * A $resource object for interacting with the `Job` model.
 *
 * ## Example
 *
 * See
 * {@link http://docs.angularjs.org/api/ngResource.$resource#example $resource}
 * for an example of using this object.
 *
 */
  module.factory(
    "Job",
    [
      'LoopBackResource', 'LoopBackAuth', '$injector', '$q',
      function(LoopBackResource, LoopBackAuth, $injector, $q) {
        var R = LoopBackResource(
        urlBase + "/jobs/:id",
          { 'id': '@id' },
          {

            // INTERNAL. Use Job.enterprise() instead.
            "prototype$__get__enterprise": {
              url: urlBase + "/jobs/:id/enterprise",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Job#prototype$__get__items
             * @methodOf schultz.Job
             *
             * @description
             *
             * Queries items of job.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `filter` – `{object=}` -
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Job` object.)
             * </em>
             */
            "prototype$__get__items": {
              isArray: true,
              url: urlBase + "/jobs/:id/items",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Job#findById
             * @methodOf schultz.Job
             *
             * @description
             *
             * Find a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             *  - `filter` – `{object=}` - Filter defining fields and include
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Job` object.)
             * </em>
             */
            "findById": {
              url: urlBase + "/jobs/:id",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Job#find
             * @methodOf schultz.Job
             *
             * @description
             *
             * Find all instances of the model matched by filter from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `filter` – `{object=}` - Filter defining fields, where, include, order, offset, and limit
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Job` object.)
             * </em>
             */
            "find": {
              isArray: true,
              url: urlBase + "/jobs",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Job#count
             * @methodOf schultz.Job
             *
             * @description
             *
             * Count instances of the model matched by where from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `count` – `{number=}` -
             */
            "count": {
              url: urlBase + "/jobs/count",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Job#prototype$finish
             * @methodOf schultz.Job
             *
             * @description
             *
             * 完成
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             * @param {Object} postData Request data.
             *
             *  - `userId` – `{*=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `status` – `{boolean=}` - 完成标志 [true: 完成, 其它失败]
             */
            "prototype$finish": {
              url: urlBase + "/jobs/:id/finish",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Job#prototype$vendorConfirm
             * @methodOf schultz.Job
             *
             * @description
             *
             * 服务商确认
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             * @param {Object} postData Request data.
             *
             *  - `userId` – `{*=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `status` – `{boolean=}` - 划款标志 [true: 完成, 其它失败]
             */
            "prototype$vendorConfirm": {
              url: urlBase + "/jobs/:id/vendorConfirm",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Job#prototype$confirmTransfer
             * @methodOf schultz.Job
             *
             * @description
             *
             * 确认划款
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             * @param {Object} postData Request data.
             *
             *  - `userId` – `{*=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `status` – `{boolean=}` - 划款标志 [true: 完成, 其它失败]
             */
            "prototype$confirmTransfer": {
              url: urlBase + "/jobs/:id/confirmTransfer",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Job#prototype$exportVerify
             * @methodOf schultz.Job
             *
             * @description
             *
             * 审计
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `res` – `{object=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Job` object.)
             * </em>
             */
            "prototype$exportVerify": {
              url: urlBase + "/jobs/:id/exportVerify",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Job#prototype$exportDownload
             * @methodOf schultz.Job
             *
             * @description
             *
             * 人员业务相关
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `res` – `{object=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Job` object.)
             * </em>
             */
            "prototype$exportDownload": {
              url: urlBase + "/jobs/:id/exportDownload",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Job#prototype$repost
             * @methodOf schultz.Job
             *
             * @description
             *
             * 人员业务相关
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             * @param {Object} postData Request data.
             *
             *  - `userId` – `{*=}` -
             *
             *  - `jobItems` – `{*}` - 重新提交
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Job` object.)
             * </em>
             */
            "prototype$repost": {
              url: urlBase + "/jobs/:id/repost",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Job#prototype$downloadInfo
             * @methodOf schultz.Job
             *
             * @description
             *
             * 下载材料
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `res` – `{object=}` -
             *
             *  - `type` – `{number}` - 1.社保，2.公积金
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Job` object.)
             * </em>
             */
            "prototype$downloadInfo": {
              url: urlBase + "/jobs/:id/downloadInfo",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.jobs.findById() instead.
            "::findById::Enterprise::jobs": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/enterprises/:id/jobs/:fk",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.jobs.destroyById() instead.
            "::destroyById::Enterprise::jobs": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/enterprises/:id/jobs/:fk",
              method: "DELETE",
            },

            // INTERNAL. Use Enterprise.jobs() instead.
            "::get::Enterprise::jobs": {
              isArray: true,
              url: urlBase + "/enterprises/:id/jobs",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.jobs.create() instead.
            "::create::Enterprise::jobs": {
              url: urlBase + "/enterprises/:id/jobs",
              method: "POST",
            },

            // INTERNAL. Use Enterprise.jobs.createMany() instead.
            "::createMany::Enterprise::jobs": {
              isArray: true,
              url: urlBase + "/enterprises/:id/jobs",
              method: "POST",
            },

            // INTERNAL. Use Enterprise.jobs.count() instead.
            "::count::Enterprise::jobs": {
              url: urlBase + "/enterprises/:id/jobs/count",
              method: "GET",
            },
          }
        );




        /**
        * @ngdoc property
        * @name schultz.Job#modelName
        * @propertyOf schultz.Job
        * @description
        * The name of the model represented by this $resource,
        * i.e. `Job`.
        */
        R.modelName = "Job";


            /**
             * @ngdoc method
             * @name schultz.Job#enterprise
             * @methodOf schultz.Job
             *
             * @description
             *
             * Fetches belongsTo relation enterprise.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
        R.enterprise = function() {
          var TargetResource = $injector.get("Enterprise");
          var action = TargetResource["::get::Job::enterprise"];
          return action.apply(R, arguments);
        };


        return R;
      }]);

/**
 * @ngdoc object
 * @name schultz.MonthlyExpense
 * @header schultz.MonthlyExpense
 * @object
 *
 * @description
 *
 * A $resource object for interacting with the `MonthlyExpense` model.
 *
 * ## Example
 *
 * See
 * {@link http://docs.angularjs.org/api/ngResource.$resource#example $resource}
 * for an example of using this object.
 *
 */
  module.factory(
    "MonthlyExpense",
    [
      'LoopBackResource', 'LoopBackAuth', '$injector', '$q',
      function(LoopBackResource, LoopBackAuth, $injector, $q) {
        var R = LoopBackResource(
        urlBase + "/monthlyExpenses/:id",
          { 'id': '@id' },
          {

            // INTERNAL. Use MonthlyExpense.enterprise() instead.
            "prototype$__get__enterprise": {
              url: urlBase + "/monthlyExpenses/:id/enterprise",
              method: "GET",
            },

            // INTERNAL. Use MonthlyExpense.expenses() instead.
            "prototype$__get__expenses": {
              isArray: true,
              url: urlBase + "/monthlyExpenses/:id/expenses",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.MonthlyExpense#findById
             * @methodOf schultz.MonthlyExpense
             *
             * @description
             *
             * Find a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             *  - `filter` – `{object=}` - Filter defining fields and include
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `MonthlyExpense` object.)
             * </em>
             */
            "findById": {
              url: urlBase + "/monthlyExpenses/:id",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.MonthlyExpense#find
             * @methodOf schultz.MonthlyExpense
             *
             * @description
             *
             * Find all instances of the model matched by filter from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `filter` – `{object=}` - Filter defining fields, where, include, order, offset, and limit
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `MonthlyExpense` object.)
             * </em>
             */
            "find": {
              isArray: true,
              url: urlBase + "/monthlyExpenses",
              method: "GET",
            },

            // INTERNAL. Use Expense.monthlyExpense() instead.
            "::get::Expense::monthlyExpense": {
              url: urlBase + "/expenses/:id/monthlyExpense",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.monthlyExpenses.findById() instead.
            "::findById::Enterprise::monthlyExpenses": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/enterprises/:id/monthlyExpenses/:fk",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.monthlyExpenses() instead.
            "::get::Enterprise::monthlyExpenses": {
              isArray: true,
              url: urlBase + "/enterprises/:id/monthlyExpenses",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.monthlyExpenses.count() instead.
            "::count::Enterprise::monthlyExpenses": {
              url: urlBase + "/enterprises/:id/monthlyExpenses/count",
              method: "GET",
            },
          }
        );




        /**
        * @ngdoc property
        * @name schultz.MonthlyExpense#modelName
        * @propertyOf schultz.MonthlyExpense
        * @description
        * The name of the model represented by this $resource,
        * i.e. `MonthlyExpense`.
        */
        R.modelName = "MonthlyExpense";


            /**
             * @ngdoc method
             * @name schultz.MonthlyExpense#enterprise
             * @methodOf schultz.MonthlyExpense
             *
             * @description
             *
             * Fetches belongsTo relation enterprise.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
        R.enterprise = function() {
          var TargetResource = $injector.get("Enterprise");
          var action = TargetResource["::get::MonthlyExpense::enterprise"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.MonthlyExpense#expenses
             * @methodOf schultz.MonthlyExpense
             *
             * @description
             *
             * Queries expenses of monthlyExpense.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `filter` – `{object=}` -
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Expense` object.)
             * </em>
             */
        R.expenses = function() {
          var TargetResource = $injector.get("Expense");
          var action = TargetResource["::get::MonthlyExpense::expenses"];
          return action.apply(R, arguments);
        };


        return R;
      }]);

/**
 * @ngdoc object
 * @name schultz.SocialSetting
 * @header schultz.SocialSetting
 * @object
 *
 * @description
 *
 * A $resource object for interacting with the `SocialSetting` model.
 *
 * ## Example
 *
 * See
 * {@link http://docs.angularjs.org/api/ngResource.$resource#example $resource}
 * for an example of using this object.
 *
 */
  module.factory(
    "SocialSetting",
    [
      'LoopBackResource', 'LoopBackAuth', '$injector', '$q',
      function(LoopBackResource, LoopBackAuth, $injector, $q) {
        var R = LoopBackResource(
        urlBase + "/socialSettings/:id",
          { 'id': '@id' },
          {

            // INTERNAL. Use SocialSetting.ssSolution() instead.
            "prototype$__get__ssSolution": {
              url: urlBase + "/socialSettings/:id/ssSolution",
              method: "GET",
            },

            // INTERNAL. Use SocialSetting.hfSolution() instead.
            "prototype$__get__hfSolution": {
              url: urlBase + "/socialSettings/:id/hfSolution",
              method: "GET",
            },

            // INTERNAL. Use SocialSetting.employee() instead.
            "prototype$__get__employee": {
              url: urlBase + "/socialSettings/:id/employee",
              method: "GET",
            },

            // INTERNAL. Use SocialSetting.enterprise() instead.
            "prototype$__get__enterprise": {
              url: urlBase + "/socialSettings/:id/enterprise",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.SocialSetting#create
             * @methodOf schultz.SocialSetting
             *
             * @description
             *
             * Create a new instance of the model and persist it into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SocialSetting` object.)
             * </em>
             */
            "create": {
              url: urlBase + "/socialSettings",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.SocialSetting#createMany
             * @methodOf schultz.SocialSetting
             *
             * @description
             *
             * Create a new instance of the model and persist it into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SocialSetting` object.)
             * </em>
             */
            "createMany": {
              isArray: true,
              url: urlBase + "/socialSettings",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.SocialSetting#findById
             * @methodOf schultz.SocialSetting
             *
             * @description
             *
             * Find a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             *  - `filter` – `{object=}` - Filter defining fields and include
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SocialSetting` object.)
             * </em>
             */
            "findById": {
              url: urlBase + "/socialSettings/:id",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.SocialSetting#find
             * @methodOf schultz.SocialSetting
             *
             * @description
             *
             * Find all instances of the model matched by filter from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `filter` – `{object=}` - Filter defining fields, where, include, order, offset, and limit
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SocialSetting` object.)
             * </em>
             */
            "find": {
              isArray: true,
              url: urlBase + "/socialSettings",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.SocialSetting#deleteById
             * @methodOf schultz.SocialSetting
             *
             * @description
             *
             * Delete a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SocialSetting` object.)
             * </em>
             */
            "deleteById": {
              url: urlBase + "/socialSettings/:id",
              method: "DELETE",
            },

            /**
             * @ngdoc method
             * @name schultz.SocialSetting#prototype$setSolution
             * @methodOf schultz.SocialSetting
             *
             * @description
             *
             * 设置方案
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             * @param {Object} postData Request data.
             *
             *  - `userId` – `{*=}` -
             *
             *  - `solutionType` – `{number}` - 方案类型: [0: 社保方案, 1: 公积金方案]
             *
             *  - `solutionId` – `{string}` - 方案的ID
             *
             *  - `base` – `{number}` - 缴费基数
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `status` – `{boolean=}` - 完成标志 [true: 完成, 其它失败]
             */
            "prototype$setSolution": {
              url: urlBase + "/socialSettings/:id/setSolution",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.SocialSetting#prototype$disable
             * @methodOf schultz.SocialSetting
             *
             * @description
             *
             * 重置方案
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             * @param {Object} postData Request data.
             *
             *  - `userId` – `{*=}` -
             *
             *  - `solutionType` – `{number}` - 方案类型: [0: 社保方案, 1: 公积金方案]
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `status` – `{boolean=}` - 完成标志 [true: 完成, 其它失败]
             */
            "prototype$disable": {
              url: urlBase + "/socialSettings/:id/disable",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.SocialSetting#prototype$calculate
             * @methodOf schultz.SocialSetting
             *
             * @description
             *
             * 计算详细费用
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method does not accept any data. Supply an empty object.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SocialSetting` object.)
             * </em>
             */
            "prototype$calculate": {
              url: urlBase + "/socialSettings/:id/calculate",
              method: "POST",
            },

            // INTERNAL. Use Employee.socialSetting() instead.
            "::get::Employee::socialSetting": {
              url: urlBase + "/employees/:id/socialSetting",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.socialSettings.findById() instead.
            "::findById::Enterprise::socialSettings": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/enterprises/:id/socialSettings/:fk",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.socialSettings.destroyById() instead.
            "::destroyById::Enterprise::socialSettings": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/enterprises/:id/socialSettings/:fk",
              method: "DELETE",
            },

            // INTERNAL. Use Enterprise.socialSettings() instead.
            "::get::Enterprise::socialSettings": {
              isArray: true,
              url: urlBase + "/enterprises/:id/socialSettings",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.socialSettings.count() instead.
            "::count::Enterprise::socialSettings": {
              url: urlBase + "/enterprises/:id/socialSettings/count",
              method: "GET",
            },
          }
        );



            /**
             * @ngdoc method
             * @name schultz.SocialSetting#destroyById
             * @methodOf schultz.SocialSetting
             *
             * @description
             *
             * Delete a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SocialSetting` object.)
             * </em>
             */
        R["destroyById"] = R["deleteById"];

            /**
             * @ngdoc method
             * @name schultz.SocialSetting#removeById
             * @methodOf schultz.SocialSetting
             *
             * @description
             *
             * Delete a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SocialSetting` object.)
             * </em>
             */
        R["removeById"] = R["deleteById"];


        /**
        * @ngdoc property
        * @name schultz.SocialSetting#modelName
        * @propertyOf schultz.SocialSetting
        * @description
        * The name of the model represented by this $resource,
        * i.e. `SocialSetting`.
        */
        R.modelName = "SocialSetting";


            /**
             * @ngdoc method
             * @name schultz.SocialSetting#ssSolution
             * @methodOf schultz.SocialSetting
             *
             * @description
             *
             * Fetches belongsTo relation ssSolution.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsSolution` object.)
             * </em>
             */
        R.ssSolution = function() {
          var TargetResource = $injector.get("SsSolution");
          var action = TargetResource["::get::SocialSetting::ssSolution"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.SocialSetting#hfSolution
             * @methodOf schultz.SocialSetting
             *
             * @description
             *
             * Fetches belongsTo relation hfSolution.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `HfSolution` object.)
             * </em>
             */
        R.hfSolution = function() {
          var TargetResource = $injector.get("HfSolution");
          var action = TargetResource["::get::SocialSetting::hfSolution"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.SocialSetting#employee
             * @methodOf schultz.SocialSetting
             *
             * @description
             *
             * Fetches belongsTo relation employee.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
        R.employee = function() {
          var TargetResource = $injector.get("Employee");
          var action = TargetResource["::get::SocialSetting::employee"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.SocialSetting#enterprise
             * @methodOf schultz.SocialSetting
             *
             * @description
             *
             * Fetches belongsTo relation enterprise.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
        R.enterprise = function() {
          var TargetResource = $injector.get("Enterprise");
          var action = TargetResource["::get::SocialSetting::enterprise"];
          return action.apply(R, arguments);
        };


        return R;
      }]);

/**
 * @ngdoc object
 * @name schultz.Vendor
 * @header schultz.Vendor
 * @object
 *
 * @description
 *
 * A $resource object for interacting with the `Vendor` model.
 *
 * ## Example
 *
 * See
 * {@link http://docs.angularjs.org/api/ngResource.$resource#example $resource}
 * for an example of using this object.
 *
 */
  module.factory(
    "Vendor",
    [
      'LoopBackResource', 'LoopBackAuth', '$injector', '$q',
      function(LoopBackResource, LoopBackAuth, $injector, $q) {
        var R = LoopBackResource(
        urlBase + "/vendors/:id",
          { 'id': '@id' },
          {

            // INTERNAL. Use Vendor.enterprise.findById() instead.
            "prototype$__findById__enterprise": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/vendors/:id/enterprise/:fk",
              method: "GET",
            },

            // INTERNAL. Use Vendor.enterprise() instead.
            "prototype$__get__enterprise": {
              isArray: true,
              url: urlBase + "/vendors/:id/enterprise",
              method: "GET",
            },

            // INTERNAL. Use Vendor.enterprise.create() instead.
            "prototype$__create__enterprise": {
              url: urlBase + "/vendors/:id/enterprise",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Vendor#findById
             * @methodOf schultz.Vendor
             *
             * @description
             *
             * Find a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             *  - `filter` – `{object=}` - Filter defining fields and include
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Vendor` object.)
             * </em>
             */
            "findById": {
              url: urlBase + "/vendors/:id",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Vendor#find
             * @methodOf schultz.Vendor
             *
             * @description
             *
             * Find all instances of the model matched by filter from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `filter` – `{object=}` - Filter defining fields, where, include, order, offset, and limit
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Vendor` object.)
             * </em>
             */
            "find": {
              isArray: true,
              url: urlBase + "/vendors",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Vendor#count
             * @methodOf schultz.Vendor
             *
             * @description
             *
             * Count instances of the model matched by where from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `count` – `{number=}` -
             */
            "count": {
              url: urlBase + "/vendors/count",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Vendor#login
             * @methodOf schultz.Vendor
             *
             * @description
             *
             * Login a user with username/email and password.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `include` – `{string=}` - Related objects to include in the response. See the description of return value for more details.
             *   Default value: `user`.
             *
             *  - `rememberMe` - `boolean` - Whether the authentication credentials
             *     should be remembered in localStorage across app/browser restarts.
             *     Default: `true`.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * The response body contains properties of the AccessToken created on login.
             * Depending on the value of `include` parameter, the body may contain additional properties:
             *   - `user` - `U+007BUserU+007D` - Data of the currently logged in user. (`include=user`)
             *
             */
            "login": {
              params: {
                include: 'user',
              },
              interceptor: {
                response: function(response) {
                  var accessToken = response.data;
                  LoopBackAuth.setUser(
                    accessToken.id, accessToken.userId, accessToken.user);
                  LoopBackAuth.rememberMe =
                    response.config.params.rememberMe !== false;
                  LoopBackAuth.save();
                  return response.resource;
                },
              },
              url: urlBase + "/vendors/login",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Vendor#logout
             * @methodOf schultz.Vendor
             *
             * @description
             *
             * Logout a user with access token.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             *  - `access_token` – `{string}` - Do not supply this argument, it is automatically extracted from request headers.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
            "logout": {
              interceptor: {
                response: function(response) {
                  LoopBackAuth.clearUser();
                  LoopBackAuth.clearStorage();
                  return response.resource;
                },
                responseError: function(responseError) {
                  LoopBackAuth.clearUser();
                  LoopBackAuth.clearStorage();
                  return responseError.resource;
                },
              },
              url: urlBase + "/vendors/logout",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.Vendor#confirm
             * @methodOf schultz.Vendor
             *
             * @description
             *
             * Confirm a user registration with email verification token.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `uid` – `{string}` -
             *
             *  - `token` – `{string}` -
             *
             *  - `redirect` – `{string=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
            "confirm": {
              url: urlBase + "/vendors/confirm",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Vendor#resetPassword
             * @methodOf schultz.Vendor
             *
             * @description
             *
             * Reset password for a user with email.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
            "resetPassword": {
              url: urlBase + "/vendors/reset",
              method: "POST",
            },

            // INTERNAL. Use Enterprise.vendor() instead.
            "::get::Enterprise::vendor": {
              url: urlBase + "/enterprises/:id/vendor",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.Vendor#getCurrent
             * @methodOf schultz.Vendor
             *
             * @description
             *
             * Get data of the currently logged user. Fail with HTTP result 401
             * when there is no user logged in.
             *
             * @param {function(Object,Object)=} successCb
             *    Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *    `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             */
            'getCurrent': {
              url: urlBase + "/vendors" + '/:id',
              method: 'GET',
              params: {
                id: function() {
                  var id = LoopBackAuth.currentUserId;
                  if (id == null) id = '__anonymous__';
                  return id;
                },
              },
              interceptor: {
                response: function(response) {
                  LoopBackAuth.currentUserData = response.data;
                  return response.resource;
                },
                responseError: function(responseError) {
                  LoopBackAuth.clearUser();
                  LoopBackAuth.clearStorage();
                  return $q.reject(responseError);
                },
              },
              __isGetCurrentUser__: true,
            },
          }
        );



        /**
         * @ngdoc method
         * @name schultz.Vendor#getCachedCurrent
         * @methodOf schultz.Vendor
         *
         * @description
         *
         * Get data of the currently logged user that was returned by the last
         * call to {@link schultz.Vendor#login} or
         * {@link schultz.Vendor#getCurrent}. Return null when there
         * is no user logged in or the data of the current user were not fetched
         * yet.
         *
         * @returns {Object} A Vendor instance.
         */
        R.getCachedCurrent = function() {
          var data = LoopBackAuth.currentUserData;
          return data ? new R(data) : null;
        };

        /**
         * @ngdoc method
         * @name schultz.Vendor#isAuthenticated
         * @methodOf schultz.Vendor
         *
         * @returns {boolean} True if the current user is authenticated (logged in).
         */
        R.isAuthenticated = function() {
          return this.getCurrentId() != null;
        };

        /**
         * @ngdoc method
         * @name schultz.Vendor#getCurrentId
         * @methodOf schultz.Vendor
         *
         * @returns {Object} Id of the currently logged-in user or null.
         */
        R.getCurrentId = function() {
          return LoopBackAuth.currentUserId;
        };

        /**
        * @ngdoc property
        * @name schultz.Vendor#modelName
        * @propertyOf schultz.Vendor
        * @description
        * The name of the model represented by this $resource,
        * i.e. `Vendor`.
        */
        R.modelName = "Vendor";

    /**
     * @ngdoc object
     * @name schultz.Vendor.enterprise
     * @header schultz.Vendor.enterprise
     * @object
     * @description
     *
     * The object `Vendor.enterprise` groups methods
     * manipulating `Enterprise` instances related to `Vendor`.
     *
     * Call {@link schultz.Vendor#enterprise Vendor.enterprise()}
     * to query all related instances.
     */


            /**
             * @ngdoc method
             * @name schultz.Vendor#enterprise
             * @methodOf schultz.Vendor
             *
             * @description
             *
             * Queries enterprise of vendor.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `filter` – `{object=}` -
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
        R.enterprise = function() {
          var TargetResource = $injector.get("Enterprise");
          var action = TargetResource["::get::Vendor::enterprise"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Vendor.enterprise#create
             * @methodOf schultz.Vendor.enterprise
             *
             * @description
             *
             * Creates a new instance in enterprise of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
        R.enterprise.create = function() {
          var TargetResource = $injector.get("Enterprise");
          var action = TargetResource["::create::Vendor::enterprise"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Vendor.enterprise#createMany
             * @methodOf schultz.Vendor.enterprise
             *
             * @description
             *
             * Creates a new instance in enterprise of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
        R.enterprise.createMany = function() {
          var TargetResource = $injector.get("Enterprise");
          var action = TargetResource["::createMany::Vendor::enterprise"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.Vendor.enterprise#findById
             * @methodOf schultz.Vendor.enterprise
             *
             * @description
             *
             * Find a related item by id for enterprise.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - User id
             *
             *  - `fk` – `{*}` - Foreign key for enterprise
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
        R.enterprise.findById = function() {
          var TargetResource = $injector.get("Enterprise");
          var action = TargetResource["::findById::Vendor::enterprise"];
          return action.apply(R, arguments);
        };


        return R;
      }]);

/**
 * @ngdoc object
 * @name schultz.JobDate
 * @header schultz.JobDate
 * @object
 *
 * @description
 *
 * A $resource object for interacting with the `JobDate` model.
 *
 * ## Example
 *
 * See
 * {@link http://docs.angularjs.org/api/ngResource.$resource#example $resource}
 * for an example of using this object.
 *
 */
  module.factory(
    "JobDate",
    [
      'LoopBackResource', 'LoopBackAuth', '$injector', '$q',
      function(LoopBackResource, LoopBackAuth, $injector, $q) {
        var R = LoopBackResource(
        urlBase + "/jobDates/:id",
          { 'id': '@id' },
          {

            /**
             * @ngdoc method
             * @name schultz.JobDate#findById
             * @methodOf schultz.JobDate
             *
             * @description
             *
             * Find a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             *  - `filter` – `{object=}` - Filter defining fields and include
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `JobDate` object.)
             * </em>
             */
            "findById": {
              url: urlBase + "/jobDates/:id",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.JobDate#find
             * @methodOf schultz.JobDate
             *
             * @description
             *
             * Find all instances of the model matched by filter from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `filter` – `{object=}` - Filter defining fields, where, include, order, offset, and limit
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `JobDate` object.)
             * </em>
             */
            "find": {
              isArray: true,
              url: urlBase + "/jobDates",
              method: "GET",
            },
          }
        );




        /**
        * @ngdoc property
        * @name schultz.JobDate#modelName
        * @propertyOf schultz.JobDate
        * @description
        * The name of the model represented by this $resource,
        * i.e. `JobDate`.
        */
        R.modelName = "JobDate";



        return R;
      }]);

/**
 * @ngdoc object
 * @name schultz.City
 * @header schultz.City
 * @object
 *
 * @description
 *
 * A $resource object for interacting with the `City` model.
 *
 * ## Example
 *
 * See
 * {@link http://docs.angularjs.org/api/ngResource.$resource#example $resource}
 * for an example of using this object.
 *
 */
  module.factory(
    "City",
    [
      'LoopBackResource', 'LoopBackAuth', '$injector', '$q',
      function(LoopBackResource, LoopBackAuth, $injector, $q) {
        var R = LoopBackResource(
        urlBase + "/cities/:id",
          { 'id': '@id' },
          {

            // INTERNAL. Use City.ssSolutions.findById() instead.
            "prototype$__findById__ssSolutions": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/cities/:id/ssSolutions/:fk",
              method: "GET",
            },

            // INTERNAL. Use City.ssSolutions.updateById() instead.
            "prototype$__updateById__ssSolutions": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/cities/:id/ssSolutions/:fk",
              method: "PUT",
            },

            // INTERNAL. Use City.hfSolutions.findById() instead.
            "prototype$__findById__hfSolutions": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/cities/:id/hfSolutions/:fk",
              method: "GET",
            },

            // INTERNAL. Use City.hfSolutions.updateById() instead.
            "prototype$__updateById__hfSolutions": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/cities/:id/hfSolutions/:fk",
              method: "PUT",
            },

            /**
             * @ngdoc method
             * @name schultz.City#prototype$__findById__benefits
             * @methodOf schultz.City
             *
             * @description
             *
             * Find a related item by id for benefits.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `fk` – `{*}` - Foreign key for benefits
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `City` object.)
             * </em>
             */
            "prototype$__findById__benefits": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/cities/:id/benefits/:fk",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.City#prototype$__get__cityDate
             * @methodOf schultz.City
             *
             * @description
             *
             * Fetches hasOne relation cityDate.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `City` object.)
             * </em>
             */
            "prototype$__get__cityDate": {
              url: urlBase + "/cities/:id/cityDate",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.City#prototype$__update__cityDate
             * @methodOf schultz.City
             *
             * @description
             *
             * Update cityDate of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `City` object.)
             * </em>
             */
            "prototype$__update__cityDate": {
              url: urlBase + "/cities/:id/cityDate",
              method: "PUT",
            },

            // INTERNAL. Use City.ssSolutions() instead.
            "prototype$__get__ssSolutions": {
              isArray: true,
              url: urlBase + "/cities/:id/ssSolutions",
              method: "GET",
            },

            // INTERNAL. Use City.ssSolutions.create() instead.
            "prototype$__create__ssSolutions": {
              url: urlBase + "/cities/:id/ssSolutions",
              method: "POST",
            },

            // INTERNAL. Use City.hfSolutions() instead.
            "prototype$__get__hfSolutions": {
              isArray: true,
              url: urlBase + "/cities/:id/hfSolutions",
              method: "GET",
            },

            // INTERNAL. Use City.hfSolutions.create() instead.
            "prototype$__create__hfSolutions": {
              url: urlBase + "/cities/:id/hfSolutions",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.City#prototype$__get__benefits
             * @methodOf schultz.City
             *
             * @description
             *
             * Queries benefits of city.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `filter` – `{object=}` -
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `City` object.)
             * </em>
             */
            "prototype$__get__benefits": {
              isArray: true,
              url: urlBase + "/cities/:id/benefits",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.City#create
             * @methodOf schultz.City
             *
             * @description
             *
             * Create a new instance of the model and persist it into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `City` object.)
             * </em>
             */
            "create": {
              url: urlBase + "/cities",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.City#createMany
             * @methodOf schultz.City
             *
             * @description
             *
             * Create a new instance of the model and persist it into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `City` object.)
             * </em>
             */
            "createMany": {
              isArray: true,
              url: urlBase + "/cities",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.City#findById
             * @methodOf schultz.City
             *
             * @description
             *
             * Find a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             *  - `filter` – `{object=}` - Filter defining fields and include
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `City` object.)
             * </em>
             */
            "findById": {
              url: urlBase + "/cities/:id",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.City#find
             * @methodOf schultz.City
             *
             * @description
             *
             * Find all instances of the model matched by filter from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `filter` – `{object=}` - Filter defining fields, where, include, order, offset, and limit
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `City` object.)
             * </em>
             */
            "find": {
              isArray: true,
              url: urlBase + "/cities",
              method: "GET",
            },

            // INTERNAL. Use HfSolution.city() instead.
            "::get::HfSolution::city": {
              url: urlBase + "/hfSolutions/:id/city",
              method: "GET",
            },

            // INTERNAL. Use Enterprise.city() instead.
            "::get::Enterprise::city": {
              url: urlBase + "/enterprises/:id/city",
              method: "GET",
            },
          }
        );




        /**
        * @ngdoc property
        * @name schultz.City#modelName
        * @propertyOf schultz.City
        * @description
        * The name of the model represented by this $resource,
        * i.e. `City`.
        */
        R.modelName = "City";

    /**
     * @ngdoc object
     * @name schultz.City.ssSolutions
     * @header schultz.City.ssSolutions
     * @object
     * @description
     *
     * The object `City.ssSolutions` groups methods
     * manipulating `SsSolution` instances related to `City`.
     *
     * Call {@link schultz.City#ssSolutions City.ssSolutions()}
     * to query all related instances.
     */


            /**
             * @ngdoc method
             * @name schultz.City#ssSolutions
             * @methodOf schultz.City
             *
             * @description
             *
             * Queries ssSolutions of city.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `filter` – `{object=}` -
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsSolution` object.)
             * </em>
             */
        R.ssSolutions = function() {
          var TargetResource = $injector.get("SsSolution");
          var action = TargetResource["::get::City::ssSolutions"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.City.ssSolutions#create
             * @methodOf schultz.City.ssSolutions
             *
             * @description
             *
             * Creates a new instance in ssSolutions of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsSolution` object.)
             * </em>
             */
        R.ssSolutions.create = function() {
          var TargetResource = $injector.get("SsSolution");
          var action = TargetResource["::create::City::ssSolutions"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.City.ssSolutions#createMany
             * @methodOf schultz.City.ssSolutions
             *
             * @description
             *
             * Creates a new instance in ssSolutions of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsSolution` object.)
             * </em>
             */
        R.ssSolutions.createMany = function() {
          var TargetResource = $injector.get("SsSolution");
          var action = TargetResource["::createMany::City::ssSolutions"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.City.ssSolutions#findById
             * @methodOf schultz.City.ssSolutions
             *
             * @description
             *
             * Find a related item by id for ssSolutions.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `fk` – `{*}` - Foreign key for ssSolutions
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsSolution` object.)
             * </em>
             */
        R.ssSolutions.findById = function() {
          var TargetResource = $injector.get("SsSolution");
          var action = TargetResource["::findById::City::ssSolutions"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.City.ssSolutions#updateById
             * @methodOf schultz.City.ssSolutions
             *
             * @description
             *
             * Update a related item by id for ssSolutions.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `fk` – `{*}` - Foreign key for ssSolutions
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsSolution` object.)
             * </em>
             */
        R.ssSolutions.updateById = function() {
          var TargetResource = $injector.get("SsSolution");
          var action = TargetResource["::updateById::City::ssSolutions"];
          return action.apply(R, arguments);
        };
    /**
     * @ngdoc object
     * @name schultz.City.hfSolutions
     * @header schultz.City.hfSolutions
     * @object
     * @description
     *
     * The object `City.hfSolutions` groups methods
     * manipulating `HfSolution` instances related to `City`.
     *
     * Call {@link schultz.City#hfSolutions City.hfSolutions()}
     * to query all related instances.
     */


            /**
             * @ngdoc method
             * @name schultz.City#hfSolutions
             * @methodOf schultz.City
             *
             * @description
             *
             * Queries hfSolutions of city.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `filter` – `{object=}` -
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `HfSolution` object.)
             * </em>
             */
        R.hfSolutions = function() {
          var TargetResource = $injector.get("HfSolution");
          var action = TargetResource["::get::City::hfSolutions"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.City.hfSolutions#create
             * @methodOf schultz.City.hfSolutions
             *
             * @description
             *
             * Creates a new instance in hfSolutions of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `HfSolution` object.)
             * </em>
             */
        R.hfSolutions.create = function() {
          var TargetResource = $injector.get("HfSolution");
          var action = TargetResource["::create::City::hfSolutions"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.City.hfSolutions#createMany
             * @methodOf schultz.City.hfSolutions
             *
             * @description
             *
             * Creates a new instance in hfSolutions of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `HfSolution` object.)
             * </em>
             */
        R.hfSolutions.createMany = function() {
          var TargetResource = $injector.get("HfSolution");
          var action = TargetResource["::createMany::City::hfSolutions"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.City.hfSolutions#findById
             * @methodOf schultz.City.hfSolutions
             *
             * @description
             *
             * Find a related item by id for hfSolutions.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `fk` – `{*}` - Foreign key for hfSolutions
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `HfSolution` object.)
             * </em>
             */
        R.hfSolutions.findById = function() {
          var TargetResource = $injector.get("HfSolution");
          var action = TargetResource["::findById::City::hfSolutions"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.City.hfSolutions#updateById
             * @methodOf schultz.City.hfSolutions
             *
             * @description
             *
             * Update a related item by id for hfSolutions.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `fk` – `{*}` - Foreign key for hfSolutions
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `HfSolution` object.)
             * </em>
             */
        R.hfSolutions.updateById = function() {
          var TargetResource = $injector.get("HfSolution");
          var action = TargetResource["::updateById::City::hfSolutions"];
          return action.apply(R, arguments);
        };


        return R;
      }]);

/**
 * @ngdoc object
 * @name schultz.SsAccount
 * @header schultz.SsAccount
 * @object
 *
 * @description
 *
 * A $resource object for interacting with the `SsAccount` model.
 *
 * ## Example
 *
 * See
 * {@link http://docs.angularjs.org/api/ngResource.$resource#example $resource}
 * for an example of using this object.
 *
 */
  module.factory(
    "SsAccount",
    [
      'LoopBackResource', 'LoopBackAuth', '$injector', '$q',
      function(LoopBackResource, LoopBackAuth, $injector, $q) {
        var R = LoopBackResource(
        urlBase + "/ssAccounts/:id",
          { 'id': '@id' },
          {

            // INTERNAL. Use SsAccount.employee() instead.
            "prototype$__get__employee": {
              url: urlBase + "/ssAccounts/:id/employee",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.SsAccount#prototype$__findById__medicalRecords
             * @methodOf schultz.SsAccount
             *
             * @description
             *
             * Find a related item by id for medicalRecords.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `fk` – `{*}` - Foreign key for medicalRecords
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsAccount` object.)
             * </em>
             */
            "prototype$__findById__medicalRecords": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/ssAccounts/:id/medicalRecords/:fk",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.SsAccount#prototype$__findById__endowmentRecords
             * @methodOf schultz.SsAccount
             *
             * @description
             *
             * Find a related item by id for endowmentRecords.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `fk` – `{*}` - Foreign key for endowmentRecords
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsAccount` object.)
             * </em>
             */
            "prototype$__findById__endowmentRecords": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/ssAccounts/:id/endowmentRecords/:fk",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.SsAccount#prototype$__findById__medicalPaidouts
             * @methodOf schultz.SsAccount
             *
             * @description
             *
             * Find a related item by id for medicalPaidouts.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `fk` – `{*}` - Foreign key for medicalPaidouts
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsAccount` object.)
             * </em>
             */
            "prototype$__findById__medicalPaidouts": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/ssAccounts/:id/medicalPaidouts/:fk",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.SsAccount#prototype$__findById__missingRecords
             * @methodOf schultz.SsAccount
             *
             * @description
             *
             * Find a related item by id for missingRecords.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `fk` – `{*}` - Foreign key for missingRecords
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsAccount` object.)
             * </em>
             */
            "prototype$__findById__missingRecords": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/ssAccounts/:id/missingRecords/:fk",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.SsAccount#prototype$__get__medicalRecords
             * @methodOf schultz.SsAccount
             *
             * @description
             *
             * Queries medicalRecords of ssAccount.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `filter` – `{object=}` -
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsAccount` object.)
             * </em>
             */
            "prototype$__get__medicalRecords": {
              isArray: true,
              url: urlBase + "/ssAccounts/:id/medicalRecords",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.SsAccount#prototype$__count__medicalRecords
             * @methodOf schultz.SsAccount
             *
             * @description
             *
             * Counts medicalRecords of ssAccount.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `count` – `{number=}` -
             */
            "prototype$__count__medicalRecords": {
              url: urlBase + "/ssAccounts/:id/medicalRecords/count",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.SsAccount#prototype$__get__endowmentRecords
             * @methodOf schultz.SsAccount
             *
             * @description
             *
             * Queries endowmentRecords of ssAccount.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `filter` – `{object=}` -
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsAccount` object.)
             * </em>
             */
            "prototype$__get__endowmentRecords": {
              isArray: true,
              url: urlBase + "/ssAccounts/:id/endowmentRecords",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.SsAccount#prototype$__count__endowmentRecords
             * @methodOf schultz.SsAccount
             *
             * @description
             *
             * Counts endowmentRecords of ssAccount.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `count` – `{number=}` -
             */
            "prototype$__count__endowmentRecords": {
              url: urlBase + "/ssAccounts/:id/endowmentRecords/count",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.SsAccount#prototype$__get__medicalPaidouts
             * @methodOf schultz.SsAccount
             *
             * @description
             *
             * Queries medicalPaidouts of ssAccount.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `filter` – `{object=}` -
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsAccount` object.)
             * </em>
             */
            "prototype$__get__medicalPaidouts": {
              isArray: true,
              url: urlBase + "/ssAccounts/:id/medicalPaidouts",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.SsAccount#prototype$__count__medicalPaidouts
             * @methodOf schultz.SsAccount
             *
             * @description
             *
             * Counts medicalPaidouts of ssAccount.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `count` – `{number=}` -
             */
            "prototype$__count__medicalPaidouts": {
              url: urlBase + "/ssAccounts/:id/medicalPaidouts/count",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.SsAccount#prototype$__get__missingRecords
             * @methodOf schultz.SsAccount
             *
             * @description
             *
             * Queries missingRecords of ssAccount.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `filter` – `{object=}` -
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsAccount` object.)
             * </em>
             */
            "prototype$__get__missingRecords": {
              isArray: true,
              url: urlBase + "/ssAccounts/:id/missingRecords",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.SsAccount#prototype$__count__missingRecords
             * @methodOf schultz.SsAccount
             *
             * @description
             *
             * Counts missingRecords of ssAccount.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `count` – `{number=}` -
             */
            "prototype$__count__missingRecords": {
              url: urlBase + "/ssAccounts/:id/missingRecords/count",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.SsAccount#replaceOrCreate
             * @methodOf schultz.SsAccount
             *
             * @description
             *
             * Replace an existing model instance or insert a new one into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsAccount` object.)
             * </em>
             */
            "replaceOrCreate": {
              url: urlBase + "/ssAccounts/replaceOrCreate",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.SsAccount#upsertWithWhere
             * @methodOf schultz.SsAccount
             *
             * @description
             *
             * Update an existing model instance or insert a new one into the data source based on the where criteria.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsAccount` object.)
             * </em>
             */
            "upsertWithWhere": {
              url: urlBase + "/ssAccounts/upsertWithWhere",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.SsAccount#findById
             * @methodOf schultz.SsAccount
             *
             * @description
             *
             * Find a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             *  - `filter` – `{object=}` - Filter defining fields and include
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsAccount` object.)
             * </em>
             */
            "findById": {
              url: urlBase + "/ssAccounts/:id",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.SsAccount#replaceById
             * @methodOf schultz.SsAccount
             *
             * @description
             *
             * Replace attributes for a model instance and persist it into the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsAccount` object.)
             * </em>
             */
            "replaceById": {
              url: urlBase + "/ssAccounts/:id/replace",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.SsAccount#deleteById
             * @methodOf schultz.SsAccount
             *
             * @description
             *
             * Delete a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsAccount` object.)
             * </em>
             */
            "deleteById": {
              url: urlBase + "/ssAccounts/:id",
              method: "DELETE",
            },

            /**
             * @ngdoc method
             * @name schultz.SsAccount#count
             * @methodOf schultz.SsAccount
             *
             * @description
             *
             * Count instances of the model matched by where from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `count` – `{number=}` -
             */
            "count": {
              url: urlBase + "/ssAccounts/count",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.SsAccount#connectSsAccount
             * @methodOf schultz.SsAccount
             *
             * @description
             *
             * 创建 ssAccount
             *
             * @param {Object=} parameters Request parameters.
             *
             *   This method does not accept any parameters.
             *   Supply an empty object or omit this argument altogether.
             *
             * @param {Object} postData Request data.
             *
             *  - `userId` – `{*=}` -
             *
             *  - `cityCode` – `{string=}` -
             *
             *  - `ssid` – `{string=}` -
             *
             *  - `password` – `{string=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `ssaccount` – `{function ModelConstructor(data, options) {
      if (!(this instanceof ModelConstructor)) {
        return new ModelConstructor(data, options);
      }
      if (ModelClass.settings.unresolved) {
        throw new Error(g.f('Model %s is not defined.', ModelClass.modelName));
      }
      ModelBaseClass.apply(this, arguments);
    }=}` - 社保账号
             */
            "connectSsAccount": {
              url: urlBase + "/ssAccounts",
              method: "POST",
            },

            // INTERNAL. Use Employee.ssAccount() instead.
            "::get::Employee::ssAccount": {
              url: urlBase + "/employees/:id/ssAccount",
              method: "GET",
            },
          }
        );



            /**
             * @ngdoc method
             * @name schultz.SsAccount#patchOrCreateWithWhere
             * @methodOf schultz.SsAccount
             *
             * @description
             *
             * Update an existing model instance or insert a new one into the data source based on the where criteria.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `where` – `{object=}` - Criteria to match model instances
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsAccount` object.)
             * </em>
             */
        R["patchOrCreateWithWhere"] = R["upsertWithWhere"];

            /**
             * @ngdoc method
             * @name schultz.SsAccount#destroyById
             * @methodOf schultz.SsAccount
             *
             * @description
             *
             * Delete a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsAccount` object.)
             * </em>
             */
        R["destroyById"] = R["deleteById"];

            /**
             * @ngdoc method
             * @name schultz.SsAccount#removeById
             * @methodOf schultz.SsAccount
             *
             * @description
             *
             * Delete a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `SsAccount` object.)
             * </em>
             */
        R["removeById"] = R["deleteById"];


        /**
        * @ngdoc property
        * @name schultz.SsAccount#modelName
        * @propertyOf schultz.SsAccount
        * @description
        * The name of the model represented by this $resource,
        * i.e. `SsAccount`.
        */
        R.modelName = "SsAccount";


            /**
             * @ngdoc method
             * @name schultz.SsAccount#employee
             * @methodOf schultz.SsAccount
             *
             * @description
             *
             * Fetches belongsTo relation employee.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
        R.employee = function() {
          var TargetResource = $injector.get("Employee");
          var action = TargetResource["::get::SsAccount::employee"];
          return action.apply(R, arguments);
        };


        return R;
      }]);

/**
 * @ngdoc object
 * @name schultz.EmployeeSupplementary
 * @header schultz.EmployeeSupplementary
 * @object
 *
 * @description
 *
 * A $resource object for interacting with the `EmployeeSupplementary` model.
 *
 * ## Example
 *
 * See
 * {@link http://docs.angularjs.org/api/ngResource.$resource#example $resource}
 * for an example of using this object.
 *
 */
  module.factory(
    "EmployeeSupplementary",
    [
      'LoopBackResource', 'LoopBackAuth', '$injector', '$q',
      function(LoopBackResource, LoopBackAuth, $injector, $q) {
        var R = LoopBackResource(
        urlBase + "/employeeSupplementaries/:id",
          { 'id': '@id' },
          {

            // INTERNAL. Use EmployeeSupplementary.employee() instead.
            "prototype$__get__employee": {
              url: urlBase + "/employeeSupplementaries/:id/employee",
              method: "GET",
            },

            // INTERNAL. Use EmployeeSupplementary.enterprise() instead.
            "prototype$__get__enterprise": {
              url: urlBase + "/employeeSupplementaries/:id/enterprise",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.EmployeeSupplementary#prototype$__get__payDetail
             * @methodOf schultz.EmployeeSupplementary
             *
             * @description
             *
             * Fetches hasOne relation payDetail.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `EmployeeSupplementary` object.)
             * </em>
             */
            "prototype$__get__payDetail": {
              url: urlBase + "/employeeSupplementaries/:id/payDetail",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.EmployeeSupplementary#prototype$__update__payDetail
             * @methodOf schultz.EmployeeSupplementary
             *
             * @description
             *
             * Update payDetail of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             * @param {Object} postData Request data.
             *
             * This method expects a subset of model properties as request parameters.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `EmployeeSupplementary` object.)
             * </em>
             */
            "prototype$__update__payDetail": {
              url: urlBase + "/employeeSupplementaries/:id/payDetail",
              method: "PUT",
            },

            /**
             * @ngdoc method
             * @name schultz.EmployeeSupplementary#prototype$__destroy__payDetail
             * @methodOf schultz.EmployeeSupplementary
             *
             * @description
             *
             * Deletes payDetail of this model.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * This method returns no data.
             */
            "prototype$__destroy__payDetail": {
              url: urlBase + "/employeeSupplementaries/:id/payDetail",
              method: "DELETE",
            },

            /**
             * @ngdoc method
             * @name schultz.EmployeeSupplementary#prototype$__get__monthlySupplementary
             * @methodOf schultz.EmployeeSupplementary
             *
             * @description
             *
             * Fetches belongsTo relation monthlySupplementary.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `EmployeeSupplementary` object.)
             * </em>
             */
            "prototype$__get__monthlySupplementary": {
              url: urlBase + "/employeeSupplementaries/:id/monthlySupplementary",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.EmployeeSupplementary#findById
             * @methodOf schultz.EmployeeSupplementary
             *
             * @description
             *
             * Find a model instance by {{id}} from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - Model id
             *
             *  - `filter` – `{object=}` - Filter defining fields and include
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `EmployeeSupplementary` object.)
             * </em>
             */
            "findById": {
              url: urlBase + "/employeeSupplementaries/:id",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.EmployeeSupplementary#find
             * @methodOf schultz.EmployeeSupplementary
             *
             * @description
             *
             * Find all instances of the model matched by filter from the data source.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `filter` – `{object=}` - Filter defining fields, where, include, order, offset, and limit
             *
             * @param {function(Array.<Object>,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Array.<Object>} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `EmployeeSupplementary` object.)
             * </em>
             */
            "find": {
              isArray: true,
              url: urlBase + "/employeeSupplementaries",
              method: "GET",
            },

            /**
             * @ngdoc method
             * @name schultz.EmployeeSupplementary#prototype$consult
             * @methodOf schultz.EmployeeSupplementary
             *
             * @description
             *
             * 已沟通
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             * @param {Object} postData Request data.
             *
             * This method does not accept any data. Supply an empty object.
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `status` – `{boolean=}` -
             */
            "prototype$consult": {
              url: urlBase + "/employeeSupplementaries/:id/consult",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.EmployeeSupplementary#prototype$pay
             * @methodOf schultz.EmployeeSupplementary
             *
             * @description
             *
             * 已付款
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             * @param {Object} postData Request data.
             *
             *  - `date` – `{date}` - 付款日期
             *
             *  - `name` – `{string}` - 付款人
             *
             *  - `note` – `{string}` - 付款备注
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `status` – `{boolean=}` -
             */
            "prototype$pay": {
              url: urlBase + "/employeeSupplementaries/:id/pay",
              method: "POST",
            },

            /**
             * @ngdoc method
             * @name schultz.EmployeeSupplementary#prototype$finish
             * @methodOf schultz.EmployeeSupplementary
             *
             * @description
             *
             * 结束
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             * @param {Object} postData Request data.
             *
             *  - `isSuccess` – `{boolean}` - 是否成功，true：已通过
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * Data properties:
             *
             *  - `status` – `{boolean=}` -
             */
            "prototype$finish": {
              url: urlBase + "/employeeSupplementaries/:id/finish",
              method: "POST",
            },

            // INTERNAL. Use Employee.employeeSupplementarys.findById() instead.
            "::findById::Employee::employeeSupplementarys": {
              params: {
                'fk': '@fk',
              },
              url: urlBase + "/employees/:id/employeeSupplementarys/:fk",
              method: "GET",
            },

            // INTERNAL. Use Employee.employeeSupplementarys() instead.
            "::get::Employee::employeeSupplementarys": {
              isArray: true,
              url: urlBase + "/employees/:id/employeeSupplementarys",
              method: "GET",
            },
          }
        );




        /**
        * @ngdoc property
        * @name schultz.EmployeeSupplementary#modelName
        * @propertyOf schultz.EmployeeSupplementary
        * @description
        * The name of the model represented by this $resource,
        * i.e. `EmployeeSupplementary`.
        */
        R.modelName = "EmployeeSupplementary";


            /**
             * @ngdoc method
             * @name schultz.EmployeeSupplementary#employee
             * @methodOf schultz.EmployeeSupplementary
             *
             * @description
             *
             * Fetches belongsTo relation employee.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Employee` object.)
             * </em>
             */
        R.employee = function() {
          var TargetResource = $injector.get("Employee");
          var action = TargetResource["::get::EmployeeSupplementary::employee"];
          return action.apply(R, arguments);
        };

            /**
             * @ngdoc method
             * @name schultz.EmployeeSupplementary#enterprise
             * @methodOf schultz.EmployeeSupplementary
             *
             * @description
             *
             * Fetches belongsTo relation enterprise.
             *
             * @param {Object=} parameters Request parameters.
             *
             *  - `id` – `{*}` - PersistedModel id
             *
             *  - `refresh` – `{boolean=}` -
             *
             * @param {function(Object,Object)=} successCb
             *   Success callback with two arguments: `value`, `responseHeaders`.
             *
             * @param {function(Object)=} errorCb Error callback with one argument:
             *   `httpResponse`.
             *
             * @returns {Object} An empty reference that will be
             *   populated with the actual data once the response is returned
             *   from the server.
             *
             * <em>
             * (The remote method definition does not provide any description.
             * This usually means the response is a `Enterprise` object.)
             * </em>
             */
        R.enterprise = function() {
          var TargetResource = $injector.get("Enterprise");
          var action = TargetResource["::get::EmployeeSupplementary::enterprise"];
          return action.apply(R, arguments);
        };


        return R;
      }]);


  module
  .factory('LoopBackAuth', function() {
    var props = ['accessTokenId', 'currentUserId', 'rememberMe'];
    var propsPrefix = '$LoopBack$';

    function LoopBackAuth() {
      var self = this;
      props.forEach(function(name) {
        self[name] = load(name);
      });
      this.currentUserData = null;
    }

    LoopBackAuth.prototype.save = function() {
      var self = this;
      var storage = this.rememberMe ? localStorage : sessionStorage;
      props.forEach(function(name) {
        save(storage, name, self[name]);
      });
    };

    LoopBackAuth.prototype.setUser = function(accessTokenId, userId, userData) {
      this.accessTokenId = accessTokenId;
      this.currentUserId = userId;
      this.currentUserData = userData;
    };

    LoopBackAuth.prototype.clearUser = function() {
      this.accessTokenId = null;
      this.currentUserId = null;
      this.currentUserData = null;
    };

    LoopBackAuth.prototype.clearStorage = function() {
      props.forEach(function(name) {
        save(sessionStorage, name, null);
        save(localStorage, name, null);
      });
    };

    return new LoopBackAuth();

    // Note: LocalStorage converts the value to string
    // We are using empty string as a marker for null/undefined values.
    function save(storage, name, value) {
      try {
        var key = propsPrefix + name;
        if (value == null) value = '';
        storage[key] = value;
      } catch (err) {
        console.log('Cannot access local/session storage:', err);
      }
    }

    function load(name) {
      var key = propsPrefix + name;
      return localStorage[key] || sessionStorage[key] || null;
    }
  })
  .config(['$httpProvider', function($httpProvider) {
    $httpProvider.interceptors.push('LoopBackAuthRequestInterceptor');
  }])
  .factory('LoopBackAuthRequestInterceptor', ['$q', 'LoopBackAuth',
    function($q, LoopBackAuth) {
      return {
        'request': function(config) {
          // filter out external requests
          var host = getHost(config.url);
          if (host && host !== urlBaseHost) {
            return config;
          }

          if (LoopBackAuth.accessTokenId) {
            config.headers[authHeader] = LoopBackAuth.accessTokenId;
          } else if (config.__isGetCurrentUser__) {
            // Return a stub 401 error for User.getCurrent() when
            // there is no user logged in
            var res = {
              body: { error: { status: 401 }},
              status: 401,
              config: config,
              headers: function() { return undefined; },
            };
            return $q.reject(res);
          }
          return config || $q.when(config);
        },
      };
    }])

  /**
   * @ngdoc object
   * @name schultz.LoopBackResourceProvider
   * @header schultz.LoopBackResourceProvider
   * @description
   * Use `LoopBackResourceProvider` to change the global configuration
   * settings used by all models. Note that the provider is available
   * to Configuration Blocks only, see
   * {@link https://docs.angularjs.org/guide/module#module-loading-dependencies Module Loading & Dependencies}
   * for more details.
   *
   * ## Example
   *
   * ```js
   * angular.module('app')
   *  .config(function(LoopBackResourceProvider) {
   *     LoopBackResourceProvider.setAuthHeader('X-Access-Token');
   *  });
   * ```
   */
  .provider('LoopBackResource', function LoopBackResourceProvider() {
    /**
     * @ngdoc method
     * @name schultz.LoopBackResourceProvider#setAuthHeader
     * @methodOf schultz.LoopBackResourceProvider
     * @param {string} header The header name to use, e.g. `X-Access-Token`
     * @description
     * Configure the REST transport to use a different header for sending
     * the authentication token. It is sent in the `Authorization` header
     * by default.
     */
    this.setAuthHeader = function(header) {
      authHeader = header;
    };

    /**
     * @ngdoc method
     * @name schultz.LoopBackResourceProvider#getAuthHeader
     * @methodOf schultz.LoopBackResourceProvider
     * @description
     * Get the header name that is used for sending the authentication token.
     */
    this.getAuthHeader = function() {
      return authHeader;
    };

    /**
     * @ngdoc method
     * @name schultz.LoopBackResourceProvider#setUrlBase
     * @methodOf schultz.LoopBackResourceProvider
     * @param {string} url The URL to use, e.g. `/api` or `//example.com/api`.
     * @description
     * Change the URL of the REST API server. By default, the URL provided
     * to the code generator (`lb-ng` or `grunt-loopback-sdk-angular`) is used.
     */
    this.setUrlBase = function(url) {
      urlBase = url;
      urlBaseHost = getHost(urlBase) || location.host;
    };

    /**
     * @ngdoc method
     * @name schultz.LoopBackResourceProvider#getUrlBase
     * @methodOf schultz.LoopBackResourceProvider
     * @description
     * Get the URL of the REST API server. The URL provided
     * to the code generator (`lb-ng` or `grunt-loopback-sdk-angular`) is used.
     */
    this.getUrlBase = function() {
      return urlBase;
    };

    this.$get = ['$resource', function($resource) {
      var LoopBackResource = function(url, params, actions) {
        var resource = $resource(url, params, actions);

        // Angular always calls POST on $save()
        // This hack is based on
        // http://kirkbushell.me/angular-js-using-ng-resource-in-a-more-restful-manner/
        resource.prototype.$save = function(success, error) {
          // Fortunately, LoopBack provides a convenient `upsert` method
          // that exactly fits our needs.
          var result = resource.upsert.call(this, {}, this, success, error);
          return result.$promise || result;
        };
        return resource;
      };

      LoopBackResource.getUrlBase = function() {
        return urlBase;
      };

      LoopBackResource.getAuthHeader = function() {
        return authHeader;
      };

      return LoopBackResource;
    }];
  });
})(window, window.angular);
